
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_1', 1: '__ANON_0', 2: 'RBRACE', 3: '$END', 4: '__ANON_2', 5: 'one_line_block', 6: '__anon_plus_2', 7: '__anon_star_0', 8: 'IDENTIFIER', 9: 'attribute', 10: 'start', 11: 'body', 12: 'new_line_or_comment', 13: 'block', 14: 'STRING_LIT', 15: 'RPAR', 16: 'NULL', 17: 'IN', 18: 'RSQB', 19: 'LSQB', 20: 'LBRACE', 21: 'LPAR', 22: 'MINUS', 23: 'COMMA', 24: 'IF', 25: 'TRUE', 26: 'BANG', 27: 'FALSE', 28: '__ANON_9', 29: 'FOR', 30: 'DECIMAL', 31: '__anon_star_1', 32: 'EQUAL', 33: 'expr_term', 34: 'for_tuple_expr', 35: 'function_call', 36: 'expression', 37: 'conditional', 38: 'operation', 39: 'index_expr_term', 40: 'null_lit', 41: 'unary_op', 42: 'attr_splat_expr_term', 43: 'heredoc_template', 44: 'int_lit', 45: 'full_splat_expr_term', 46: 'float_lit', 47: 'get_attr_expr_term', 48: 'tuple', 49: '__anon_plus_3', 50: 'for_object_expr', 51: 'binary_op', 52: 'false_lit', 53: 'true_lit', 54: 'object', 55: '__ANON_11', 56: '__ANON_8', 57: 'QMARK', 58: '__ANON_12', 59: '__ANON_4', 60: 'LESSTHAN', 61: '__ANON_3', 62: '__ANON_7', 63: 'COLON', 64: 'PERCENT', 65: 'DOT', 66: 'MORETHAN', 67: 'PLUS', 68: 'STAR', 69: '__ANON_5', 70: 'SLASH', 71: '__ANON_6', 72: '__ANON_10', 73: 'for_intro', 74: 'object_elem', 75: 'EXP_MARK', 76: 'attr_splat', 77: 'full_splat', 78: 'get_attr', 79: 'index', 80: 'binary_term', 81: 'binary_operator', 82: 'arguments', 83: '__anon_star_5', 84: 'new_line_and_or_comma', 85: '__anon_star_4', 86: '__anon_star_6', 87: 'for_cond', 88: '__anon_star_7'}, 'states': {0: {0: (0, 8), 1: (0, 9), 2: (1, {'@': 44}), 3: (1, {'@': 44}), 4: (0, 11), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 6), 11: (0, 7), 12: (0, 10), 13: (0, 12)}, 1: {8: (1, {'@': 45}), 0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45})}, 2: {14: (1, {'@': 46}), 15: (1, {'@': 46}), 8: (1, {'@': 46}), 16: (1, {'@': 46}), 17: (1, {'@': 46}), 18: (1, {'@': 46}), 19: (1, {'@': 46}), 2: (1, {'@': 46}), 3: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 0: (0, 14), 1: (0, 15), 30: (1, {'@': 46}), 4: (0, 13)}, 3: {0: (1, {'@': 47}), 1: (1, {'@': 47}), 2: (1, {'@': 47}), 3: (1, {'@': 47}), 4: (1, {'@': 47}), 8: (0, 4), 5: (0, 16), 13: (0, 17), 9: (0, 18)}, 4: {31: (0, 19), 20: (0, 20), 32: (0, 21), 14: (0, 22), 8: (0, 23)}, 5: {8: (1, {'@': 48}), 0: (1, {'@': 48}), 1: (1, {'@': 48}), 2: (1, {'@': 48}), 3: (1, {'@': 48}), 4: (1, {'@': 48})}, 6: {3: (0, 24)}, 7: {3: (1, {'@': 49}), 1: (0, 9), 6: (0, 2), 4: (0, 11), 12: (0, 25), 0: (0, 8)}, 8: {14: (1, {'@': 50}), 16: (1, {'@': 50}), 17: (1, {'@': 50}), 18: (1, {'@': 50}), 19: (1, {'@': 50}), 22: (1, {'@': 50}), 27: (1, {'@': 50}), 29: (1, {'@': 50}), 1: (1, {'@': 50}), 30: (1, {'@': 50}), 15: (1, {'@': 50}), 8: (1, {'@': 50}), 2: (1, {'@': 50}), 3: (1, {'@': 50}), 20: (1, {'@': 50}), 21: (1, {'@': 50}), 23: (1, {'@': 50}), 24: (1, {'@': 50}), 25: (1, {'@': 50}), 26: (1, {'@': 50}), 0: (1, {'@': 50}), 28: (1, {'@': 50}), 4: (1, {'@': 50})}, 9: {14: (1, {'@': 51}), 16: (1, {'@': 51}), 17: (1, {'@': 51}), 18: (1, {'@': 51}), 19: (1, {'@': 51}), 22: (1, {'@': 51}), 27: (1, {'@': 51}), 29: (1, {'@': 51}), 1: (1, {'@': 51}), 30: (1, {'@': 51}), 15: (1, {'@': 51}), 8: (1, {'@': 51}), 2: (1, {'@': 51}), 3: (1, {'@': 51}), 20: (1, {'@': 51}), 21: (1, {'@': 51}), 23: (1, {'@': 51}), 24: (1, {'@': 51}), 25: (1, {'@': 51}), 26: (1, {'@': 51}), 0: (1, {'@': 51}), 28: (1, {'@': 51}), 4: (1, {'@': 51})}, 10: {0: (1, {'@': 44}), 1: (1, {'@': 44}), 2: (1, {'@': 44}), 3: (1, {'@': 44}), 4: (1, {'@': 44}), 5: (0, 1), 11: (0, 26), 7: (0, 3), 8: (0, 4), 9: (0, 5), 13: (0, 12)}, 11: {14: (1, {'@': 52}), 16: (1, {'@': 52}), 17: (1, {'@': 52}), 18: (1, {'@': 52}), 19: (1, {'@': 52}), 22: (1, {'@': 52}), 27: (1, {'@': 52}), 29: (1, {'@': 52}), 1: (1, {'@': 52}), 30: (1, {'@': 52}), 15: (1, {'@': 52}), 8: (1, {'@': 52}), 2: (1, {'@': 52}), 3: (1, {'@': 52}), 20: (1, {'@': 52}), 21: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 26: (1, {'@': 52}), 0: (1, {'@': 52}), 28: (1, {'@': 52}), 4: (1, {'@': 52})}, 12: {8: (1, {'@': 53}), 0: (1, {'@': 53}), 1: (1, {'@': 53}), 2: (1, {'@': 53}), 3: (1, {'@': 53}), 4: (1, {'@': 53})}, 13: {14: (1, {'@': 54}), 16: (1, {'@': 54}), 17: (1, {'@': 54}), 18: (1, {'@': 54}), 19: (1, {'@': 54}), 22: (1, {'@': 54}), 27: (1, {'@': 54}), 29: (1, {'@': 54}), 1: (1, {'@': 54}), 30: (1, {'@': 54}), 15: (1, {'@': 54}), 8: (1, {'@': 54}), 2: (1, {'@': 54}), 3: (1, {'@': 54}), 20: (1, {'@': 54}), 21: (1, {'@': 54}), 23: (1, {'@': 54}), 24: (1, {'@': 54}), 25: (1, {'@': 54}), 26: (1, {'@': 54}), 0: (1, {'@': 54}), 28: (1, {'@': 54}), 4: (1, {'@': 54})}, 14: {14: (1, {'@': 55}), 16: (1, {'@': 55}), 17: (1, {'@': 55}), 18: (1, {'@': 55}), 19: (1, {'@': 55}), 22: (1, {'@': 55}), 27: (1, {'@': 55}), 29: (1, {'@': 55}), 1: (1, {'@': 55}), 30: (1, {'@': 55}), 15: (1, {'@': 55}), 8: (1, {'@': 55}), 2: (1, {'@': 55}), 3: (1, {'@': 55}), 20: (1, {'@': 55}), 21: (1, {'@': 55}), 23: (1, {'@': 55}), 24: (1, {'@': 55}), 25: (1, {'@': 55}), 26: (1, {'@': 55}), 0: (1, {'@': 55}), 28: (1, {'@': 55}), 4: (1, {'@': 55})}, 15: {14: (1, {'@': 56}), 16: (1, {'@': 56}), 17: (1, {'@': 56}), 18: (1, {'@': 56}), 19: (1, {'@': 56}), 22: (1, {'@': 56}), 27: (1, {'@': 56}), 29: (1, {'@': 56}), 1: (1, {'@': 56}), 30: (1, {'@': 56}), 15: (1, {'@': 56}), 8: (1, {'@': 56}), 2: (1, {'@': 56}), 3: (1, {'@': 56}), 20: (1, {'@': 56}), 21: (1, {'@': 56}), 23: (1, {'@': 56}), 24: (1, {'@': 56}), 25: (1, {'@': 56}), 26: (1, {'@': 56}), 0: (1, {'@': 56}), 28: (1, {'@': 56}), 4: (1, {'@': 56})}, 16: {8: (1, {'@': 57}), 0: (1, {'@': 57}), 1: (1, {'@': 57}), 2: (1, {'@': 57}), 3: (1, {'@': 57}), 4: (1, {'@': 57})}, 17: {8: (1, {'@': 58}), 0: (1, {'@': 58}), 1: (1, {'@': 58}), 2: (1, {'@': 58}), 3: (1, {'@': 58}), 4: (1, {'@': 58})}, 18: {8: (1, {'@': 59}), 0: (1, {'@': 59}), 1: (1, {'@': 59}), 2: (1, {'@': 59}), 3: (1, {'@': 59}), 4: (1, {'@': 59})}, 19: {20: (0, 27), 14: (0, 28), 8: (0, 29)}, 20: {1: (0, 9), 6: (0, 2), 8: (0, 30), 2: (0, 31), 4: (0, 11), 12: (0, 32), 0: (0, 8)}, 21: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 43), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 22: {8: (1, {'@': 60}), 20: (1, {'@': 60}), 14: (1, {'@': 60})}, 23: {8: (1, {'@': 61}), 20: (1, {'@': 61}), 14: (1, {'@': 61})}, 24: {}, 25: {3: (1, {'@': 62})}, 26: {3: (1, {'@': 63}), 1: (0, 9), 12: (0, 67), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 27: {1: (0, 9), 6: (0, 2), 2: (0, 68), 4: (0, 11), 12: (0, 69), 8: (0, 70), 0: (0, 8)}, 28: {8: (1, {'@': 64}), 20: (1, {'@': 64}), 14: (1, {'@': 64})}, 29: {8: (1, {'@': 65}), 20: (1, {'@': 65}), 14: (1, {'@': 65})}, 30: {32: (0, 71)}, 31: {1: (0, 9), 6: (0, 2), 12: (0, 72), 4: (0, 11), 0: (0, 8)}, 32: {0: (1, {'@': 44}), 1: (1, {'@': 44}), 2: (1, {'@': 44}), 3: (1, {'@': 44}), 4: (1, {'@': 44}), 5: (0, 1), 7: (0, 3), 8: (0, 4), 9: (0, 5), 11: (0, 73), 13: (0, 12)}, 33: {55: (1, {'@': 66}), 14: (1, {'@': 66}), 56: (1, {'@': 66}), 16: (1, {'@': 66}), 57: (1, {'@': 66}), 18: (1, {'@': 66}), 58: (1, {'@': 66}), 19: (1, {'@': 66}), 59: (1, {'@': 66}), 60: (1, {'@': 66}), 22: (1, {'@': 66}), 61: (1, {'@': 66}), 62: (1, {'@': 66}), 63: (1, {'@': 66}), 27: (1, {'@': 66}), 1: (1, {'@': 66}), 30: (1, {'@': 66}), 64: (1, {'@': 66}), 65: (1, {'@': 66}), 66: (1, {'@': 66}), 67: (1, {'@': 66}), 15: (1, {'@': 66}), 8: (1, {'@': 66}), 68: (1, {'@': 66}), 69: (1, {'@': 66}), 2: (1, {'@': 66}), 20: (1, {'@': 66}), 21: (0, 74), 23: (1, {'@': 66}), 24: (1, {'@': 66}), 25: (1, {'@': 66}), 70: (1, {'@': 66}), 71: (1, {'@': 66}), 26: (1, {'@': 66}), 72: (1, {'@': 66}), 0: (1, {'@': 66}), 32: (1, {'@': 66}), 28: (1, {'@': 66}), 4: (1, {'@': 66})}, 34: {8: (0, 75), 20: (0, 34), 19: (0, 35), 73: (0, 76), 29: (0, 77), 12: (0, 78), 30: (0, 36), 6: (0, 2), 2: (0, 79), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 74: (0, 81), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 21: (0, 54), 44: (0, 53), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 35: {12: (0, 82), 8: (0, 33), 20: (0, 34), 19: (0, 35), 29: (0, 77), 73: (0, 83), 30: (0, 36), 6: (0, 2), 33: (0, 37), 36: (0, 84), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 18: (0, 85), 27: (0, 51), 43: (0, 52), 21: (0, 54), 44: (0, 53), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 14: (0, 61), 49: (0, 60), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 36: {55: (1, {'@': 67}), 14: (1, {'@': 67}), 56: (1, {'@': 67}), 16: (1, {'@': 67}), 57: (1, {'@': 67}), 18: (1, {'@': 67}), 58: (1, {'@': 67}), 19: (1, {'@': 67}), 59: (1, {'@': 67}), 60: (1, {'@': 67}), 22: (1, {'@': 67}), 61: (1, {'@': 67}), 62: (1, {'@': 67}), 63: (1, {'@': 67}), 27: (1, {'@': 67}), 1: (1, {'@': 67}), 30: (1, {'@': 67}), 64: (1, {'@': 67}), 65: (1, {'@': 67}), 66: (1, {'@': 67}), 75: (1, {'@': 67}), 67: (1, {'@': 67}), 15: (1, {'@': 67}), 8: (1, {'@': 67}), 68: (1, {'@': 67}), 69: (1, {'@': 67}), 2: (1, {'@': 67}), 20: (1, {'@': 67}), 21: (1, {'@': 67}), 23: (1, {'@': 67}), 24: (1, {'@': 67}), 25: (1, {'@': 67}), 70: (1, {'@': 67}), 71: (1, {'@': 67}), 26: (1, {'@': 67}), 72: (1, {'@': 67}), 0: (1, {'@': 67}), 32: (1, {'@': 67}), 28: (1, {'@': 67}), 4: (1, {'@': 67})}, 37: {14: (1, {'@': 68}), 57: (1, {'@': 68}), 58: (1, {'@': 68}), 19: (0, 89), 61: (1, {'@': 68}), 27: (1, {'@': 68}), 1: (1, {'@': 68}), 30: (1, {'@': 68}), 2: (1, {'@': 68}), 20: (1, {'@': 68}), 25: (1, {'@': 68}), 70: (1, {'@': 68}), 0: (1, {'@': 68}), 32: (1, {'@': 68}), 28: (1, {'@': 68}), 56: (1, {'@': 68}), 16: (1, {'@': 68}), 18: (1, {'@': 68}), 59: (1, {'@': 68}), 60: (1, {'@': 68}), 22: (1, {'@': 68}), 62: (1, {'@': 68}), 63: (1, {'@': 68}), 64: (1, {'@': 68}), 66: (1, {'@': 68}), 67: (1, {'@': 68}), 15: (1, {'@': 68}), 8: (1, {'@': 68}), 68: (1, {'@': 68}), 69: (1, {'@': 68}), 21: (1, {'@': 68}), 23: (1, {'@': 68}), 24: (1, {'@': 68}), 71: (1, {'@': 68}), 26: (1, {'@': 68}), 72: (1, {'@': 68}), 4: (1, {'@': 68}), 55: (0, 86), 76: (0, 87), 77: (0, 88), 78: (0, 90), 65: (0, 91), 79: (0, 92)}, 38: {55: (1, {'@': 69}), 14: (1, {'@': 69}), 56: (1, {'@': 69}), 16: (1, {'@': 69}), 57: (1, {'@': 69}), 18: (1, {'@': 69}), 58: (1, {'@': 69}), 19: (1, {'@': 69}), 59: (1, {'@': 69}), 60: (1, {'@': 69}), 22: (1, {'@': 69}), 61: (1, {'@': 69}), 62: (1, {'@': 69}), 63: (1, {'@': 69}), 27: (1, {'@': 69}), 1: (1, {'@': 69}), 30: (1, {'@': 69}), 64: (1, {'@': 69}), 65: (1, {'@': 69}), 66: (1, {'@': 69}), 67: (1, {'@': 69}), 15: (1, {'@': 69}), 8: (1, {'@': 69}), 68: (1, {'@': 69}), 69: (1, {'@': 69}), 2: (1, {'@': 69}), 20: (1, {'@': 69}), 21: (1, {'@': 69}), 23: (1, {'@': 69}), 24: (1, {'@': 69}), 25: (1, {'@': 69}), 70: (1, {'@': 69}), 71: (1, {'@': 69}), 26: (1, {'@': 69}), 72: (1, {'@': 69}), 0: (1, {'@': 69}), 32: (1, {'@': 69}), 28: (1, {'@': 69}), 4: (1, {'@': 69})}, 39: {55: (1, {'@': 70}), 14: (1, {'@': 70}), 56: (1, {'@': 70}), 16: (1, {'@': 70}), 57: (1, {'@': 70}), 18: (1, {'@': 70}), 58: (1, {'@': 70}), 19: (1, {'@': 70}), 59: (1, {'@': 70}), 60: (1, {'@': 70}), 22: (1, {'@': 70}), 61: (1, {'@': 70}), 62: (1, {'@': 70}), 63: (1, {'@': 70}), 27: (1, {'@': 70}), 1: (1, {'@': 70}), 30: (1, {'@': 70}), 64: (1, {'@': 70}), 65: (1, {'@': 70}), 66: (1, {'@': 70}), 67: (1, {'@': 70}), 15: (1, {'@': 70}), 8: (1, {'@': 70}), 68: (1, {'@': 70}), 69: (1, {'@': 70}), 2: (1, {'@': 70}), 20: (1, {'@': 70}), 21: (1, {'@': 70}), 23: (1, {'@': 70}), 24: (1, {'@': 70}), 25: (1, {'@': 70}), 70: (1, {'@': 70}), 71: (1, {'@': 70}), 26: (1, {'@': 70}), 72: (1, {'@': 70}), 0: (1, {'@': 70}), 32: (1, {'@': 70}), 28: (1, {'@': 70}), 4: (1, {'@': 70})}, 40: {8: (0, 33), 20: (0, 34), 19: (0, 35), 27: (0, 51), 30: (0, 36), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 33: (0, 93), 47: (0, 57), 48: (0, 58), 16: (0, 38), 28: (0, 39), 34: (0, 41), 35: (0, 42), 49: (0, 60), 14: (0, 61), 50: (0, 62), 39: (0, 46), 40: (0, 47), 42: (0, 49), 52: (0, 64), 53: (0, 65), 25: (0, 50), 54: (0, 66)}, 41: {55: (1, {'@': 71}), 14: (1, {'@': 71}), 56: (1, {'@': 71}), 16: (1, {'@': 71}), 57: (1, {'@': 71}), 18: (1, {'@': 71}), 58: (1, {'@': 71}), 19: (1, {'@': 71}), 59: (1, {'@': 71}), 60: (1, {'@': 71}), 22: (1, {'@': 71}), 61: (1, {'@': 71}), 62: (1, {'@': 71}), 63: (1, {'@': 71}), 27: (1, {'@': 71}), 1: (1, {'@': 71}), 30: (1, {'@': 71}), 64: (1, {'@': 71}), 65: (1, {'@': 71}), 66: (1, {'@': 71}), 67: (1, {'@': 71}), 15: (1, {'@': 71}), 8: (1, {'@': 71}), 68: (1, {'@': 71}), 69: (1, {'@': 71}), 2: (1, {'@': 71}), 20: (1, {'@': 71}), 21: (1, {'@': 71}), 23: (1, {'@': 71}), 24: (1, {'@': 71}), 25: (1, {'@': 71}), 70: (1, {'@': 71}), 71: (1, {'@': 71}), 26: (1, {'@': 71}), 72: (1, {'@': 71}), 0: (1, {'@': 71}), 32: (1, {'@': 71}), 28: (1, {'@': 71}), 4: (1, {'@': 71})}, 42: {55: (1, {'@': 72}), 14: (1, {'@': 72}), 56: (1, {'@': 72}), 16: (1, {'@': 72}), 57: (1, {'@': 72}), 18: (1, {'@': 72}), 58: (1, {'@': 72}), 19: (1, {'@': 72}), 59: (1, {'@': 72}), 60: (1, {'@': 72}), 22: (1, {'@': 72}), 61: (1, {'@': 72}), 62: (1, {'@': 72}), 63: (1, {'@': 72}), 27: (1, {'@': 72}), 1: (1, {'@': 72}), 30: (1, {'@': 72}), 64: (1, {'@': 72}), 65: (1, {'@': 72}), 66: (1, {'@': 72}), 67: (1, {'@': 72}), 15: (1, {'@': 72}), 8: (1, {'@': 72}), 68: (1, {'@': 72}), 69: (1, {'@': 72}), 2: (1, {'@': 72}), 20: (1, {'@': 72}), 21: (1, {'@': 72}), 23: (1, {'@': 72}), 24: (1, {'@': 72}), 25: (1, {'@': 72}), 70: (1, {'@': 72}), 71: (1, {'@': 72}), 26: (1, {'@': 72}), 72: (1, {'@': 72}), 0: (1, {'@': 72}), 32: (1, {'@': 72}), 28: (1, {'@': 72}), 4: (1, {'@': 72})}, 43: {6: (0, 2), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 12: (0, 100), 71: (0, 101), 22: (0, 102), 0: (0, 8), 70: (0, 103), 1: (0, 9), 64: (0, 104), 57: (0, 105), 62: (0, 106), 4: (0, 11), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 44: {14: (1, {'@': 73}), 57: (1, {'@': 73}), 58: (1, {'@': 73}), 19: (1, {'@': 73}), 61: (1, {'@': 73}), 27: (1, {'@': 73}), 1: (1, {'@': 73}), 30: (1, {'@': 73}), 2: (1, {'@': 73}), 20: (1, {'@': 73}), 25: (1, {'@': 73}), 70: (1, {'@': 73}), 0: (1, {'@': 73}), 32: (1, {'@': 73}), 28: (1, {'@': 73}), 56: (1, {'@': 73}), 16: (1, {'@': 73}), 18: (1, {'@': 73}), 59: (1, {'@': 73}), 60: (1, {'@': 73}), 22: (1, {'@': 73}), 62: (1, {'@': 73}), 63: (1, {'@': 73}), 64: (1, {'@': 73}), 66: (1, {'@': 73}), 67: (1, {'@': 73}), 15: (1, {'@': 73}), 8: (1, {'@': 73}), 68: (1, {'@': 73}), 69: (1, {'@': 73}), 21: (1, {'@': 73}), 23: (1, {'@': 73}), 24: (1, {'@': 73}), 71: (1, {'@': 73}), 26: (1, {'@': 73}), 72: (1, {'@': 73}), 4: (1, {'@': 73})}, 45: {14: (1, {'@': 74}), 57: (1, {'@': 74}), 58: (1, {'@': 74}), 19: (1, {'@': 74}), 61: (1, {'@': 74}), 27: (1, {'@': 74}), 1: (1, {'@': 74}), 30: (1, {'@': 74}), 2: (1, {'@': 74}), 20: (1, {'@': 74}), 25: (1, {'@': 74}), 70: (1, {'@': 74}), 0: (1, {'@': 74}), 32: (1, {'@': 74}), 28: (1, {'@': 74}), 56: (1, {'@': 74}), 16: (1, {'@': 74}), 18: (1, {'@': 74}), 59: (1, {'@': 74}), 60: (1, {'@': 74}), 22: (1, {'@': 74}), 62: (1, {'@': 74}), 63: (1, {'@': 74}), 64: (1, {'@': 74}), 66: (1, {'@': 74}), 67: (1, {'@': 74}), 15: (1, {'@': 74}), 8: (1, {'@': 74}), 68: (1, {'@': 74}), 69: (1, {'@': 74}), 21: (1, {'@': 74}), 23: (1, {'@': 74}), 24: (1, {'@': 74}), 71: (1, {'@': 74}), 26: (1, {'@': 74}), 72: (1, {'@': 74}), 4: (1, {'@': 74})}, 46: {55: (1, {'@': 75}), 14: (1, {'@': 75}), 56: (1, {'@': 75}), 16: (1, {'@': 75}), 57: (1, {'@': 75}), 18: (1, {'@': 75}), 58: (1, {'@': 75}), 19: (1, {'@': 75}), 59: (1, {'@': 75}), 60: (1, {'@': 75}), 22: (1, {'@': 75}), 61: (1, {'@': 75}), 62: (1, {'@': 75}), 63: (1, {'@': 75}), 27: (1, {'@': 75}), 1: (1, {'@': 75}), 30: (1, {'@': 75}), 64: (1, {'@': 75}), 65: (1, {'@': 75}), 66: (1, {'@': 75}), 67: (1, {'@': 75}), 15: (1, {'@': 75}), 8: (1, {'@': 75}), 68: (1, {'@': 75}), 69: (1, {'@': 75}), 2: (1, {'@': 75}), 20: (1, {'@': 75}), 21: (1, {'@': 75}), 23: (1, {'@': 75}), 24: (1, {'@': 75}), 25: (1, {'@': 75}), 70: (1, {'@': 75}), 71: (1, {'@': 75}), 26: (1, {'@': 75}), 72: (1, {'@': 75}), 0: (1, {'@': 75}), 32: (1, {'@': 75}), 28: (1, {'@': 75}), 4: (1, {'@': 75})}, 47: {55: (1, {'@': 76}), 14: (1, {'@': 76}), 56: (1, {'@': 76}), 16: (1, {'@': 76}), 57: (1, {'@': 76}), 18: (1, {'@': 76}), 58: (1, {'@': 76}), 19: (1, {'@': 76}), 59: (1, {'@': 76}), 60: (1, {'@': 76}), 22: (1, {'@': 76}), 61: (1, {'@': 76}), 62: (1, {'@': 76}), 63: (1, {'@': 76}), 27: (1, {'@': 76}), 1: (1, {'@': 76}), 30: (1, {'@': 76}), 64: (1, {'@': 76}), 65: (1, {'@': 76}), 66: (1, {'@': 76}), 67: (1, {'@': 76}), 15: (1, {'@': 76}), 8: (1, {'@': 76}), 68: (1, {'@': 76}), 69: (1, {'@': 76}), 2: (1, {'@': 76}), 20: (1, {'@': 76}), 21: (1, {'@': 76}), 23: (1, {'@': 76}), 24: (1, {'@': 76}), 25: (1, {'@': 76}), 70: (1, {'@': 76}), 71: (1, {'@': 76}), 26: (1, {'@': 76}), 72: (1, {'@': 76}), 0: (1, {'@': 76}), 32: (1, {'@': 76}), 28: (1, {'@': 76}), 4: (1, {'@': 76})}, 48: {14: (1, {'@': 77}), 56: (1, {'@': 77}), 16: (1, {'@': 77}), 57: (1, {'@': 77}), 18: (1, {'@': 77}), 58: (1, {'@': 77}), 19: (1, {'@': 77}), 59: (1, {'@': 77}), 60: (1, {'@': 77}), 22: (1, {'@': 77}), 61: (1, {'@': 77}), 62: (1, {'@': 77}), 63: (1, {'@': 77}), 27: (1, {'@': 77}), 1: (1, {'@': 77}), 30: (1, {'@': 77}), 64: (1, {'@': 77}), 66: (1, {'@': 77}), 67: (1, {'@': 77}), 15: (1, {'@': 77}), 8: (1, {'@': 77}), 68: (1, {'@': 77}), 69: (1, {'@': 77}), 2: (1, {'@': 77}), 20: (1, {'@': 77}), 21: (1, {'@': 77}), 23: (1, {'@': 77}), 24: (1, {'@': 77}), 25: (1, {'@': 77}), 70: (1, {'@': 77}), 71: (1, {'@': 77}), 26: (1, {'@': 77}), 72: (1, {'@': 77}), 0: (1, {'@': 77}), 32: (1, {'@': 77}), 28: (1, {'@': 77}), 4: (1, {'@': 77})}, 49: {55: (1, {'@': 78}), 14: (1, {'@': 78}), 56: (1, {'@': 78}), 16: (1, {'@': 78}), 57: (1, {'@': 78}), 18: (1, {'@': 78}), 58: (1, {'@': 78}), 19: (1, {'@': 78}), 59: (1, {'@': 78}), 60: (1, {'@': 78}), 22: (1, {'@': 78}), 61: (1, {'@': 78}), 62: (1, {'@': 78}), 63: (1, {'@': 78}), 27: (1, {'@': 78}), 1: (1, {'@': 78}), 30: (1, {'@': 78}), 64: (1, {'@': 78}), 65: (1, {'@': 78}), 66: (1, {'@': 78}), 67: (1, {'@': 78}), 15: (1, {'@': 78}), 8: (1, {'@': 78}), 68: (1, {'@': 78}), 69: (1, {'@': 78}), 2: (1, {'@': 78}), 20: (1, {'@': 78}), 21: (1, {'@': 78}), 23: (1, {'@': 78}), 24: (1, {'@': 78}), 25: (1, {'@': 78}), 70: (1, {'@': 78}), 71: (1, {'@': 78}), 26: (1, {'@': 78}), 72: (1, {'@': 78}), 0: (1, {'@': 78}), 32: (1, {'@': 78}), 28: (1, {'@': 78}), 4: (1, {'@': 78})}, 50: {55: (1, {'@': 79}), 14: (1, {'@': 79}), 56: (1, {'@': 79}), 16: (1, {'@': 79}), 57: (1, {'@': 79}), 18: (1, {'@': 79}), 58: (1, {'@': 79}), 19: (1, {'@': 79}), 59: (1, {'@': 79}), 60: (1, {'@': 79}), 22: (1, {'@': 79}), 61: (1, {'@': 79}), 62: (1, {'@': 79}), 63: (1, {'@': 79}), 27: (1, {'@': 79}), 1: (1, {'@': 79}), 30: (1, {'@': 79}), 64: (1, {'@': 79}), 65: (1, {'@': 79}), 66: (1, {'@': 79}), 67: (1, {'@': 79}), 15: (1, {'@': 79}), 8: (1, {'@': 79}), 68: (1, {'@': 79}), 69: (1, {'@': 79}), 2: (1, {'@': 79}), 20: (1, {'@': 79}), 21: (1, {'@': 79}), 23: (1, {'@': 79}), 24: (1, {'@': 79}), 25: (1, {'@': 79}), 70: (1, {'@': 79}), 71: (1, {'@': 79}), 26: (1, {'@': 79}), 72: (1, {'@': 79}), 0: (1, {'@': 79}), 32: (1, {'@': 79}), 28: (1, {'@': 79}), 4: (1, {'@': 79})}, 51: {55: (1, {'@': 80}), 14: (1, {'@': 80}), 56: (1, {'@': 80}), 16: (1, {'@': 80}), 57: (1, {'@': 80}), 18: (1, {'@': 80}), 58: (1, {'@': 80}), 19: (1, {'@': 80}), 59: (1, {'@': 80}), 60: (1, {'@': 80}), 22: (1, {'@': 80}), 61: (1, {'@': 80}), 62: (1, {'@': 80}), 63: (1, {'@': 80}), 27: (1, {'@': 80}), 1: (1, {'@': 80}), 30: (1, {'@': 80}), 64: (1, {'@': 80}), 65: (1, {'@': 80}), 66: (1, {'@': 80}), 67: (1, {'@': 80}), 15: (1, {'@': 80}), 8: (1, {'@': 80}), 68: (1, {'@': 80}), 69: (1, {'@': 80}), 2: (1, {'@': 80}), 20: (1, {'@': 80}), 21: (1, {'@': 80}), 23: (1, {'@': 80}), 24: (1, {'@': 80}), 25: (1, {'@': 80}), 70: (1, {'@': 80}), 71: (1, {'@': 80}), 26: (1, {'@': 80}), 72: (1, {'@': 80}), 0: (1, {'@': 80}), 32: (1, {'@': 80}), 28: (1, {'@': 80}), 4: (1, {'@': 80})}, 52: {55: (1, {'@': 81}), 14: (1, {'@': 81}), 56: (1, {'@': 81}), 16: (1, {'@': 81}), 57: (1, {'@': 81}), 18: (1, {'@': 81}), 58: (1, {'@': 81}), 19: (1, {'@': 81}), 59: (1, {'@': 81}), 60: (1, {'@': 81}), 22: (1, {'@': 81}), 61: (1, {'@': 81}), 62: (1, {'@': 81}), 63: (1, {'@': 81}), 27: (1, {'@': 81}), 1: (1, {'@': 81}), 30: (1, {'@': 81}), 64: (1, {'@': 81}), 65: (1, {'@': 81}), 66: (1, {'@': 81}), 67: (1, {'@': 81}), 15: (1, {'@': 81}), 8: (1, {'@': 81}), 68: (1, {'@': 81}), 69: (1, {'@': 81}), 2: (1, {'@': 81}), 20: (1, {'@': 81}), 21: (1, {'@': 81}), 23: (1, {'@': 81}), 24: (1, {'@': 81}), 25: (1, {'@': 81}), 70: (1, {'@': 81}), 71: (1, {'@': 81}), 26: (1, {'@': 81}), 72: (1, {'@': 81}), 0: (1, {'@': 81}), 32: (1, {'@': 81}), 28: (1, {'@': 81}), 4: (1, {'@': 81})}, 53: {55: (1, {'@': 82}), 14: (1, {'@': 82}), 56: (1, {'@': 82}), 16: (1, {'@': 82}), 57: (1, {'@': 82}), 18: (1, {'@': 82}), 58: (1, {'@': 82}), 19: (1, {'@': 82}), 59: (1, {'@': 82}), 60: (1, {'@': 82}), 22: (1, {'@': 82}), 61: (1, {'@': 82}), 62: (1, {'@': 82}), 63: (1, {'@': 82}), 27: (1, {'@': 82}), 1: (1, {'@': 82}), 30: (1, {'@': 82}), 64: (1, {'@': 82}), 65: (1, {'@': 82}), 66: (1, {'@': 82}), 67: (1, {'@': 82}), 15: (1, {'@': 82}), 8: (1, {'@': 82}), 68: (1, {'@': 82}), 69: (1, {'@': 82}), 2: (1, {'@': 82}), 20: (1, {'@': 82}), 21: (1, {'@': 82}), 23: (1, {'@': 82}), 24: (1, {'@': 82}), 25: (1, {'@': 82}), 70: (1, {'@': 82}), 71: (1, {'@': 82}), 26: (1, {'@': 82}), 72: (1, {'@': 82}), 0: (1, {'@': 82}), 32: (1, {'@': 82}), 28: (1, {'@': 82}), 4: (1, {'@': 82})}, 54: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 111), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 55: {55: (1, {'@': 83}), 14: (1, {'@': 83}), 56: (1, {'@': 83}), 16: (1, {'@': 83}), 57: (1, {'@': 83}), 18: (1, {'@': 83}), 58: (1, {'@': 83}), 19: (1, {'@': 83}), 59: (1, {'@': 83}), 60: (1, {'@': 83}), 22: (1, {'@': 83}), 61: (1, {'@': 83}), 62: (1, {'@': 83}), 63: (1, {'@': 83}), 27: (1, {'@': 83}), 1: (1, {'@': 83}), 30: (1, {'@': 83}), 64: (1, {'@': 83}), 65: (1, {'@': 83}), 66: (1, {'@': 83}), 67: (1, {'@': 83}), 15: (1, {'@': 83}), 8: (1, {'@': 83}), 68: (1, {'@': 83}), 69: (1, {'@': 83}), 2: (1, {'@': 83}), 20: (1, {'@': 83}), 21: (1, {'@': 83}), 23: (1, {'@': 83}), 24: (1, {'@': 83}), 25: (1, {'@': 83}), 70: (1, {'@': 83}), 71: (1, {'@': 83}), 26: (1, {'@': 83}), 72: (1, {'@': 83}), 0: (1, {'@': 83}), 32: (1, {'@': 83}), 28: (1, {'@': 83}), 4: (1, {'@': 83})}, 56: {55: (1, {'@': 84}), 14: (1, {'@': 84}), 56: (1, {'@': 84}), 16: (1, {'@': 84}), 57: (1, {'@': 84}), 18: (1, {'@': 84}), 58: (1, {'@': 84}), 19: (1, {'@': 84}), 59: (1, {'@': 84}), 60: (1, {'@': 84}), 22: (1, {'@': 84}), 61: (1, {'@': 84}), 62: (1, {'@': 84}), 63: (1, {'@': 84}), 27: (1, {'@': 84}), 1: (1, {'@': 84}), 30: (1, {'@': 84}), 64: (1, {'@': 84}), 65: (1, {'@': 84}), 66: (1, {'@': 84}), 67: (1, {'@': 84}), 15: (1, {'@': 84}), 8: (1, {'@': 84}), 68: (1, {'@': 84}), 69: (1, {'@': 84}), 2: (1, {'@': 84}), 20: (1, {'@': 84}), 21: (1, {'@': 84}), 23: (1, {'@': 84}), 24: (1, {'@': 84}), 25: (1, {'@': 84}), 70: (1, {'@': 84}), 71: (1, {'@': 84}), 26: (1, {'@': 84}), 72: (1, {'@': 84}), 0: (1, {'@': 84}), 32: (1, {'@': 84}), 28: (1, {'@': 84}), 4: (1, {'@': 84})}, 57: {55: (1, {'@': 85}), 14: (1, {'@': 85}), 56: (1, {'@': 85}), 16: (1, {'@': 85}), 57: (1, {'@': 85}), 18: (1, {'@': 85}), 58: (1, {'@': 85}), 19: (1, {'@': 85}), 59: (1, {'@': 85}), 60: (1, {'@': 85}), 22: (1, {'@': 85}), 61: (1, {'@': 85}), 62: (1, {'@': 85}), 63: (1, {'@': 85}), 27: (1, {'@': 85}), 1: (1, {'@': 85}), 30: (1, {'@': 85}), 64: (1, {'@': 85}), 65: (1, {'@': 85}), 66: (1, {'@': 85}), 67: (1, {'@': 85}), 15: (1, {'@': 85}), 8: (1, {'@': 85}), 68: (1, {'@': 85}), 69: (1, {'@': 85}), 2: (1, {'@': 85}), 20: (1, {'@': 85}), 21: (1, {'@': 85}), 23: (1, {'@': 85}), 24: (1, {'@': 85}), 25: (1, {'@': 85}), 70: (1, {'@': 85}), 71: (1, {'@': 85}), 26: (1, {'@': 85}), 72: (1, {'@': 85}), 0: (1, {'@': 85}), 32: (1, {'@': 85}), 28: (1, {'@': 85}), 4: (1, {'@': 85})}, 58: {55: (1, {'@': 86}), 14: (1, {'@': 86}), 56: (1, {'@': 86}), 16: (1, {'@': 86}), 57: (1, {'@': 86}), 18: (1, {'@': 86}), 58: (1, {'@': 86}), 19: (1, {'@': 86}), 59: (1, {'@': 86}), 60: (1, {'@': 86}), 22: (1, {'@': 86}), 61: (1, {'@': 86}), 62: (1, {'@': 86}), 63: (1, {'@': 86}), 27: (1, {'@': 86}), 1: (1, {'@': 86}), 30: (1, {'@': 86}), 64: (1, {'@': 86}), 65: (1, {'@': 86}), 66: (1, {'@': 86}), 67: (1, {'@': 86}), 15: (1, {'@': 86}), 8: (1, {'@': 86}), 68: (1, {'@': 86}), 69: (1, {'@': 86}), 2: (1, {'@': 86}), 20: (1, {'@': 86}), 21: (1, {'@': 86}), 23: (1, {'@': 86}), 24: (1, {'@': 86}), 25: (1, {'@': 86}), 70: (1, {'@': 86}), 71: (1, {'@': 86}), 26: (1, {'@': 86}), 72: (1, {'@': 86}), 0: (1, {'@': 86}), 32: (1, {'@': 86}), 28: (1, {'@': 86}), 4: (1, {'@': 86})}, 59: {8: (0, 33), 20: (0, 34), 19: (0, 35), 27: (0, 51), 30: (0, 36), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 33: (0, 112), 47: (0, 57), 48: (0, 58), 16: (0, 38), 28: (0, 39), 34: (0, 41), 35: (0, 42), 49: (0, 60), 14: (0, 61), 50: (0, 62), 39: (0, 46), 40: (0, 47), 42: (0, 49), 52: (0, 64), 53: (0, 65), 25: (0, 50), 54: (0, 66)}, 60: {55: (1, {'@': 87}), 14: (1, {'@': 87}), 56: (1, {'@': 87}), 16: (1, {'@': 87}), 57: (1, {'@': 87}), 18: (1, {'@': 87}), 58: (1, {'@': 87}), 19: (1, {'@': 87}), 59: (1, {'@': 87}), 60: (1, {'@': 87}), 22: (1, {'@': 87}), 61: (1, {'@': 87}), 62: (1, {'@': 87}), 63: (1, {'@': 87}), 27: (1, {'@': 87}), 1: (1, {'@': 87}), 30: (0, 114), 64: (1, {'@': 87}), 65: (0, 113), 66: (1, {'@': 87}), 67: (1, {'@': 87}), 15: (1, {'@': 87}), 8: (1, {'@': 87}), 68: (1, {'@': 87}), 69: (1, {'@': 87}), 2: (1, {'@': 87}), 20: (1, {'@': 87}), 21: (1, {'@': 87}), 23: (1, {'@': 87}), 24: (1, {'@': 87}), 25: (1, {'@': 87}), 70: (1, {'@': 87}), 71: (1, {'@': 87}), 26: (1, {'@': 87}), 72: (1, {'@': 87}), 0: (1, {'@': 87}), 32: (1, {'@': 87}), 28: (1, {'@': 87}), 4: (1, {'@': 87}), 75: (0, 115)}, 61: {55: (1, {'@': 88}), 14: (1, {'@': 88}), 56: (1, {'@': 88}), 16: (1, {'@': 88}), 57: (1, {'@': 88}), 18: (1, {'@': 88}), 58: (1, {'@': 88}), 19: (1, {'@': 88}), 59: (1, {'@': 88}), 60: (1, {'@': 88}), 22: (1, {'@': 88}), 61: (1, {'@': 88}), 62: (1, {'@': 88}), 63: (1, {'@': 88}), 27: (1, {'@': 88}), 1: (1, {'@': 88}), 30: (1, {'@': 88}), 64: (1, {'@': 88}), 65: (1, {'@': 88}), 66: (1, {'@': 88}), 67: (1, {'@': 88}), 15: (1, {'@': 88}), 8: (1, {'@': 88}), 68: (1, {'@': 88}), 69: (1, {'@': 88}), 2: (1, {'@': 88}), 20: (1, {'@': 88}), 21: (1, {'@': 88}), 23: (1, {'@': 88}), 24: (1, {'@': 88}), 25: (1, {'@': 88}), 70: (1, {'@': 88}), 71: (1, {'@': 88}), 26: (1, {'@': 88}), 72: (1, {'@': 88}), 0: (1, {'@': 88}), 32: (1, {'@': 88}), 28: (1, {'@': 88}), 4: (1, {'@': 88})}, 62: {55: (1, {'@': 89}), 14: (1, {'@': 89}), 56: (1, {'@': 89}), 16: (1, {'@': 89}), 57: (1, {'@': 89}), 18: (1, {'@': 89}), 58: (1, {'@': 89}), 19: (1, {'@': 89}), 59: (1, {'@': 89}), 60: (1, {'@': 89}), 22: (1, {'@': 89}), 61: (1, {'@': 89}), 62: (1, {'@': 89}), 63: (1, {'@': 89}), 27: (1, {'@': 89}), 1: (1, {'@': 89}), 30: (1, {'@': 89}), 64: (1, {'@': 89}), 65: (1, {'@': 89}), 66: (1, {'@': 89}), 67: (1, {'@': 89}), 15: (1, {'@': 89}), 8: (1, {'@': 89}), 68: (1, {'@': 89}), 69: (1, {'@': 89}), 2: (1, {'@': 89}), 20: (1, {'@': 89}), 21: (1, {'@': 89}), 23: (1, {'@': 89}), 24: (1, {'@': 89}), 25: (1, {'@': 89}), 70: (1, {'@': 89}), 71: (1, {'@': 89}), 26: (1, {'@': 89}), 72: (1, {'@': 89}), 0: (1, {'@': 89}), 32: (1, {'@': 89}), 28: (1, {'@': 89}), 4: (1, {'@': 89})}, 63: {14: (1, {'@': 90}), 56: (1, {'@': 90}), 16: (1, {'@': 90}), 57: (1, {'@': 90}), 18: (1, {'@': 90}), 58: (1, {'@': 90}), 19: (1, {'@': 90}), 59: (1, {'@': 90}), 60: (1, {'@': 90}), 22: (1, {'@': 90}), 61: (1, {'@': 90}), 62: (1, {'@': 90}), 63: (1, {'@': 90}), 27: (1, {'@': 90}), 1: (1, {'@': 90}), 30: (1, {'@': 90}), 64: (1, {'@': 90}), 66: (1, {'@': 90}), 67: (1, {'@': 90}), 15: (1, {'@': 90}), 8: (1, {'@': 90}), 68: (1, {'@': 90}), 69: (1, {'@': 90}), 2: (1, {'@': 90}), 20: (1, {'@': 90}), 21: (1, {'@': 90}), 23: (1, {'@': 90}), 24: (1, {'@': 90}), 25: (1, {'@': 90}), 70: (1, {'@': 90}), 71: (1, {'@': 90}), 26: (1, {'@': 90}), 72: (1, {'@': 90}), 0: (1, {'@': 90}), 32: (1, {'@': 90}), 28: (1, {'@': 90}), 4: (1, {'@': 90})}, 64: {55: (1, {'@': 91}), 14: (1, {'@': 91}), 56: (1, {'@': 91}), 16: (1, {'@': 91}), 57: (1, {'@': 91}), 18: (1, {'@': 91}), 58: (1, {'@': 91}), 19: (1, {'@': 91}), 59: (1, {'@': 91}), 60: (1, {'@': 91}), 22: (1, {'@': 91}), 61: (1, {'@': 91}), 62: (1, {'@': 91}), 63: (1, {'@': 91}), 27: (1, {'@': 91}), 1: (1, {'@': 91}), 30: (1, {'@': 91}), 64: (1, {'@': 91}), 65: (1, {'@': 91}), 66: (1, {'@': 91}), 67: (1, {'@': 91}), 15: (1, {'@': 91}), 8: (1, {'@': 91}), 68: (1, {'@': 91}), 69: (1, {'@': 91}), 2: (1, {'@': 91}), 20: (1, {'@': 91}), 21: (1, {'@': 91}), 23: (1, {'@': 91}), 24: (1, {'@': 91}), 25: (1, {'@': 91}), 70: (1, {'@': 91}), 71: (1, {'@': 91}), 26: (1, {'@': 91}), 72: (1, {'@': 91}), 0: (1, {'@': 91}), 32: (1, {'@': 91}), 28: (1, {'@': 91}), 4: (1, {'@': 91})}, 65: {55: (1, {'@': 92}), 14: (1, {'@': 92}), 56: (1, {'@': 92}), 16: (1, {'@': 92}), 57: (1, {'@': 92}), 18: (1, {'@': 92}), 58: (1, {'@': 92}), 19: (1, {'@': 92}), 59: (1, {'@': 92}), 60: (1, {'@': 92}), 22: (1, {'@': 92}), 61: (1, {'@': 92}), 62: (1, {'@': 92}), 63: (1, {'@': 92}), 27: (1, {'@': 92}), 1: (1, {'@': 92}), 30: (1, {'@': 92}), 64: (1, {'@': 92}), 65: (1, {'@': 92}), 66: (1, {'@': 92}), 67: (1, {'@': 92}), 15: (1, {'@': 92}), 8: (1, {'@': 92}), 68: (1, {'@': 92}), 69: (1, {'@': 92}), 2: (1, {'@': 92}), 20: (1, {'@': 92}), 21: (1, {'@': 92}), 23: (1, {'@': 92}), 24: (1, {'@': 92}), 25: (1, {'@': 92}), 70: (1, {'@': 92}), 71: (1, {'@': 92}), 26: (1, {'@': 92}), 72: (1, {'@': 92}), 0: (1, {'@': 92}), 32: (1, {'@': 92}), 28: (1, {'@': 92}), 4: (1, {'@': 92})}, 66: {55: (1, {'@': 93}), 14: (1, {'@': 93}), 56: (1, {'@': 93}), 16: (1, {'@': 93}), 57: (1, {'@': 93}), 18: (1, {'@': 93}), 58: (1, {'@': 93}), 19: (1, {'@': 93}), 59: (1, {'@': 93}), 60: (1, {'@': 93}), 22: (1, {'@': 93}), 61: (1, {'@': 93}), 62: (1, {'@': 93}), 63: (1, {'@': 93}), 27: (1, {'@': 93}), 1: (1, {'@': 93}), 30: (1, {'@': 93}), 64: (1, {'@': 93}), 65: (1, {'@': 93}), 66: (1, {'@': 93}), 67: (1, {'@': 93}), 15: (1, {'@': 93}), 8: (1, {'@': 93}), 68: (1, {'@': 93}), 69: (1, {'@': 93}), 2: (1, {'@': 93}), 20: (1, {'@': 93}), 21: (1, {'@': 93}), 23: (1, {'@': 93}), 24: (1, {'@': 93}), 25: (1, {'@': 93}), 70: (1, {'@': 93}), 71: (1, {'@': 93}), 26: (1, {'@': 93}), 72: (1, {'@': 93}), 0: (1, {'@': 93}), 32: (1, {'@': 93}), 28: (1, {'@': 93}), 4: (1, {'@': 93})}, 67: {3: (1, {'@': 94})}, 68: {1: (0, 9), 6: (0, 2), 4: (0, 11), 12: (0, 116), 0: (0, 8)}, 69: {0: (1, {'@': 44}), 1: (1, {'@': 44}), 2: (1, {'@': 44}), 3: (1, {'@': 44}), 4: (1, {'@': 44}), 5: (0, 1), 7: (0, 3), 8: (0, 4), 9: (0, 5), 11: (0, 117), 13: (0, 12)}, 70: {32: (0, 118)}, 71: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 119), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 72: {8: (1, {'@': 95}), 0: (1, {'@': 95}), 1: (1, {'@': 95}), 2: (1, {'@': 95}), 3: (1, {'@': 95}), 4: (1, {'@': 95})}, 73: {2: (0, 120)}, 74: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 121), 12: (0, 122), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 40: (0, 47), 39: (0, 46), 41: (0, 48), 42: (0, 49), 25: (0, 50), 15: (0, 123), 27: (0, 51), 82: (0, 124), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 75: {55: (1, {'@': 66}), 14: (0, 61), 56: (1, {'@': 66}), 16: (0, 38), 57: (1, {'@': 66}), 18: (1, {'@': 66}), 58: (1, {'@': 66}), 19: (0, 35), 59: (1, {'@': 66}), 60: (1, {'@': 66}), 22: (0, 40), 61: (1, {'@': 66}), 62: (1, {'@': 66}), 63: (1, {'@': 66}), 27: (0, 51), 1: (1, {'@': 66}), 30: (0, 36), 64: (1, {'@': 66}), 65: (1, {'@': 66}), 66: (1, {'@': 66}), 67: (1, {'@': 66}), 15: (1, {'@': 66}), 8: (0, 33), 68: (1, {'@': 66}), 69: (1, {'@': 66}), 2: (1, {'@': 66}), 20: (0, 34), 21: (0, 125), 23: (1, {'@': 66}), 24: (1, {'@': 66}), 25: (0, 50), 70: (1, {'@': 66}), 71: (1, {'@': 66}), 26: (0, 59), 72: (1, {'@': 66}), 0: (1, {'@': 66}), 32: (0, 127), 28: (0, 39), 4: (1, {'@': 66}), 33: (0, 37), 34: (0, 41), 35: (0, 42), 36: (0, 126), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 43: (0, 52), 44: (0, 53), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 49: (0, 60), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 76: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 128), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 77: {6: (0, 2), 12: (0, 129), 8: (0, 130), 0: (0, 8), 4: (0, 11), 1: (0, 9)}, 78: {8: (0, 75), 20: (0, 34), 19: (0, 35), 73: (0, 131), 29: (0, 77), 74: (0, 132), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 79: {55: (1, {'@': 96}), 14: (1, {'@': 96}), 56: (1, {'@': 96}), 16: (1, {'@': 96}), 57: (1, {'@': 96}), 18: (1, {'@': 96}), 58: (1, {'@': 96}), 19: (1, {'@': 96}), 59: (1, {'@': 96}), 60: (1, {'@': 96}), 22: (1, {'@': 96}), 61: (1, {'@': 96}), 62: (1, {'@': 96}), 63: (1, {'@': 96}), 27: (1, {'@': 96}), 1: (1, {'@': 96}), 30: (1, {'@': 96}), 64: (1, {'@': 96}), 65: (1, {'@': 96}), 66: (1, {'@': 96}), 67: (1, {'@': 96}), 15: (1, {'@': 96}), 8: (1, {'@': 96}), 68: (1, {'@': 96}), 69: (1, {'@': 96}), 2: (1, {'@': 96}), 20: (1, {'@': 96}), 21: (1, {'@': 96}), 23: (1, {'@': 96}), 24: (1, {'@': 96}), 25: (1, {'@': 96}), 70: (1, {'@': 96}), 71: (1, {'@': 96}), 26: (1, {'@': 96}), 72: (1, {'@': 96}), 0: (1, {'@': 96}), 32: (1, {'@': 96}), 28: (1, {'@': 96}), 4: (1, {'@': 96})}, 80: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 61: (0, 98), 28: (0, 39), 22: (0, 133), 57: (0, 105), 68: (0, 107), 34: (0, 41), 35: (0, 42), 36: (0, 134), 37: (0, 44), 32: (0, 135), 67: (0, 109), 56: (0, 99), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 69: (0, 108), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 71: (0, 101), 70: (0, 103), 64: (0, 104), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 62: (0, 106), 53: (0, 65), 54: (0, 66), 81: (0, 110)}, 81: {12: (0, 136), 6: (0, 2), 83: (0, 137), 84: (0, 138), 23: (0, 139), 0: (0, 8), 1: (0, 9), 2: (0, 140), 4: (0, 11)}, 82: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 141), 29: (0, 77), 30: (0, 36), 33: (0, 37), 73: (0, 142), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 18: (0, 143), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 83: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 144), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 12: (0, 145), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 84: {6: (0, 2), 23: (0, 146), 60: (0, 96), 85: (0, 147), 59: (0, 97), 71: (0, 101), 70: (0, 103), 0: (0, 8), 64: (0, 104), 4: (0, 11), 67: (0, 109), 12: (0, 148), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 57: (0, 105), 62: (0, 106), 18: (0, 149), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 85: {55: (1, {'@': 97}), 14: (1, {'@': 97}), 56: (1, {'@': 97}), 16: (1, {'@': 97}), 57: (1, {'@': 97}), 18: (1, {'@': 97}), 58: (1, {'@': 97}), 19: (1, {'@': 97}), 59: (1, {'@': 97}), 60: (1, {'@': 97}), 22: (1, {'@': 97}), 61: (1, {'@': 97}), 62: (1, {'@': 97}), 63: (1, {'@': 97}), 27: (1, {'@': 97}), 1: (1, {'@': 97}), 30: (1, {'@': 97}), 64: (1, {'@': 97}), 65: (1, {'@': 97}), 66: (1, {'@': 97}), 67: (1, {'@': 97}), 15: (1, {'@': 97}), 8: (1, {'@': 97}), 68: (1, {'@': 97}), 69: (1, {'@': 97}), 2: (1, {'@': 97}), 20: (1, {'@': 97}), 21: (1, {'@': 97}), 23: (1, {'@': 97}), 24: (1, {'@': 97}), 25: (1, {'@': 97}), 70: (1, {'@': 97}), 71: (1, {'@': 97}), 26: (1, {'@': 97}), 72: (1, {'@': 97}), 0: (1, {'@': 97}), 32: (1, {'@': 97}), 28: (1, {'@': 97}), 4: (1, {'@': 97})}, 86: {55: (1, {'@': 98}), 14: (1, {'@': 98}), 56: (1, {'@': 98}), 16: (1, {'@': 98}), 57: (1, {'@': 98}), 18: (1, {'@': 98}), 58: (1, {'@': 98}), 19: (1, {'@': 98}), 59: (1, {'@': 98}), 60: (1, {'@': 98}), 22: (1, {'@': 98}), 61: (1, {'@': 98}), 62: (1, {'@': 98}), 63: (1, {'@': 98}), 27: (1, {'@': 98}), 1: (1, {'@': 98}), 30: (1, {'@': 98}), 64: (1, {'@': 98}), 65: (0, 91), 66: (1, {'@': 98}), 67: (1, {'@': 98}), 15: (1, {'@': 98}), 8: (1, {'@': 98}), 68: (1, {'@': 98}), 69: (1, {'@': 98}), 2: (1, {'@': 98}), 20: (1, {'@': 98}), 21: (1, {'@': 98}), 23: (1, {'@': 98}), 24: (1, {'@': 98}), 25: (1, {'@': 98}), 70: (1, {'@': 98}), 71: (1, {'@': 98}), 26: (1, {'@': 98}), 72: (1, {'@': 98}), 0: (1, {'@': 98}), 32: (1, {'@': 98}), 28: (1, {'@': 98}), 4: (1, {'@': 98}), 86: (0, 150), 78: (0, 151)}, 87: {55: (1, {'@': 99}), 14: (1, {'@': 99}), 56: (1, {'@': 99}), 16: (1, {'@': 99}), 57: (1, {'@': 99}), 18: (1, {'@': 99}), 58: (1, {'@': 99}), 19: (1, {'@': 99}), 59: (1, {'@': 99}), 60: (1, {'@': 99}), 22: (1, {'@': 99}), 61: (1, {'@': 99}), 62: (1, {'@': 99}), 63: (1, {'@': 99}), 27: (1, {'@': 99}), 1: (1, {'@': 99}), 30: (1, {'@': 99}), 64: (1, {'@': 99}), 65: (1, {'@': 99}), 66: (1, {'@': 99}), 67: (1, {'@': 99}), 15: (1, {'@': 99}), 8: (1, {'@': 99}), 68: (1, {'@': 99}), 69: (1, {'@': 99}), 2: (1, {'@': 99}), 20: (1, {'@': 99}), 21: (1, {'@': 99}), 23: (1, {'@': 99}), 24: (1, {'@': 99}), 25: (1, {'@': 99}), 70: (1, {'@': 99}), 71: (1, {'@': 99}), 26: (1, {'@': 99}), 72: (1, {'@': 99}), 0: (1, {'@': 99}), 32: (1, {'@': 99}), 28: (1, {'@': 99}), 4: (1, {'@': 99})}, 88: {55: (1, {'@': 100}), 14: (1, {'@': 100}), 56: (1, {'@': 100}), 16: (1, {'@': 100}), 57: (1, {'@': 100}), 18: (1, {'@': 100}), 58: (1, {'@': 100}), 19: (1, {'@': 100}), 59: (1, {'@': 100}), 60: (1, {'@': 100}), 22: (1, {'@': 100}), 61: (1, {'@': 100}), 62: (1, {'@': 100}), 63: (1, {'@': 100}), 27: (1, {'@': 100}), 1: (1, {'@': 100}), 30: (1, {'@': 100}), 64: (1, {'@': 100}), 65: (1, {'@': 100}), 66: (1, {'@': 100}), 67: (1, {'@': 100}), 15: (1, {'@': 100}), 8: (1, {'@': 100}), 68: (1, {'@': 100}), 69: (1, {'@': 100}), 2: (1, {'@': 100}), 20: (1, {'@': 100}), 21: (1, {'@': 100}), 23: (1, {'@': 100}), 24: (1, {'@': 100}), 25: (1, {'@': 100}), 70: (1, {'@': 100}), 71: (1, {'@': 100}), 26: (1, {'@': 100}), 72: (1, {'@': 100}), 0: (1, {'@': 100}), 32: (1, {'@': 100}), 28: (1, {'@': 100}), 4: (1, {'@': 100})}, 89: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 68: (0, 152), 34: (0, 41), 35: (0, 42), 36: (0, 153), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 90: {55: (1, {'@': 101}), 14: (1, {'@': 101}), 56: (1, {'@': 101}), 16: (1, {'@': 101}), 57: (1, {'@': 101}), 18: (1, {'@': 101}), 58: (1, {'@': 101}), 19: (1, {'@': 101}), 59: (1, {'@': 101}), 60: (1, {'@': 101}), 22: (1, {'@': 101}), 61: (1, {'@': 101}), 62: (1, {'@': 101}), 63: (1, {'@': 101}), 27: (1, {'@': 101}), 1: (1, {'@': 101}), 30: (1, {'@': 101}), 64: (1, {'@': 101}), 65: (1, {'@': 101}), 66: (1, {'@': 101}), 67: (1, {'@': 101}), 15: (1, {'@': 101}), 8: (1, {'@': 101}), 68: (1, {'@': 101}), 69: (1, {'@': 101}), 2: (1, {'@': 101}), 20: (1, {'@': 101}), 21: (1, {'@': 101}), 23: (1, {'@': 101}), 24: (1, {'@': 101}), 25: (1, {'@': 101}), 70: (1, {'@': 101}), 71: (1, {'@': 101}), 26: (1, {'@': 101}), 72: (1, {'@': 101}), 0: (1, {'@': 101}), 32: (1, {'@': 101}), 28: (1, {'@': 101}), 4: (1, {'@': 101})}, 91: {8: (0, 154)}, 92: {55: (1, {'@': 102}), 14: (1, {'@': 102}), 56: (1, {'@': 102}), 16: (1, {'@': 102}), 57: (1, {'@': 102}), 18: (1, {'@': 102}), 58: (1, {'@': 102}), 19: (1, {'@': 102}), 59: (1, {'@': 102}), 60: (1, {'@': 102}), 22: (1, {'@': 102}), 61: (1, {'@': 102}), 62: (1, {'@': 102}), 63: (1, {'@': 102}), 27: (1, {'@': 102}), 1: (1, {'@': 102}), 30: (1, {'@': 102}), 64: (1, {'@': 102}), 65: (1, {'@': 102}), 66: (1, {'@': 102}), 67: (1, {'@': 102}), 15: (1, {'@': 102}), 8: (1, {'@': 102}), 68: (1, {'@': 102}), 69: (1, {'@': 102}), 2: (1, {'@': 102}), 20: (1, {'@': 102}), 21: (1, {'@': 102}), 23: (1, {'@': 102}), 24: (1, {'@': 102}), 25: (1, {'@': 102}), 70: (1, {'@': 102}), 71: (1, {'@': 102}), 26: (1, {'@': 102}), 72: (1, {'@': 102}), 0: (1, {'@': 102}), 32: (1, {'@': 102}), 28: (1, {'@': 102}), 4: (1, {'@': 102})}, 93: {14: (1, {'@': 103}), 56: (1, {'@': 103}), 16: (1, {'@': 103}), 57: (1, {'@': 103}), 18: (1, {'@': 103}), 58: (1, {'@': 103}), 19: (0, 89), 59: (1, {'@': 103}), 60: (1, {'@': 103}), 22: (1, {'@': 103}), 61: (1, {'@': 103}), 62: (1, {'@': 103}), 63: (1, {'@': 103}), 27: (1, {'@': 103}), 1: (1, {'@': 103}), 30: (1, {'@': 103}), 64: (1, {'@': 103}), 66: (1, {'@': 103}), 67: (1, {'@': 103}), 15: (1, {'@': 103}), 8: (1, {'@': 103}), 68: (1, {'@': 103}), 69: (1, {'@': 103}), 2: (1, {'@': 103}), 20: (1, {'@': 103}), 21: (1, {'@': 103}), 23: (1, {'@': 103}), 24: (1, {'@': 103}), 25: (1, {'@': 103}), 70: (1, {'@': 103}), 71: (1, {'@': 103}), 26: (1, {'@': 103}), 72: (1, {'@': 103}), 0: (1, {'@': 103}), 32: (1, {'@': 103}), 28: (1, {'@': 103}), 4: (1, {'@': 103}), 55: (0, 86), 76: (0, 87), 77: (0, 88), 78: (0, 90), 65: (0, 91), 79: (0, 92)}, 94: {14: (1, {'@': 104}), 56: (1, {'@': 104}), 16: (1, {'@': 104}), 57: (1, {'@': 104}), 18: (1, {'@': 104}), 58: (1, {'@': 104}), 19: (1, {'@': 104}), 59: (1, {'@': 104}), 60: (1, {'@': 104}), 22: (1, {'@': 104}), 61: (1, {'@': 104}), 62: (1, {'@': 104}), 63: (1, {'@': 104}), 27: (1, {'@': 104}), 1: (1, {'@': 104}), 30: (1, {'@': 104}), 64: (1, {'@': 104}), 66: (1, {'@': 104}), 67: (1, {'@': 104}), 15: (1, {'@': 104}), 8: (1, {'@': 104}), 68: (1, {'@': 104}), 69: (1, {'@': 104}), 2: (1, {'@': 104}), 20: (1, {'@': 104}), 21: (1, {'@': 104}), 23: (1, {'@': 104}), 24: (1, {'@': 104}), 25: (1, {'@': 104}), 70: (1, {'@': 104}), 71: (1, {'@': 104}), 26: (1, {'@': 104}), 72: (1, {'@': 104}), 0: (1, {'@': 104}), 32: (1, {'@': 104}), 28: (1, {'@': 104}), 4: (1, {'@': 104})}, 95: {14: (1, {'@': 105}), 8: (1, {'@': 105}), 16: (1, {'@': 105}), 30: (1, {'@': 105}), 19: (1, {'@': 105}), 20: (1, {'@': 105}), 21: (1, {'@': 105}), 22: (1, {'@': 105}), 25: (1, {'@': 105}), 26: (1, {'@': 105}), 27: (1, {'@': 105}), 28: (1, {'@': 105})}, 96: {14: (1, {'@': 106}), 8: (1, {'@': 106}), 16: (1, {'@': 106}), 30: (1, {'@': 106}), 19: (1, {'@': 106}), 20: (1, {'@': 106}), 21: (1, {'@': 106}), 22: (1, {'@': 106}), 25: (1, {'@': 106}), 26: (1, {'@': 106}), 27: (1, {'@': 106}), 28: (1, {'@': 106})}, 97: {14: (1, {'@': 107}), 8: (1, {'@': 107}), 16: (1, {'@': 107}), 30: (1, {'@': 107}), 19: (1, {'@': 107}), 20: (1, {'@': 107}), 21: (1, {'@': 107}), 22: (1, {'@': 107}), 25: (1, {'@': 107}), 26: (1, {'@': 107}), 27: (1, {'@': 107}), 28: (1, {'@': 107})}, 98: {14: (1, {'@': 108}), 8: (1, {'@': 108}), 16: (1, {'@': 108}), 30: (1, {'@': 108}), 19: (1, {'@': 108}), 20: (1, {'@': 108}), 21: (1, {'@': 108}), 22: (1, {'@': 108}), 25: (1, {'@': 108}), 26: (1, {'@': 108}), 27: (1, {'@': 108}), 28: (1, {'@': 108})}, 99: {14: (1, {'@': 109}), 8: (1, {'@': 109}), 16: (1, {'@': 109}), 30: (1, {'@': 109}), 19: (1, {'@': 109}), 20: (1, {'@': 109}), 21: (1, {'@': 109}), 22: (1, {'@': 109}), 25: (1, {'@': 109}), 26: (1, {'@': 109}), 27: (1, {'@': 109}), 28: (1, {'@': 109})}, 100: {8: (1, {'@': 110}), 0: (1, {'@': 110}), 1: (1, {'@': 110}), 2: (1, {'@': 110}), 3: (1, {'@': 110}), 4: (1, {'@': 110})}, 101: {14: (1, {'@': 111}), 8: (1, {'@': 111}), 16: (1, {'@': 111}), 30: (1, {'@': 111}), 19: (1, {'@': 111}), 20: (1, {'@': 111}), 21: (1, {'@': 111}), 22: (1, {'@': 111}), 25: (1, {'@': 111}), 26: (1, {'@': 111}), 27: (1, {'@': 111}), 28: (1, {'@': 111})}, 102: {14: (1, {'@': 112}), 8: (1, {'@': 112}), 16: (1, {'@': 112}), 30: (1, {'@': 112}), 19: (1, {'@': 112}), 20: (1, {'@': 112}), 21: (1, {'@': 112}), 22: (1, {'@': 112}), 25: (1, {'@': 112}), 26: (1, {'@': 112}), 27: (1, {'@': 112}), 28: (1, {'@': 112})}, 103: {14: (1, {'@': 113}), 8: (1, {'@': 113}), 16: (1, {'@': 113}), 30: (1, {'@': 113}), 19: (1, {'@': 113}), 20: (1, {'@': 113}), 21: (1, {'@': 113}), 22: (1, {'@': 113}), 25: (1, {'@': 113}), 26: (1, {'@': 113}), 27: (1, {'@': 113}), 28: (1, {'@': 113})}, 104: {14: (1, {'@': 114}), 8: (1, {'@': 114}), 16: (1, {'@': 114}), 30: (1, {'@': 114}), 19: (1, {'@': 114}), 20: (1, {'@': 114}), 21: (1, {'@': 114}), 22: (1, {'@': 114}), 25: (1, {'@': 114}), 26: (1, {'@': 114}), 27: (1, {'@': 114}), 28: (1, {'@': 114})}, 105: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 155), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 106: {14: (1, {'@': 115}), 8: (1, {'@': 115}), 16: (1, {'@': 115}), 30: (1, {'@': 115}), 19: (1, {'@': 115}), 20: (1, {'@': 115}), 21: (1, {'@': 115}), 22: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 27: (1, {'@': 115}), 28: (1, {'@': 115})}, 107: {14: (1, {'@': 116}), 8: (1, {'@': 116}), 16: (1, {'@': 116}), 30: (1, {'@': 116}), 19: (1, {'@': 116}), 20: (1, {'@': 116}), 21: (1, {'@': 116}), 22: (1, {'@': 116}), 25: (1, {'@': 116}), 26: (1, {'@': 116}), 27: (1, {'@': 116}), 28: (1, {'@': 116})}, 108: {14: (1, {'@': 117}), 8: (1, {'@': 117}), 16: (1, {'@': 117}), 30: (1, {'@': 117}), 19: (1, {'@': 117}), 20: (1, {'@': 117}), 21: (1, {'@': 117}), 22: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 27: (1, {'@': 117}), 28: (1, {'@': 117})}, 109: {14: (1, {'@': 118}), 8: (1, {'@': 118}), 16: (1, {'@': 118}), 30: (1, {'@': 118}), 19: (1, {'@': 118}), 20: (1, {'@': 118}), 21: (1, {'@': 118}), 22: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 27: (1, {'@': 118}), 28: (1, {'@': 118})}, 110: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 36: (0, 156), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 111: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 15: (0, 157), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 112: {14: (1, {'@': 119}), 56: (1, {'@': 119}), 16: (1, {'@': 119}), 57: (1, {'@': 119}), 18: (1, {'@': 119}), 58: (1, {'@': 119}), 19: (0, 89), 59: (1, {'@': 119}), 60: (1, {'@': 119}), 22: (1, {'@': 119}), 61: (1, {'@': 119}), 62: (1, {'@': 119}), 63: (1, {'@': 119}), 27: (1, {'@': 119}), 1: (1, {'@': 119}), 30: (1, {'@': 119}), 64: (1, {'@': 119}), 66: (1, {'@': 119}), 67: (1, {'@': 119}), 15: (1, {'@': 119}), 8: (1, {'@': 119}), 68: (1, {'@': 119}), 69: (1, {'@': 119}), 2: (1, {'@': 119}), 20: (1, {'@': 119}), 21: (1, {'@': 119}), 23: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 70: (1, {'@': 119}), 71: (1, {'@': 119}), 26: (1, {'@': 119}), 72: (1, {'@': 119}), 0: (1, {'@': 119}), 32: (1, {'@': 119}), 28: (1, {'@': 119}), 4: (1, {'@': 119}), 55: (0, 86), 76: (0, 87), 77: (0, 88), 78: (0, 90), 65: (0, 91), 79: (0, 92)}, 113: {49: (0, 158), 30: (0, 36)}, 114: {55: (1, {'@': 120}), 14: (1, {'@': 120}), 56: (1, {'@': 120}), 16: (1, {'@': 120}), 57: (1, {'@': 120}), 18: (1, {'@': 120}), 58: (1, {'@': 120}), 19: (1, {'@': 120}), 59: (1, {'@': 120}), 60: (1, {'@': 120}), 22: (1, {'@': 120}), 61: (1, {'@': 120}), 62: (1, {'@': 120}), 63: (1, {'@': 120}), 27: (1, {'@': 120}), 1: (1, {'@': 120}), 30: (1, {'@': 120}), 64: (1, {'@': 120}), 65: (1, {'@': 120}), 66: (1, {'@': 120}), 75: (1, {'@': 120}), 67: (1, {'@': 120}), 15: (1, {'@': 120}), 8: (1, {'@': 120}), 68: (1, {'@': 120}), 69: (1, {'@': 120}), 2: (1, {'@': 120}), 20: (1, {'@': 120}), 21: (1, {'@': 120}), 23: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 70: (1, {'@': 120}), 71: (1, {'@': 120}), 26: (1, {'@': 120}), 72: (1, {'@': 120}), 0: (1, {'@': 120}), 32: (1, {'@': 120}), 28: (1, {'@': 120}), 4: (1, {'@': 120})}, 115: {49: (0, 159), 30: (0, 36)}, 116: {8: (1, {'@': 121}), 0: (1, {'@': 121}), 1: (1, {'@': 121}), 2: (1, {'@': 121}), 3: (1, {'@': 121}), 4: (1, {'@': 121})}, 117: {2: (0, 160)}, 118: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 161), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 119: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 2: (0, 162), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 120: {1: (0, 9), 12: (0, 163), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 121: {0: (0, 8), 15: (1, {'@': 122}), 1: (0, 9), 4: (0, 11), 23: (0, 164), 6: (0, 2), 60: (0, 96), 59: (0, 97), 71: (0, 101), 85: (0, 165), 70: (0, 103), 64: (0, 104), 67: (0, 109), 12: (0, 166), 80: (0, 94), 66: (0, 95), 72: (0, 167), 61: (0, 98), 56: (0, 99), 22: (0, 102), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 122: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 121), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 40: (0, 47), 39: (0, 46), 41: (0, 48), 82: (0, 168), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 15: (0, 169), 12: (0, 170), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 123: {55: (1, {'@': 123}), 14: (1, {'@': 123}), 56: (1, {'@': 123}), 16: (1, {'@': 123}), 57: (1, {'@': 123}), 18: (1, {'@': 123}), 58: (1, {'@': 123}), 19: (1, {'@': 123}), 59: (1, {'@': 123}), 60: (1, {'@': 123}), 22: (1, {'@': 123}), 61: (1, {'@': 123}), 62: (1, {'@': 123}), 63: (1, {'@': 123}), 27: (1, {'@': 123}), 1: (1, {'@': 123}), 30: (1, {'@': 123}), 64: (1, {'@': 123}), 65: (1, {'@': 123}), 66: (1, {'@': 123}), 67: (1, {'@': 123}), 15: (1, {'@': 123}), 8: (1, {'@': 123}), 68: (1, {'@': 123}), 69: (1, {'@': 123}), 2: (1, {'@': 123}), 20: (1, {'@': 123}), 21: (1, {'@': 123}), 23: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 70: (1, {'@': 123}), 71: (1, {'@': 123}), 26: (1, {'@': 123}), 72: (1, {'@': 123}), 0: (1, {'@': 123}), 32: (1, {'@': 123}), 28: (1, {'@': 123}), 4: (1, {'@': 123})}, 124: {1: (0, 9), 6: (0, 2), 4: (0, 11), 12: (0, 171), 15: (0, 172), 0: (0, 8)}, 125: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 173), 12: (0, 122), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 15: (0, 123), 27: (0, 51), 82: (0, 124), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 126: {23: (1, {'@': 124}), 0: (1, {'@': 124}), 1: (1, {'@': 124}), 2: (1, {'@': 124}), 4: (1, {'@': 124}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 127: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 174), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 128: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 58: (0, 175), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 129: {8: (0, 176)}, 130: {23: (0, 177), 6: (0, 2), 17: (0, 178), 12: (0, 179), 0: (0, 8), 1: (0, 9), 4: (0, 11)}, 131: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 36: (0, 180), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 132: {84: (0, 181), 12: (0, 136), 6: (0, 2), 2: (0, 182), 23: (0, 139), 0: (0, 8), 1: (0, 9), 83: (0, 183), 4: (0, 11)}, 133: {14: (0, 61), 8: (0, 33), 16: (0, 38), 30: (0, 36), 19: (0, 35), 20: (0, 34), 21: (0, 54), 22: (1, {'@': 112}), 25: (0, 50), 26: (1, {'@': 112}), 27: (0, 51), 28: (0, 39), 43: (0, 52), 44: (0, 53), 45: (0, 55), 46: (0, 56), 33: (0, 93), 47: (0, 57), 48: (0, 58), 34: (0, 41), 35: (0, 42), 49: (0, 60), 50: (0, 62), 39: (0, 46), 40: (0, 47), 42: (0, 49), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 134: {23: (1, {'@': 125}), 0: (1, {'@': 125}), 1: (1, {'@': 125}), 2: (1, {'@': 125}), 4: (1, {'@': 125}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 135: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 184), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 136: {25: (1, {'@': 126}), 14: (1, {'@': 126}), 8: (1, {'@': 126}), 16: (1, {'@': 126}), 26: (1, {'@': 126}), 27: (1, {'@': 126}), 28: (1, {'@': 126}), 19: (1, {'@': 126}), 2: (1, {'@': 126}), 30: (1, {'@': 126}), 20: (1, {'@': 126}), 21: (1, {'@': 126}), 22: (1, {'@': 126})}, 137: {1: (0, 9), 12: (0, 136), 2: (0, 185), 6: (0, 2), 23: (0, 139), 4: (0, 11), 84: (0, 186), 0: (0, 8)}, 138: {8: (0, 75), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 74: (0, 187), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 2: (0, 188), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 139: {25: (1, {'@': 127}), 14: (1, {'@': 127}), 8: (1, {'@': 127}), 16: (1, {'@': 127}), 26: (1, {'@': 127}), 27: (1, {'@': 127}), 28: (1, {'@': 127}), 19: (1, {'@': 127}), 2: (1, {'@': 127}), 30: (1, {'@': 127}), 20: (1, {'@': 127}), 21: (1, {'@': 127}), 22: (1, {'@': 127}), 1: (0, 9), 12: (0, 189), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 140: {55: (1, {'@': 128}), 14: (1, {'@': 128}), 56: (1, {'@': 128}), 16: (1, {'@': 128}), 57: (1, {'@': 128}), 18: (1, {'@': 128}), 58: (1, {'@': 128}), 19: (1, {'@': 128}), 59: (1, {'@': 128}), 60: (1, {'@': 128}), 22: (1, {'@': 128}), 61: (1, {'@': 128}), 62: (1, {'@': 128}), 63: (1, {'@': 128}), 27: (1, {'@': 128}), 1: (1, {'@': 128}), 30: (1, {'@': 128}), 64: (1, {'@': 128}), 65: (1, {'@': 128}), 66: (1, {'@': 128}), 67: (1, {'@': 128}), 15: (1, {'@': 128}), 8: (1, {'@': 128}), 68: (1, {'@': 128}), 69: (1, {'@': 128}), 2: (1, {'@': 128}), 20: (1, {'@': 128}), 21: (1, {'@': 128}), 23: (1, {'@': 128}), 24: (1, {'@': 128}), 25: (1, {'@': 128}), 70: (1, {'@': 128}), 71: (1, {'@': 128}), 26: (1, {'@': 128}), 72: (1, {'@': 128}), 0: (1, {'@': 128}), 32: (1, {'@': 128}), 28: (1, {'@': 128}), 4: (1, {'@': 128})}, 141: {23: (0, 190), 85: (0, 191), 6: (0, 2), 60: (0, 96), 59: (0, 97), 71: (0, 101), 0: (0, 8), 70: (0, 103), 18: (0, 192), 64: (0, 104), 81: (0, 110), 12: (0, 193), 4: (0, 11), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108)}, 142: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 12: (0, 194), 33: (0, 37), 36: (0, 195), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 143: {55: (1, {'@': 129}), 14: (1, {'@': 129}), 56: (1, {'@': 129}), 16: (1, {'@': 129}), 57: (1, {'@': 129}), 18: (1, {'@': 129}), 58: (1, {'@': 129}), 19: (1, {'@': 129}), 59: (1, {'@': 129}), 60: (1, {'@': 129}), 22: (1, {'@': 129}), 61: (1, {'@': 129}), 62: (1, {'@': 129}), 63: (1, {'@': 129}), 27: (1, {'@': 129}), 1: (1, {'@': 129}), 30: (1, {'@': 129}), 64: (1, {'@': 129}), 65: (1, {'@': 129}), 66: (1, {'@': 129}), 67: (1, {'@': 129}), 15: (1, {'@': 129}), 8: (1, {'@': 129}), 68: (1, {'@': 129}), 69: (1, {'@': 129}), 2: (1, {'@': 129}), 20: (1, {'@': 129}), 21: (1, {'@': 129}), 23: (1, {'@': 129}), 24: (1, {'@': 129}), 25: (1, {'@': 129}), 70: (1, {'@': 129}), 71: (1, {'@': 129}), 26: (1, {'@': 129}), 72: (1, {'@': 129}), 0: (1, {'@': 129}), 32: (1, {'@': 129}), 28: (1, {'@': 129}), 4: (1, {'@': 129})}, 144: {18: (0, 196), 6: (0, 2), 24: (0, 197), 60: (0, 96), 59: (0, 97), 12: (0, 198), 71: (0, 101), 70: (0, 103), 0: (0, 8), 64: (0, 104), 4: (0, 11), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 87: (0, 199), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 145: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 36: (0, 200), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 146: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 12: (0, 201), 16: (0, 38), 28: (0, 39), 18: (0, 202), 22: (0, 40), 34: (0, 41), 36: (0, 203), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 147: {12: (0, 204), 6: (0, 2), 23: (0, 205), 0: (0, 8), 1: (0, 9), 18: (0, 206), 4: (0, 11)}, 148: {1: (0, 9), 23: (0, 207), 6: (0, 2), 18: (0, 208), 12: (0, 209), 4: (0, 11), 0: (0, 8)}, 149: {55: (1, {'@': 130}), 14: (1, {'@': 130}), 56: (1, {'@': 130}), 16: (1, {'@': 130}), 57: (1, {'@': 130}), 18: (1, {'@': 130}), 58: (1, {'@': 130}), 19: (1, {'@': 130}), 59: (1, {'@': 130}), 60: (1, {'@': 130}), 22: (1, {'@': 130}), 61: (1, {'@': 130}), 62: (1, {'@': 130}), 63: (1, {'@': 130}), 27: (1, {'@': 130}), 1: (1, {'@': 130}), 30: (1, {'@': 130}), 64: (1, {'@': 130}), 65: (1, {'@': 130}), 66: (1, {'@': 130}), 67: (1, {'@': 130}), 15: (1, {'@': 130}), 8: (1, {'@': 130}), 68: (1, {'@': 130}), 69: (1, {'@': 130}), 2: (1, {'@': 130}), 20: (1, {'@': 130}), 21: (1, {'@': 130}), 23: (1, {'@': 130}), 24: (1, {'@': 130}), 25: (1, {'@': 130}), 70: (1, {'@': 130}), 71: (1, {'@': 130}), 26: (1, {'@': 130}), 72: (1, {'@': 130}), 0: (1, {'@': 130}), 32: (1, {'@': 130}), 28: (1, {'@': 130}), 4: (1, {'@': 130})}, 150: {55: (1, {'@': 131}), 14: (1, {'@': 131}), 56: (1, {'@': 131}), 16: (1, {'@': 131}), 57: (1, {'@': 131}), 18: (1, {'@': 131}), 58: (1, {'@': 131}), 19: (1, {'@': 131}), 59: (1, {'@': 131}), 60: (1, {'@': 131}), 22: (1, {'@': 131}), 61: (1, {'@': 131}), 62: (1, {'@': 131}), 63: (1, {'@': 131}), 27: (1, {'@': 131}), 1: (1, {'@': 131}), 30: (1, {'@': 131}), 64: (1, {'@': 131}), 65: (0, 91), 66: (1, {'@': 131}), 67: (1, {'@': 131}), 15: (1, {'@': 131}), 8: (1, {'@': 131}), 68: (1, {'@': 131}), 69: (1, {'@': 131}), 2: (1, {'@': 131}), 20: (1, {'@': 131}), 21: (1, {'@': 131}), 23: (1, {'@': 131}), 24: (1, {'@': 131}), 25: (1, {'@': 131}), 70: (1, {'@': 131}), 71: (1, {'@': 131}), 26: (1, {'@': 131}), 72: (1, {'@': 131}), 0: (1, {'@': 131}), 32: (1, {'@': 131}), 28: (1, {'@': 131}), 4: (1, {'@': 131}), 78: (0, 210)}, 151: {55: (1, {'@': 132}), 14: (1, {'@': 132}), 56: (1, {'@': 132}), 16: (1, {'@': 132}), 57: (1, {'@': 132}), 18: (1, {'@': 132}), 58: (1, {'@': 132}), 19: (1, {'@': 132}), 59: (1, {'@': 132}), 60: (1, {'@': 132}), 22: (1, {'@': 132}), 61: (1, {'@': 132}), 62: (1, {'@': 132}), 63: (1, {'@': 132}), 27: (1, {'@': 132}), 1: (1, {'@': 132}), 30: (1, {'@': 132}), 64: (1, {'@': 132}), 65: (1, {'@': 132}), 66: (1, {'@': 132}), 67: (1, {'@': 132}), 15: (1, {'@': 132}), 8: (1, {'@': 132}), 68: (1, {'@': 132}), 69: (1, {'@': 132}), 2: (1, {'@': 132}), 20: (1, {'@': 132}), 21: (1, {'@': 132}), 23: (1, {'@': 132}), 24: (1, {'@': 132}), 25: (1, {'@': 132}), 70: (1, {'@': 132}), 71: (1, {'@': 132}), 26: (1, {'@': 132}), 72: (1, {'@': 132}), 0: (1, {'@': 132}), 32: (1, {'@': 132}), 28: (1, {'@': 132}), 4: (1, {'@': 132})}, 152: {18: (0, 211)}, 153: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 18: (0, 212), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 154: {55: (1, {'@': 133}), 14: (1, {'@': 133}), 56: (1, {'@': 133}), 16: (1, {'@': 133}), 57: (1, {'@': 133}), 18: (1, {'@': 133}), 58: (1, {'@': 133}), 19: (1, {'@': 133}), 59: (1, {'@': 133}), 60: (1, {'@': 133}), 22: (1, {'@': 133}), 61: (1, {'@': 133}), 62: (1, {'@': 133}), 63: (1, {'@': 133}), 27: (1, {'@': 133}), 1: (1, {'@': 133}), 30: (1, {'@': 133}), 64: (1, {'@': 133}), 65: (1, {'@': 133}), 66: (1, {'@': 133}), 67: (1, {'@': 133}), 15: (1, {'@': 133}), 8: (1, {'@': 133}), 68: (1, {'@': 133}), 69: (1, {'@': 133}), 2: (1, {'@': 133}), 20: (1, {'@': 133}), 21: (1, {'@': 133}), 23: (1, {'@': 133}), 24: (1, {'@': 133}), 25: (1, {'@': 133}), 70: (1, {'@': 133}), 71: (1, {'@': 133}), 26: (1, {'@': 133}), 72: (1, {'@': 133}), 0: (1, {'@': 133}), 32: (1, {'@': 133}), 28: (1, {'@': 133}), 4: (1, {'@': 133})}, 155: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 63: (0, 213), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 156: {14: (1, {'@': 134}), 56: (0, 99), 16: (1, {'@': 134}), 57: (0, 105), 18: (1, {'@': 134}), 58: (1, {'@': 134}), 19: (1, {'@': 134}), 59: (0, 97), 60: (0, 96), 22: (0, 102), 61: (0, 98), 62: (0, 106), 63: (1, {'@': 134}), 27: (1, {'@': 134}), 1: (1, {'@': 134}), 30: (1, {'@': 134}), 64: (0, 104), 66: (0, 95), 67: (0, 109), 15: (1, {'@': 134}), 8: (1, {'@': 134}), 68: (0, 107), 69: (0, 108), 2: (1, {'@': 134}), 20: (1, {'@': 134}), 21: (1, {'@': 134}), 23: (1, {'@': 134}), 24: (1, {'@': 134}), 25: (1, {'@': 134}), 70: (0, 103), 71: (0, 101), 26: (1, {'@': 134}), 72: (1, {'@': 134}), 0: (1, {'@': 134}), 32: (1, {'@': 134}), 28: (1, {'@': 134}), 4: (1, {'@': 134}), 80: (0, 94), 81: (0, 110)}, 157: {55: (1, {'@': 135}), 14: (1, {'@': 135}), 56: (1, {'@': 135}), 16: (1, {'@': 135}), 57: (1, {'@': 135}), 18: (1, {'@': 135}), 58: (1, {'@': 135}), 19: (1, {'@': 135}), 59: (1, {'@': 135}), 60: (1, {'@': 135}), 22: (1, {'@': 135}), 61: (1, {'@': 135}), 62: (1, {'@': 135}), 63: (1, {'@': 135}), 27: (1, {'@': 135}), 1: (1, {'@': 135}), 30: (1, {'@': 135}), 64: (1, {'@': 135}), 65: (1, {'@': 135}), 66: (1, {'@': 135}), 67: (1, {'@': 135}), 15: (1, {'@': 135}), 8: (1, {'@': 135}), 68: (1, {'@': 135}), 69: (1, {'@': 135}), 2: (1, {'@': 135}), 20: (1, {'@': 135}), 21: (1, {'@': 135}), 23: (1, {'@': 135}), 24: (1, {'@': 135}), 25: (1, {'@': 135}), 70: (1, {'@': 135}), 71: (1, {'@': 135}), 26: (1, {'@': 135}), 72: (1, {'@': 135}), 0: (1, {'@': 135}), 32: (1, {'@': 135}), 28: (1, {'@': 135}), 4: (1, {'@': 135})}, 158: {55: (1, {'@': 136}), 14: (1, {'@': 136}), 56: (1, {'@': 136}), 16: (1, {'@': 136}), 57: (1, {'@': 136}), 18: (1, {'@': 136}), 58: (1, {'@': 136}), 19: (1, {'@': 136}), 59: (1, {'@': 136}), 60: (1, {'@': 136}), 22: (1, {'@': 136}), 61: (1, {'@': 136}), 62: (1, {'@': 136}), 63: (1, {'@': 136}), 27: (1, {'@': 136}), 1: (1, {'@': 136}), 30: (0, 114), 64: (1, {'@': 136}), 65: (1, {'@': 136}), 66: (1, {'@': 136}), 67: (1, {'@': 136}), 15: (1, {'@': 136}), 8: (1, {'@': 136}), 68: (1, {'@': 136}), 69: (1, {'@': 136}), 2: (1, {'@': 136}), 20: (1, {'@': 136}), 21: (1, {'@': 136}), 23: (1, {'@': 136}), 24: (1, {'@': 136}), 25: (1, {'@': 136}), 70: (1, {'@': 136}), 71: (1, {'@': 136}), 26: (1, {'@': 136}), 72: (1, {'@': 136}), 0: (1, {'@': 136}), 32: (1, {'@': 136}), 28: (1, {'@': 136}), 4: (1, {'@': 136}), 75: (0, 214)}, 159: {55: (1, {'@': 137}), 14: (1, {'@': 137}), 56: (1, {'@': 137}), 16: (1, {'@': 137}), 57: (1, {'@': 137}), 18: (1, {'@': 137}), 58: (1, {'@': 137}), 19: (1, {'@': 137}), 59: (1, {'@': 137}), 60: (1, {'@': 137}), 22: (1, {'@': 137}), 61: (1, {'@': 137}), 62: (1, {'@': 137}), 63: (1, {'@': 137}), 27: (1, {'@': 137}), 1: (1, {'@': 137}), 30: (0, 114), 64: (1, {'@': 137}), 65: (1, {'@': 137}), 66: (1, {'@': 137}), 67: (1, {'@': 137}), 15: (1, {'@': 137}), 8: (1, {'@': 137}), 68: (1, {'@': 137}), 69: (1, {'@': 137}), 2: (1, {'@': 137}), 20: (1, {'@': 137}), 21: (1, {'@': 137}), 23: (1, {'@': 137}), 24: (1, {'@': 137}), 25: (1, {'@': 137}), 70: (1, {'@': 137}), 71: (1, {'@': 137}), 26: (1, {'@': 137}), 72: (1, {'@': 137}), 0: (1, {'@': 137}), 32: (1, {'@': 137}), 28: (1, {'@': 137}), 4: (1, {'@': 137})}, 160: {1: (0, 9), 6: (0, 2), 12: (0, 215), 4: (0, 11), 0: (0, 8)}, 161: {2: (0, 216), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 162: {1: (0, 9), 12: (0, 217), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 163: {8: (1, {'@': 138}), 0: (1, {'@': 138}), 1: (1, {'@': 138}), 2: (1, {'@': 138}), 3: (1, {'@': 138}), 4: (1, {'@': 138})}, 164: {0: (0, 8), 15: (1, {'@': 139}), 1: (0, 9), 4: (0, 11), 8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 12: (0, 218), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 36: (0, 203), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 165: {0: (0, 8), 15: (1, {'@': 140}), 1: (0, 9), 4: (0, 11), 72: (0, 219), 6: (0, 2), 12: (0, 220), 23: (0, 221)}, 166: {0: (1, {'@': 141}), 15: (1, {'@': 141}), 1: (1, {'@': 141}), 4: (1, {'@': 141}), 23: (0, 222)}, 167: {0: (0, 8), 15: (1, {'@': 142}), 1: (0, 9), 4: (0, 11), 12: (0, 223), 6: (0, 2)}, 168: {1: (0, 9), 6: (0, 2), 15: (0, 224), 12: (0, 225), 4: (0, 11), 0: (0, 8)}, 169: {55: (1, {'@': 143}), 14: (1, {'@': 143}), 56: (1, {'@': 143}), 16: (1, {'@': 143}), 57: (1, {'@': 143}), 18: (1, {'@': 143}), 58: (1, {'@': 143}), 19: (1, {'@': 143}), 59: (1, {'@': 143}), 60: (1, {'@': 143}), 22: (1, {'@': 143}), 61: (1, {'@': 143}), 62: (1, {'@': 143}), 63: (1, {'@': 143}), 27: (1, {'@': 143}), 1: (1, {'@': 143}), 30: (1, {'@': 143}), 64: (1, {'@': 143}), 65: (1, {'@': 143}), 66: (1, {'@': 143}), 67: (1, {'@': 143}), 15: (1, {'@': 143}), 8: (1, {'@': 143}), 68: (1, {'@': 143}), 69: (1, {'@': 143}), 2: (1, {'@': 143}), 20: (1, {'@': 143}), 21: (1, {'@': 143}), 23: (1, {'@': 143}), 24: (1, {'@': 143}), 25: (1, {'@': 143}), 70: (1, {'@': 143}), 71: (1, {'@': 143}), 26: (1, {'@': 143}), 72: (1, {'@': 143}), 0: (1, {'@': 143}), 32: (1, {'@': 143}), 28: (1, {'@': 143}), 4: (1, {'@': 143})}, 170: {15: (0, 226)}, 171: {15: (0, 227)}, 172: {55: (1, {'@': 144}), 14: (1, {'@': 144}), 56: (1, {'@': 144}), 16: (1, {'@': 144}), 57: (1, {'@': 144}), 18: (1, {'@': 144}), 58: (1, {'@': 144}), 19: (1, {'@': 144}), 59: (1, {'@': 144}), 60: (1, {'@': 144}), 22: (1, {'@': 144}), 61: (1, {'@': 144}), 62: (1, {'@': 144}), 63: (1, {'@': 144}), 27: (1, {'@': 144}), 1: (1, {'@': 144}), 30: (1, {'@': 144}), 64: (1, {'@': 144}), 65: (1, {'@': 144}), 66: (1, {'@': 144}), 67: (1, {'@': 144}), 15: (1, {'@': 144}), 8: (1, {'@': 144}), 68: (1, {'@': 144}), 69: (1, {'@': 144}), 2: (1, {'@': 144}), 20: (1, {'@': 144}), 21: (1, {'@': 144}), 23: (1, {'@': 144}), 24: (1, {'@': 144}), 25: (1, {'@': 144}), 70: (1, {'@': 144}), 71: (1, {'@': 144}), 26: (1, {'@': 144}), 72: (1, {'@': 144}), 0: (1, {'@': 144}), 32: (1, {'@': 144}), 28: (1, {'@': 144}), 4: (1, {'@': 144})}, 173: {0: (0, 8), 15: (0, 157), 1: (0, 9), 4: (0, 11), 23: (0, 164), 6: (0, 2), 60: (0, 96), 59: (0, 97), 71: (0, 101), 85: (0, 165), 70: (0, 103), 64: (0, 104), 67: (0, 109), 12: (0, 166), 80: (0, 94), 66: (0, 95), 72: (0, 167), 61: (0, 98), 56: (0, 99), 22: (0, 102), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 174: {23: (1, {'@': 145}), 0: (1, {'@': 145}), 1: (1, {'@': 145}), 2: (1, {'@': 145}), 4: (1, {'@': 145}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 175: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 228), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 176: {17: (0, 229), 6: (0, 2), 23: (0, 230), 12: (0, 231), 0: (0, 8), 1: (0, 9), 4: (0, 11)}, 177: {8: (0, 232)}, 178: {8: (0, 33), 12: (0, 233), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 234), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 179: {17: (0, 235)}, 180: {58: (0, 236), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 67: (0, 109), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 181: {8: (0, 75), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 74: (0, 187), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 2: (0, 237), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 182: {55: (1, {'@': 146}), 14: (1, {'@': 146}), 56: (1, {'@': 146}), 16: (1, {'@': 146}), 57: (1, {'@': 146}), 18: (1, {'@': 146}), 58: (1, {'@': 146}), 19: (1, {'@': 146}), 59: (1, {'@': 146}), 60: (1, {'@': 146}), 22: (1, {'@': 146}), 61: (1, {'@': 146}), 62: (1, {'@': 146}), 63: (1, {'@': 146}), 27: (1, {'@': 146}), 1: (1, {'@': 146}), 30: (1, {'@': 146}), 64: (1, {'@': 146}), 65: (1, {'@': 146}), 66: (1, {'@': 146}), 67: (1, {'@': 146}), 15: (1, {'@': 146}), 8: (1, {'@': 146}), 68: (1, {'@': 146}), 69: (1, {'@': 146}), 2: (1, {'@': 146}), 20: (1, {'@': 146}), 21: (1, {'@': 146}), 23: (1, {'@': 146}), 24: (1, {'@': 146}), 25: (1, {'@': 146}), 70: (1, {'@': 146}), 71: (1, {'@': 146}), 26: (1, {'@': 146}), 72: (1, {'@': 146}), 0: (1, {'@': 146}), 32: (1, {'@': 146}), 28: (1, {'@': 146}), 4: (1, {'@': 146})}, 183: {1: (0, 9), 12: (0, 136), 6: (0, 2), 23: (0, 139), 2: (0, 238), 4: (0, 11), 84: (0, 239), 0: (0, 8)}, 184: {23: (1, {'@': 147}), 0: (1, {'@': 147}), 1: (1, {'@': 147}), 2: (1, {'@': 147}), 4: (1, {'@': 147}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 185: {55: (1, {'@': 148}), 14: (1, {'@': 148}), 56: (1, {'@': 148}), 16: (1, {'@': 148}), 57: (1, {'@': 148}), 18: (1, {'@': 148}), 58: (1, {'@': 148}), 19: (1, {'@': 148}), 59: (1, {'@': 148}), 60: (1, {'@': 148}), 22: (1, {'@': 148}), 61: (1, {'@': 148}), 62: (1, {'@': 148}), 63: (1, {'@': 148}), 27: (1, {'@': 148}), 1: (1, {'@': 148}), 30: (1, {'@': 148}), 64: (1, {'@': 148}), 65: (1, {'@': 148}), 66: (1, {'@': 148}), 67: (1, {'@': 148}), 15: (1, {'@': 148}), 8: (1, {'@': 148}), 68: (1, {'@': 148}), 69: (1, {'@': 148}), 2: (1, {'@': 148}), 20: (1, {'@': 148}), 21: (1, {'@': 148}), 23: (1, {'@': 148}), 24: (1, {'@': 148}), 25: (1, {'@': 148}), 70: (1, {'@': 148}), 71: (1, {'@': 148}), 26: (1, {'@': 148}), 72: (1, {'@': 148}), 0: (1, {'@': 148}), 32: (1, {'@': 148}), 28: (1, {'@': 148}), 4: (1, {'@': 148})}, 186: {8: (0, 75), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 2: (0, 240), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 74: (0, 241), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 187: {23: (1, {'@': 149}), 0: (1, {'@': 149}), 1: (1, {'@': 149}), 2: (1, {'@': 149}), 4: (1, {'@': 149})}, 188: {55: (1, {'@': 150}), 14: (1, {'@': 150}), 56: (1, {'@': 150}), 16: (1, {'@': 150}), 57: (1, {'@': 150}), 18: (1, {'@': 150}), 58: (1, {'@': 150}), 19: (1, {'@': 150}), 59: (1, {'@': 150}), 60: (1, {'@': 150}), 22: (1, {'@': 150}), 61: (1, {'@': 150}), 62: (1, {'@': 150}), 63: (1, {'@': 150}), 27: (1, {'@': 150}), 1: (1, {'@': 150}), 30: (1, {'@': 150}), 64: (1, {'@': 150}), 65: (1, {'@': 150}), 66: (1, {'@': 150}), 67: (1, {'@': 150}), 15: (1, {'@': 150}), 8: (1, {'@': 150}), 68: (1, {'@': 150}), 69: (1, {'@': 150}), 2: (1, {'@': 150}), 20: (1, {'@': 150}), 21: (1, {'@': 150}), 23: (1, {'@': 150}), 24: (1, {'@': 150}), 25: (1, {'@': 150}), 70: (1, {'@': 150}), 71: (1, {'@': 150}), 26: (1, {'@': 150}), 72: (1, {'@': 150}), 0: (1, {'@': 150}), 32: (1, {'@': 150}), 28: (1, {'@': 150}), 4: (1, {'@': 150})}, 189: {25: (1, {'@': 151}), 14: (1, {'@': 151}), 8: (1, {'@': 151}), 16: (1, {'@': 151}), 26: (1, {'@': 151}), 27: (1, {'@': 151}), 28: (1, {'@': 151}), 19: (1, {'@': 151}), 2: (1, {'@': 151}), 30: (1, {'@': 151}), 20: (1, {'@': 151}), 21: (1, {'@': 151}), 22: (1, {'@': 151})}, 190: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 12: (0, 242), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 36: (0, 203), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 18: (0, 243), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 191: {6: (0, 2), 12: (0, 244), 23: (0, 245), 0: (0, 8), 1: (0, 9), 18: (0, 246), 4: (0, 11)}, 192: {55: (1, {'@': 152}), 14: (1, {'@': 152}), 56: (1, {'@': 152}), 16: (1, {'@': 152}), 57: (1, {'@': 152}), 18: (1, {'@': 152}), 58: (1, {'@': 152}), 19: (1, {'@': 152}), 59: (1, {'@': 152}), 60: (1, {'@': 152}), 22: (1, {'@': 152}), 61: (1, {'@': 152}), 62: (1, {'@': 152}), 63: (1, {'@': 152}), 27: (1, {'@': 152}), 1: (1, {'@': 152}), 30: (1, {'@': 152}), 64: (1, {'@': 152}), 65: (1, {'@': 152}), 66: (1, {'@': 152}), 67: (1, {'@': 152}), 15: (1, {'@': 152}), 8: (1, {'@': 152}), 68: (1, {'@': 152}), 69: (1, {'@': 152}), 2: (1, {'@': 152}), 20: (1, {'@': 152}), 21: (1, {'@': 152}), 23: (1, {'@': 152}), 24: (1, {'@': 152}), 25: (1, {'@': 152}), 70: (1, {'@': 152}), 71: (1, {'@': 152}), 26: (1, {'@': 152}), 72: (1, {'@': 152}), 0: (1, {'@': 152}), 32: (1, {'@': 152}), 28: (1, {'@': 152}), 4: (1, {'@': 152})}, 193: {12: (0, 247), 23: (0, 248), 18: (0, 249), 1: (0, 9), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 194: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 36: (0, 250), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 195: {6: (0, 2), 24: (0, 197), 60: (0, 96), 59: (0, 97), 71: (0, 101), 87: (0, 251), 70: (0, 103), 0: (0, 8), 64: (0, 104), 4: (0, 11), 12: (0, 252), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 18: (0, 253), 69: (0, 108), 81: (0, 110)}, 196: {55: (1, {'@': 153}), 14: (1, {'@': 153}), 56: (1, {'@': 153}), 16: (1, {'@': 153}), 57: (1, {'@': 153}), 18: (1, {'@': 153}), 58: (1, {'@': 153}), 19: (1, {'@': 153}), 59: (1, {'@': 153}), 60: (1, {'@': 153}), 22: (1, {'@': 153}), 61: (1, {'@': 153}), 62: (1, {'@': 153}), 63: (1, {'@': 153}), 27: (1, {'@': 153}), 1: (1, {'@': 153}), 30: (1, {'@': 153}), 64: (1, {'@': 153}), 65: (1, {'@': 153}), 66: (1, {'@': 153}), 67: (1, {'@': 153}), 15: (1, {'@': 153}), 8: (1, {'@': 153}), 68: (1, {'@': 153}), 69: (1, {'@': 153}), 2: (1, {'@': 153}), 20: (1, {'@': 153}), 21: (1, {'@': 153}), 23: (1, {'@': 153}), 24: (1, {'@': 153}), 25: (1, {'@': 153}), 70: (1, {'@': 153}), 71: (1, {'@': 153}), 26: (1, {'@': 153}), 72: (1, {'@': 153}), 0: (1, {'@': 153}), 32: (1, {'@': 153}), 28: (1, {'@': 153}), 4: (1, {'@': 153})}, 197: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 254), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 12: (0, 255), 53: (0, 65), 54: (0, 66)}, 198: {87: (0, 256), 1: (0, 9), 6: (0, 2), 12: (0, 257), 24: (0, 197), 4: (0, 11), 18: (0, 258), 0: (0, 8)}, 199: {1: (0, 9), 6: (0, 2), 18: (0, 259), 12: (0, 260), 4: (0, 11), 0: (0, 8)}, 200: {6: (0, 2), 12: (0, 261), 24: (0, 197), 60: (0, 96), 59: (0, 97), 71: (0, 101), 0: (0, 8), 70: (0, 103), 87: (0, 262), 64: (0, 104), 4: (0, 11), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 18: (0, 263), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 201: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 264), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 18: (0, 265), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 202: {55: (1, {'@': 154}), 14: (1, {'@': 154}), 56: (1, {'@': 154}), 16: (1, {'@': 154}), 57: (1, {'@': 154}), 18: (1, {'@': 154}), 58: (1, {'@': 154}), 19: (1, {'@': 154}), 59: (1, {'@': 154}), 60: (1, {'@': 154}), 22: (1, {'@': 154}), 61: (1, {'@': 154}), 62: (1, {'@': 154}), 63: (1, {'@': 154}), 27: (1, {'@': 154}), 1: (1, {'@': 154}), 30: (1, {'@': 154}), 64: (1, {'@': 154}), 65: (1, {'@': 154}), 66: (1, {'@': 154}), 67: (1, {'@': 154}), 15: (1, {'@': 154}), 8: (1, {'@': 154}), 68: (1, {'@': 154}), 69: (1, {'@': 154}), 2: (1, {'@': 154}), 20: (1, {'@': 154}), 21: (1, {'@': 154}), 23: (1, {'@': 154}), 24: (1, {'@': 154}), 25: (1, {'@': 154}), 70: (1, {'@': 154}), 71: (1, {'@': 154}), 26: (1, {'@': 154}), 72: (1, {'@': 154}), 0: (1, {'@': 154}), 32: (1, {'@': 154}), 28: (1, {'@': 154}), 4: (1, {'@': 154})}, 203: {23: (1, {'@': 155}), 15: (1, {'@': 155}), 72: (1, {'@': 155}), 18: (1, {'@': 155}), 0: (1, {'@': 155}), 1: (1, {'@': 155}), 4: (1, {'@': 155}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 204: {1: (0, 9), 6: (0, 2), 23: (0, 266), 4: (0, 11), 18: (0, 267), 12: (0, 268), 0: (0, 8)}, 205: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 36: (0, 269), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 18: (0, 270), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 12: (0, 271), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 206: {55: (1, {'@': 156}), 14: (1, {'@': 156}), 56: (1, {'@': 156}), 16: (1, {'@': 156}), 57: (1, {'@': 156}), 18: (1, {'@': 156}), 58: (1, {'@': 156}), 19: (1, {'@': 156}), 59: (1, {'@': 156}), 60: (1, {'@': 156}), 22: (1, {'@': 156}), 61: (1, {'@': 156}), 62: (1, {'@': 156}), 63: (1, {'@': 156}), 27: (1, {'@': 156}), 1: (1, {'@': 156}), 30: (1, {'@': 156}), 64: (1, {'@': 156}), 65: (1, {'@': 156}), 66: (1, {'@': 156}), 67: (1, {'@': 156}), 15: (1, {'@': 156}), 8: (1, {'@': 156}), 68: (1, {'@': 156}), 69: (1, {'@': 156}), 2: (1, {'@': 156}), 20: (1, {'@': 156}), 21: (1, {'@': 156}), 23: (1, {'@': 156}), 24: (1, {'@': 156}), 25: (1, {'@': 156}), 70: (1, {'@': 156}), 71: (1, {'@': 156}), 26: (1, {'@': 156}), 72: (1, {'@': 156}), 0: (1, {'@': 156}), 32: (1, {'@': 156}), 28: (1, {'@': 156}), 4: (1, {'@': 156})}, 207: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 12: (0, 272), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 273), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 18: (0, 274), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 208: {55: (1, {'@': 157}), 14: (1, {'@': 157}), 56: (1, {'@': 157}), 16: (1, {'@': 157}), 57: (1, {'@': 157}), 18: (1, {'@': 157}), 58: (1, {'@': 157}), 19: (1, {'@': 157}), 59: (1, {'@': 157}), 60: (1, {'@': 157}), 22: (1, {'@': 157}), 61: (1, {'@': 157}), 62: (1, {'@': 157}), 63: (1, {'@': 157}), 27: (1, {'@': 157}), 1: (1, {'@': 157}), 30: (1, {'@': 157}), 64: (1, {'@': 157}), 65: (1, {'@': 157}), 66: (1, {'@': 157}), 67: (1, {'@': 157}), 15: (1, {'@': 157}), 8: (1, {'@': 157}), 68: (1, {'@': 157}), 69: (1, {'@': 157}), 2: (1, {'@': 157}), 20: (1, {'@': 157}), 21: (1, {'@': 157}), 23: (1, {'@': 157}), 24: (1, {'@': 157}), 25: (1, {'@': 157}), 70: (1, {'@': 157}), 71: (1, {'@': 157}), 26: (1, {'@': 157}), 72: (1, {'@': 157}), 0: (1, {'@': 157}), 32: (1, {'@': 157}), 28: (1, {'@': 157}), 4: (1, {'@': 157})}, 209: {18: (0, 275)}, 210: {55: (1, {'@': 158}), 14: (1, {'@': 158}), 56: (1, {'@': 158}), 16: (1, {'@': 158}), 57: (1, {'@': 158}), 18: (1, {'@': 158}), 58: (1, {'@': 158}), 19: (1, {'@': 158}), 59: (1, {'@': 158}), 60: (1, {'@': 158}), 22: (1, {'@': 158}), 61: (1, {'@': 158}), 62: (1, {'@': 158}), 63: (1, {'@': 158}), 27: (1, {'@': 158}), 1: (1, {'@': 158}), 30: (1, {'@': 158}), 64: (1, {'@': 158}), 65: (1, {'@': 158}), 66: (1, {'@': 158}), 67: (1, {'@': 158}), 15: (1, {'@': 158}), 8: (1, {'@': 158}), 68: (1, {'@': 158}), 69: (1, {'@': 158}), 2: (1, {'@': 158}), 20: (1, {'@': 158}), 21: (1, {'@': 158}), 23: (1, {'@': 158}), 24: (1, {'@': 158}), 25: (1, {'@': 158}), 70: (1, {'@': 158}), 71: (1, {'@': 158}), 26: (1, {'@': 158}), 72: (1, {'@': 158}), 0: (1, {'@': 158}), 32: (1, {'@': 158}), 28: (1, {'@': 158}), 4: (1, {'@': 158})}, 211: {55: (1, {'@': 159}), 14: (1, {'@': 159}), 56: (1, {'@': 159}), 16: (1, {'@': 159}), 57: (1, {'@': 159}), 18: (1, {'@': 159}), 58: (1, {'@': 159}), 19: (0, 279), 59: (1, {'@': 159}), 60: (1, {'@': 159}), 22: (1, {'@': 159}), 61: (1, {'@': 159}), 62: (1, {'@': 159}), 63: (1, {'@': 159}), 27: (1, {'@': 159}), 1: (1, {'@': 159}), 30: (1, {'@': 159}), 64: (1, {'@': 159}), 65: (0, 91), 66: (1, {'@': 159}), 67: (1, {'@': 159}), 15: (1, {'@': 159}), 8: (1, {'@': 159}), 68: (1, {'@': 159}), 69: (1, {'@': 159}), 2: (1, {'@': 159}), 20: (1, {'@': 159}), 21: (1, {'@': 159}), 23: (1, {'@': 159}), 24: (1, {'@': 159}), 25: (1, {'@': 159}), 70: (1, {'@': 159}), 71: (1, {'@': 159}), 26: (1, {'@': 159}), 72: (1, {'@': 159}), 0: (1, {'@': 159}), 32: (1, {'@': 159}), 28: (1, {'@': 159}), 4: (1, {'@': 159}), 79: (0, 276), 78: (0, 277), 88: (0, 278)}, 212: {55: (1, {'@': 160}), 14: (1, {'@': 160}), 56: (1, {'@': 160}), 16: (1, {'@': 160}), 57: (1, {'@': 160}), 18: (1, {'@': 160}), 58: (1, {'@': 160}), 19: (1, {'@': 160}), 59: (1, {'@': 160}), 60: (1, {'@': 160}), 22: (1, {'@': 160}), 61: (1, {'@': 160}), 62: (1, {'@': 160}), 63: (1, {'@': 160}), 27: (1, {'@': 160}), 1: (1, {'@': 160}), 30: (1, {'@': 160}), 64: (1, {'@': 160}), 65: (1, {'@': 160}), 66: (1, {'@': 160}), 67: (1, {'@': 160}), 15: (1, {'@': 160}), 8: (1, {'@': 160}), 68: (1, {'@': 160}), 69: (1, {'@': 160}), 2: (1, {'@': 160}), 20: (1, {'@': 160}), 21: (1, {'@': 160}), 23: (1, {'@': 160}), 24: (1, {'@': 160}), 25: (1, {'@': 160}), 70: (1, {'@': 160}), 71: (1, {'@': 160}), 26: (1, {'@': 160}), 72: (1, {'@': 160}), 0: (1, {'@': 160}), 32: (1, {'@': 160}), 28: (1, {'@': 160}), 4: (1, {'@': 160})}, 213: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 36: (0, 280), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 214: {49: (0, 281), 30: (0, 36)}, 215: {8: (1, {'@': 161}), 0: (1, {'@': 161}), 1: (1, {'@': 161}), 2: (1, {'@': 161}), 3: (1, {'@': 161}), 4: (1, {'@': 161})}, 216: {1: (0, 9), 12: (0, 282), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 217: {8: (1, {'@': 162}), 0: (1, {'@': 162}), 1: (1, {'@': 162}), 2: (1, {'@': 162}), 3: (1, {'@': 162}), 4: (1, {'@': 162})}, 218: {0: (1, {'@': 163}), 15: (1, {'@': 163}), 1: (1, {'@': 163}), 4: (1, {'@': 163}), 8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 264), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 219: {0: (0, 8), 15: (1, {'@': 164}), 1: (0, 9), 4: (0, 11), 12: (0, 283), 6: (0, 2)}, 220: {0: (1, {'@': 165}), 15: (1, {'@': 165}), 1: (1, {'@': 165}), 4: (1, {'@': 165}), 23: (0, 284)}, 221: {0: (0, 8), 15: (1, {'@': 166}), 1: (0, 9), 4: (0, 11), 8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 36: (0, 269), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 12: (0, 285), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 222: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 12: (0, 286), 34: (0, 41), 35: (0, 42), 36: (0, 273), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 223: {0: (1, {'@': 167}), 15: (1, {'@': 167}), 1: (1, {'@': 167}), 4: (1, {'@': 167})}, 224: {55: (1, {'@': 168}), 14: (1, {'@': 168}), 56: (1, {'@': 168}), 16: (1, {'@': 168}), 57: (1, {'@': 168}), 18: (1, {'@': 168}), 58: (1, {'@': 168}), 19: (1, {'@': 168}), 59: (1, {'@': 168}), 60: (1, {'@': 168}), 22: (1, {'@': 168}), 61: (1, {'@': 168}), 62: (1, {'@': 168}), 63: (1, {'@': 168}), 27: (1, {'@': 168}), 1: (1, {'@': 168}), 30: (1, {'@': 168}), 64: (1, {'@': 168}), 65: (1, {'@': 168}), 66: (1, {'@': 168}), 67: (1, {'@': 168}), 15: (1, {'@': 168}), 8: (1, {'@': 168}), 68: (1, {'@': 168}), 69: (1, {'@': 168}), 2: (1, {'@': 168}), 20: (1, {'@': 168}), 21: (1, {'@': 168}), 23: (1, {'@': 168}), 24: (1, {'@': 168}), 25: (1, {'@': 168}), 70: (1, {'@': 168}), 71: (1, {'@': 168}), 26: (1, {'@': 168}), 72: (1, {'@': 168}), 0: (1, {'@': 168}), 32: (1, {'@': 168}), 28: (1, {'@': 168}), 4: (1, {'@': 168})}, 225: {15: (0, 287)}, 226: {55: (1, {'@': 169}), 14: (1, {'@': 169}), 56: (1, {'@': 169}), 16: (1, {'@': 169}), 57: (1, {'@': 169}), 18: (1, {'@': 169}), 58: (1, {'@': 169}), 19: (1, {'@': 169}), 59: (1, {'@': 169}), 60: (1, {'@': 169}), 22: (1, {'@': 169}), 61: (1, {'@': 169}), 62: (1, {'@': 169}), 63: (1, {'@': 169}), 27: (1, {'@': 169}), 1: (1, {'@': 169}), 30: (1, {'@': 169}), 64: (1, {'@': 169}), 65: (1, {'@': 169}), 66: (1, {'@': 169}), 67: (1, {'@': 169}), 15: (1, {'@': 169}), 8: (1, {'@': 169}), 68: (1, {'@': 169}), 69: (1, {'@': 169}), 2: (1, {'@': 169}), 20: (1, {'@': 169}), 21: (1, {'@': 169}), 23: (1, {'@': 169}), 24: (1, {'@': 169}), 25: (1, {'@': 169}), 70: (1, {'@': 169}), 71: (1, {'@': 169}), 26: (1, {'@': 169}), 72: (1, {'@': 169}), 0: (1, {'@': 169}), 32: (1, {'@': 169}), 28: (1, {'@': 169}), 4: (1, {'@': 169})}, 227: {55: (1, {'@': 170}), 14: (1, {'@': 170}), 56: (1, {'@': 170}), 16: (1, {'@': 170}), 57: (1, {'@': 170}), 18: (1, {'@': 170}), 58: (1, {'@': 170}), 19: (1, {'@': 170}), 59: (1, {'@': 170}), 60: (1, {'@': 170}), 22: (1, {'@': 170}), 61: (1, {'@': 170}), 62: (1, {'@': 170}), 63: (1, {'@': 170}), 27: (1, {'@': 170}), 1: (1, {'@': 170}), 30: (1, {'@': 170}), 64: (1, {'@': 170}), 65: (1, {'@': 170}), 66: (1, {'@': 170}), 67: (1, {'@': 170}), 15: (1, {'@': 170}), 8: (1, {'@': 170}), 68: (1, {'@': 170}), 69: (1, {'@': 170}), 2: (1, {'@': 170}), 20: (1, {'@': 170}), 21: (1, {'@': 170}), 23: (1, {'@': 170}), 24: (1, {'@': 170}), 25: (1, {'@': 170}), 70: (1, {'@': 170}), 71: (1, {'@': 170}), 26: (1, {'@': 170}), 72: (1, {'@': 170}), 0: (1, {'@': 170}), 32: (1, {'@': 170}), 28: (1, {'@': 170}), 4: (1, {'@': 170})}, 228: {6: (0, 2), 24: (0, 197), 60: (0, 96), 59: (0, 97), 71: (0, 101), 87: (0, 288), 70: (0, 103), 0: (0, 8), 72: (0, 289), 64: (0, 104), 4: (0, 11), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 12: (0, 290), 57: (0, 105), 2: (0, 291), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 229: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 36: (0, 292), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 12: (0, 293), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 230: {8: (0, 294)}, 231: {17: (0, 295)}, 232: {12: (0, 296), 17: (0, 297), 6: (0, 2), 0: (0, 8), 1: (0, 9), 4: (0, 11)}, 233: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 36: (0, 298), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 234: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 63: (0, 299), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 235: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 300), 37: (0, 44), 12: (0, 301), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 236: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 36: (0, 302), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 237: {55: (1, {'@': 171}), 14: (1, {'@': 171}), 56: (1, {'@': 171}), 16: (1, {'@': 171}), 57: (1, {'@': 171}), 18: (1, {'@': 171}), 58: (1, {'@': 171}), 19: (1, {'@': 171}), 59: (1, {'@': 171}), 60: (1, {'@': 171}), 22: (1, {'@': 171}), 61: (1, {'@': 171}), 62: (1, {'@': 171}), 63: (1, {'@': 171}), 27: (1, {'@': 171}), 1: (1, {'@': 171}), 30: (1, {'@': 171}), 64: (1, {'@': 171}), 65: (1, {'@': 171}), 66: (1, {'@': 171}), 67: (1, {'@': 171}), 15: (1, {'@': 171}), 8: (1, {'@': 171}), 68: (1, {'@': 171}), 69: (1, {'@': 171}), 2: (1, {'@': 171}), 20: (1, {'@': 171}), 21: (1, {'@': 171}), 23: (1, {'@': 171}), 24: (1, {'@': 171}), 25: (1, {'@': 171}), 70: (1, {'@': 171}), 71: (1, {'@': 171}), 26: (1, {'@': 171}), 72: (1, {'@': 171}), 0: (1, {'@': 171}), 32: (1, {'@': 171}), 28: (1, {'@': 171}), 4: (1, {'@': 171})}, 238: {55: (1, {'@': 172}), 14: (1, {'@': 172}), 56: (1, {'@': 172}), 16: (1, {'@': 172}), 57: (1, {'@': 172}), 18: (1, {'@': 172}), 58: (1, {'@': 172}), 19: (1, {'@': 172}), 59: (1, {'@': 172}), 60: (1, {'@': 172}), 22: (1, {'@': 172}), 61: (1, {'@': 172}), 62: (1, {'@': 172}), 63: (1, {'@': 172}), 27: (1, {'@': 172}), 1: (1, {'@': 172}), 30: (1, {'@': 172}), 64: (1, {'@': 172}), 65: (1, {'@': 172}), 66: (1, {'@': 172}), 67: (1, {'@': 172}), 15: (1, {'@': 172}), 8: (1, {'@': 172}), 68: (1, {'@': 172}), 69: (1, {'@': 172}), 2: (1, {'@': 172}), 20: (1, {'@': 172}), 21: (1, {'@': 172}), 23: (1, {'@': 172}), 24: (1, {'@': 172}), 25: (1, {'@': 172}), 70: (1, {'@': 172}), 71: (1, {'@': 172}), 26: (1, {'@': 172}), 72: (1, {'@': 172}), 0: (1, {'@': 172}), 32: (1, {'@': 172}), 28: (1, {'@': 172}), 4: (1, {'@': 172})}, 239: {8: (0, 75), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 80), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 74: (0, 241), 2: (0, 303), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 240: {55: (1, {'@': 173}), 14: (1, {'@': 173}), 56: (1, {'@': 173}), 16: (1, {'@': 173}), 57: (1, {'@': 173}), 18: (1, {'@': 173}), 58: (1, {'@': 173}), 19: (1, {'@': 173}), 59: (1, {'@': 173}), 60: (1, {'@': 173}), 22: (1, {'@': 173}), 61: (1, {'@': 173}), 62: (1, {'@': 173}), 63: (1, {'@': 173}), 27: (1, {'@': 173}), 1: (1, {'@': 173}), 30: (1, {'@': 173}), 64: (1, {'@': 173}), 65: (1, {'@': 173}), 66: (1, {'@': 173}), 67: (1, {'@': 173}), 15: (1, {'@': 173}), 8: (1, {'@': 173}), 68: (1, {'@': 173}), 69: (1, {'@': 173}), 2: (1, {'@': 173}), 20: (1, {'@': 173}), 21: (1, {'@': 173}), 23: (1, {'@': 173}), 24: (1, {'@': 173}), 25: (1, {'@': 173}), 70: (1, {'@': 173}), 71: (1, {'@': 173}), 26: (1, {'@': 173}), 72: (1, {'@': 173}), 0: (1, {'@': 173}), 32: (1, {'@': 173}), 28: (1, {'@': 173}), 4: (1, {'@': 173})}, 241: {23: (1, {'@': 174}), 0: (1, {'@': 174}), 1: (1, {'@': 174}), 2: (1, {'@': 174}), 4: (1, {'@': 174})}, 242: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 264), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 18: (0, 304), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 243: {55: (1, {'@': 175}), 14: (1, {'@': 175}), 56: (1, {'@': 175}), 16: (1, {'@': 175}), 57: (1, {'@': 175}), 18: (1, {'@': 175}), 58: (1, {'@': 175}), 19: (1, {'@': 175}), 59: (1, {'@': 175}), 60: (1, {'@': 175}), 22: (1, {'@': 175}), 61: (1, {'@': 175}), 62: (1, {'@': 175}), 63: (1, {'@': 175}), 27: (1, {'@': 175}), 1: (1, {'@': 175}), 30: (1, {'@': 175}), 64: (1, {'@': 175}), 65: (1, {'@': 175}), 66: (1, {'@': 175}), 67: (1, {'@': 175}), 15: (1, {'@': 175}), 8: (1, {'@': 175}), 68: (1, {'@': 175}), 69: (1, {'@': 175}), 2: (1, {'@': 175}), 20: (1, {'@': 175}), 21: (1, {'@': 175}), 23: (1, {'@': 175}), 24: (1, {'@': 175}), 25: (1, {'@': 175}), 70: (1, {'@': 175}), 71: (1, {'@': 175}), 26: (1, {'@': 175}), 72: (1, {'@': 175}), 0: (1, {'@': 175}), 32: (1, {'@': 175}), 28: (1, {'@': 175}), 4: (1, {'@': 175})}, 244: {1: (0, 9), 6: (0, 2), 23: (0, 305), 12: (0, 306), 4: (0, 11), 0: (0, 8), 18: (0, 307)}, 245: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 12: (0, 308), 36: (0, 269), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 18: (0, 309), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 246: {55: (1, {'@': 176}), 14: (1, {'@': 176}), 56: (1, {'@': 176}), 16: (1, {'@': 176}), 57: (1, {'@': 176}), 18: (1, {'@': 176}), 58: (1, {'@': 176}), 19: (1, {'@': 176}), 59: (1, {'@': 176}), 60: (1, {'@': 176}), 22: (1, {'@': 176}), 61: (1, {'@': 176}), 62: (1, {'@': 176}), 63: (1, {'@': 176}), 27: (1, {'@': 176}), 1: (1, {'@': 176}), 30: (1, {'@': 176}), 64: (1, {'@': 176}), 65: (1, {'@': 176}), 66: (1, {'@': 176}), 67: (1, {'@': 176}), 15: (1, {'@': 176}), 8: (1, {'@': 176}), 68: (1, {'@': 176}), 69: (1, {'@': 176}), 2: (1, {'@': 176}), 20: (1, {'@': 176}), 21: (1, {'@': 176}), 23: (1, {'@': 176}), 24: (1, {'@': 176}), 25: (1, {'@': 176}), 70: (1, {'@': 176}), 71: (1, {'@': 176}), 26: (1, {'@': 176}), 72: (1, {'@': 176}), 0: (1, {'@': 176}), 32: (1, {'@': 176}), 28: (1, {'@': 176}), 4: (1, {'@': 176})}, 247: {18: (0, 310)}, 248: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 18: (0, 311), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 12: (0, 312), 34: (0, 41), 35: (0, 42), 36: (0, 273), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 249: {55: (1, {'@': 177}), 14: (1, {'@': 177}), 56: (1, {'@': 177}), 16: (1, {'@': 177}), 57: (1, {'@': 177}), 18: (1, {'@': 177}), 58: (1, {'@': 177}), 19: (1, {'@': 177}), 59: (1, {'@': 177}), 60: (1, {'@': 177}), 22: (1, {'@': 177}), 61: (1, {'@': 177}), 62: (1, {'@': 177}), 63: (1, {'@': 177}), 27: (1, {'@': 177}), 1: (1, {'@': 177}), 30: (1, {'@': 177}), 64: (1, {'@': 177}), 65: (1, {'@': 177}), 66: (1, {'@': 177}), 67: (1, {'@': 177}), 15: (1, {'@': 177}), 8: (1, {'@': 177}), 68: (1, {'@': 177}), 69: (1, {'@': 177}), 2: (1, {'@': 177}), 20: (1, {'@': 177}), 21: (1, {'@': 177}), 23: (1, {'@': 177}), 24: (1, {'@': 177}), 25: (1, {'@': 177}), 70: (1, {'@': 177}), 71: (1, {'@': 177}), 26: (1, {'@': 177}), 72: (1, {'@': 177}), 0: (1, {'@': 177}), 32: (1, {'@': 177}), 28: (1, {'@': 177}), 4: (1, {'@': 177})}, 250: {12: (0, 313), 6: (0, 2), 24: (0, 197), 60: (0, 96), 59: (0, 97), 87: (0, 314), 71: (0, 101), 18: (0, 315), 0: (0, 8), 70: (0, 103), 64: (0, 104), 4: (0, 11), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 251: {1: (0, 9), 6: (0, 2), 12: (0, 316), 4: (0, 11), 0: (0, 8), 18: (0, 317)}, 252: {1: (0, 9), 87: (0, 318), 6: (0, 2), 24: (0, 197), 12: (0, 319), 4: (0, 11), 18: (0, 320), 0: (0, 8)}, 253: {55: (1, {'@': 178}), 14: (1, {'@': 178}), 56: (1, {'@': 178}), 16: (1, {'@': 178}), 57: (1, {'@': 178}), 18: (1, {'@': 178}), 58: (1, {'@': 178}), 19: (1, {'@': 178}), 59: (1, {'@': 178}), 60: (1, {'@': 178}), 22: (1, {'@': 178}), 61: (1, {'@': 178}), 62: (1, {'@': 178}), 63: (1, {'@': 178}), 27: (1, {'@': 178}), 1: (1, {'@': 178}), 30: (1, {'@': 178}), 64: (1, {'@': 178}), 65: (1, {'@': 178}), 66: (1, {'@': 178}), 67: (1, {'@': 178}), 15: (1, {'@': 178}), 8: (1, {'@': 178}), 68: (1, {'@': 178}), 69: (1, {'@': 178}), 2: (1, {'@': 178}), 20: (1, {'@': 178}), 21: (1, {'@': 178}), 23: (1, {'@': 178}), 24: (1, {'@': 178}), 25: (1, {'@': 178}), 70: (1, {'@': 178}), 71: (1, {'@': 178}), 26: (1, {'@': 178}), 72: (1, {'@': 178}), 0: (1, {'@': 178}), 32: (1, {'@': 178}), 28: (1, {'@': 178}), 4: (1, {'@': 178})}, 254: {0: (1, {'@': 179}), 1: (1, {'@': 179}), 2: (1, {'@': 179}), 4: (1, {'@': 179}), 18: (1, {'@': 179}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 255: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 321), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 256: {1: (0, 9), 18: (0, 322), 6: (0, 2), 12: (0, 323), 4: (0, 11), 0: (0, 8)}, 257: {18: (0, 324)}, 258: {55: (1, {'@': 180}), 14: (1, {'@': 180}), 56: (1, {'@': 180}), 16: (1, {'@': 180}), 57: (1, {'@': 180}), 18: (1, {'@': 180}), 58: (1, {'@': 180}), 19: (1, {'@': 180}), 59: (1, {'@': 180}), 60: (1, {'@': 180}), 22: (1, {'@': 180}), 61: (1, {'@': 180}), 62: (1, {'@': 180}), 63: (1, {'@': 180}), 27: (1, {'@': 180}), 1: (1, {'@': 180}), 30: (1, {'@': 180}), 64: (1, {'@': 180}), 65: (1, {'@': 180}), 66: (1, {'@': 180}), 67: (1, {'@': 180}), 15: (1, {'@': 180}), 8: (1, {'@': 180}), 68: (1, {'@': 180}), 69: (1, {'@': 180}), 2: (1, {'@': 180}), 20: (1, {'@': 180}), 21: (1, {'@': 180}), 23: (1, {'@': 180}), 24: (1, {'@': 180}), 25: (1, {'@': 180}), 70: (1, {'@': 180}), 71: (1, {'@': 180}), 26: (1, {'@': 180}), 72: (1, {'@': 180}), 0: (1, {'@': 180}), 32: (1, {'@': 180}), 28: (1, {'@': 180}), 4: (1, {'@': 180})}, 259: {55: (1, {'@': 181}), 14: (1, {'@': 181}), 56: (1, {'@': 181}), 16: (1, {'@': 181}), 57: (1, {'@': 181}), 18: (1, {'@': 181}), 58: (1, {'@': 181}), 19: (1, {'@': 181}), 59: (1, {'@': 181}), 60: (1, {'@': 181}), 22: (1, {'@': 181}), 61: (1, {'@': 181}), 62: (1, {'@': 181}), 63: (1, {'@': 181}), 27: (1, {'@': 181}), 1: (1, {'@': 181}), 30: (1, {'@': 181}), 64: (1, {'@': 181}), 65: (1, {'@': 181}), 66: (1, {'@': 181}), 67: (1, {'@': 181}), 15: (1, {'@': 181}), 8: (1, {'@': 181}), 68: (1, {'@': 181}), 69: (1, {'@': 181}), 2: (1, {'@': 181}), 20: (1, {'@': 181}), 21: (1, {'@': 181}), 23: (1, {'@': 181}), 24: (1, {'@': 181}), 25: (1, {'@': 181}), 70: (1, {'@': 181}), 71: (1, {'@': 181}), 26: (1, {'@': 181}), 72: (1, {'@': 181}), 0: (1, {'@': 181}), 32: (1, {'@': 181}), 28: (1, {'@': 181}), 4: (1, {'@': 181})}, 260: {18: (0, 325)}, 261: {1: (0, 9), 6: (0, 2), 18: (0, 326), 24: (0, 197), 87: (0, 327), 4: (0, 11), 0: (0, 8), 12: (0, 328)}, 262: {1: (0, 9), 12: (0, 329), 6: (0, 2), 18: (0, 330), 4: (0, 11), 0: (0, 8)}, 263: {55: (1, {'@': 182}), 14: (1, {'@': 182}), 56: (1, {'@': 182}), 16: (1, {'@': 182}), 57: (1, {'@': 182}), 18: (1, {'@': 182}), 58: (1, {'@': 182}), 19: (1, {'@': 182}), 59: (1, {'@': 182}), 60: (1, {'@': 182}), 22: (1, {'@': 182}), 61: (1, {'@': 182}), 62: (1, {'@': 182}), 63: (1, {'@': 182}), 27: (1, {'@': 182}), 1: (1, {'@': 182}), 30: (1, {'@': 182}), 64: (1, {'@': 182}), 65: (1, {'@': 182}), 66: (1, {'@': 182}), 67: (1, {'@': 182}), 15: (1, {'@': 182}), 8: (1, {'@': 182}), 68: (1, {'@': 182}), 69: (1, {'@': 182}), 2: (1, {'@': 182}), 20: (1, {'@': 182}), 21: (1, {'@': 182}), 23: (1, {'@': 182}), 24: (1, {'@': 182}), 25: (1, {'@': 182}), 70: (1, {'@': 182}), 71: (1, {'@': 182}), 26: (1, {'@': 182}), 72: (1, {'@': 182}), 0: (1, {'@': 182}), 32: (1, {'@': 182}), 28: (1, {'@': 182}), 4: (1, {'@': 182})}, 264: {23: (1, {'@': 183}), 15: (1, {'@': 183}), 72: (1, {'@': 183}), 18: (1, {'@': 183}), 0: (1, {'@': 183}), 1: (1, {'@': 183}), 4: (1, {'@': 183}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 265: {55: (1, {'@': 184}), 14: (1, {'@': 184}), 56: (1, {'@': 184}), 16: (1, {'@': 184}), 57: (1, {'@': 184}), 18: (1, {'@': 184}), 58: (1, {'@': 184}), 19: (1, {'@': 184}), 59: (1, {'@': 184}), 60: (1, {'@': 184}), 22: (1, {'@': 184}), 61: (1, {'@': 184}), 62: (1, {'@': 184}), 63: (1, {'@': 184}), 27: (1, {'@': 184}), 1: (1, {'@': 184}), 30: (1, {'@': 184}), 64: (1, {'@': 184}), 65: (1, {'@': 184}), 66: (1, {'@': 184}), 67: (1, {'@': 184}), 15: (1, {'@': 184}), 8: (1, {'@': 184}), 68: (1, {'@': 184}), 69: (1, {'@': 184}), 2: (1, {'@': 184}), 20: (1, {'@': 184}), 21: (1, {'@': 184}), 23: (1, {'@': 184}), 24: (1, {'@': 184}), 25: (1, {'@': 184}), 70: (1, {'@': 184}), 71: (1, {'@': 184}), 26: (1, {'@': 184}), 72: (1, {'@': 184}), 0: (1, {'@': 184}), 32: (1, {'@': 184}), 28: (1, {'@': 184}), 4: (1, {'@': 184})}, 266: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 331), 37: (0, 44), 12: (0, 332), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 18: (0, 333), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 267: {55: (1, {'@': 185}), 14: (1, {'@': 185}), 56: (1, {'@': 185}), 16: (1, {'@': 185}), 57: (1, {'@': 185}), 18: (1, {'@': 185}), 58: (1, {'@': 185}), 19: (1, {'@': 185}), 59: (1, {'@': 185}), 60: (1, {'@': 185}), 22: (1, {'@': 185}), 61: (1, {'@': 185}), 62: (1, {'@': 185}), 63: (1, {'@': 185}), 27: (1, {'@': 185}), 1: (1, {'@': 185}), 30: (1, {'@': 185}), 64: (1, {'@': 185}), 65: (1, {'@': 185}), 66: (1, {'@': 185}), 67: (1, {'@': 185}), 15: (1, {'@': 185}), 8: (1, {'@': 185}), 68: (1, {'@': 185}), 69: (1, {'@': 185}), 2: (1, {'@': 185}), 20: (1, {'@': 185}), 21: (1, {'@': 185}), 23: (1, {'@': 185}), 24: (1, {'@': 185}), 25: (1, {'@': 185}), 70: (1, {'@': 185}), 71: (1, {'@': 185}), 26: (1, {'@': 185}), 72: (1, {'@': 185}), 0: (1, {'@': 185}), 32: (1, {'@': 185}), 28: (1, {'@': 185}), 4: (1, {'@': 185})}, 268: {18: (0, 334)}, 269: {23: (1, {'@': 186}), 15: (1, {'@': 186}), 72: (1, {'@': 186}), 18: (1, {'@': 186}), 0: (1, {'@': 186}), 1: (1, {'@': 186}), 4: (1, {'@': 186}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 270: {55: (1, {'@': 187}), 14: (1, {'@': 187}), 56: (1, {'@': 187}), 16: (1, {'@': 187}), 57: (1, {'@': 187}), 18: (1, {'@': 187}), 58: (1, {'@': 187}), 19: (1, {'@': 187}), 59: (1, {'@': 187}), 60: (1, {'@': 187}), 22: (1, {'@': 187}), 61: (1, {'@': 187}), 62: (1, {'@': 187}), 63: (1, {'@': 187}), 27: (1, {'@': 187}), 1: (1, {'@': 187}), 30: (1, {'@': 187}), 64: (1, {'@': 187}), 65: (1, {'@': 187}), 66: (1, {'@': 187}), 67: (1, {'@': 187}), 15: (1, {'@': 187}), 8: (1, {'@': 187}), 68: (1, {'@': 187}), 69: (1, {'@': 187}), 2: (1, {'@': 187}), 20: (1, {'@': 187}), 21: (1, {'@': 187}), 23: (1, {'@': 187}), 24: (1, {'@': 187}), 25: (1, {'@': 187}), 70: (1, {'@': 187}), 71: (1, {'@': 187}), 26: (1, {'@': 187}), 72: (1, {'@': 187}), 0: (1, {'@': 187}), 32: (1, {'@': 187}), 28: (1, {'@': 187}), 4: (1, {'@': 187})}, 271: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 18: (0, 335), 34: (0, 41), 35: (0, 42), 36: (0, 336), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 272: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 337), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 18: (0, 338), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 273: {23: (1, {'@': 188}), 15: (1, {'@': 188}), 72: (1, {'@': 188}), 18: (1, {'@': 188}), 0: (1, {'@': 188}), 1: (1, {'@': 188}), 4: (1, {'@': 188}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 274: {55: (1, {'@': 189}), 14: (1, {'@': 189}), 56: (1, {'@': 189}), 16: (1, {'@': 189}), 57: (1, {'@': 189}), 18: (1, {'@': 189}), 58: (1, {'@': 189}), 19: (1, {'@': 189}), 59: (1, {'@': 189}), 60: (1, {'@': 189}), 22: (1, {'@': 189}), 61: (1, {'@': 189}), 62: (1, {'@': 189}), 63: (1, {'@': 189}), 27: (1, {'@': 189}), 1: (1, {'@': 189}), 30: (1, {'@': 189}), 64: (1, {'@': 189}), 65: (1, {'@': 189}), 66: (1, {'@': 189}), 67: (1, {'@': 189}), 15: (1, {'@': 189}), 8: (1, {'@': 189}), 68: (1, {'@': 189}), 69: (1, {'@': 189}), 2: (1, {'@': 189}), 20: (1, {'@': 189}), 21: (1, {'@': 189}), 23: (1, {'@': 189}), 24: (1, {'@': 189}), 25: (1, {'@': 189}), 70: (1, {'@': 189}), 71: (1, {'@': 189}), 26: (1, {'@': 189}), 72: (1, {'@': 189}), 0: (1, {'@': 189}), 32: (1, {'@': 189}), 28: (1, {'@': 189}), 4: (1, {'@': 189})}, 275: {55: (1, {'@': 190}), 14: (1, {'@': 190}), 56: (1, {'@': 190}), 16: (1, {'@': 190}), 57: (1, {'@': 190}), 18: (1, {'@': 190}), 58: (1, {'@': 190}), 19: (1, {'@': 190}), 59: (1, {'@': 190}), 60: (1, {'@': 190}), 22: (1, {'@': 190}), 61: (1, {'@': 190}), 62: (1, {'@': 190}), 63: (1, {'@': 190}), 27: (1, {'@': 190}), 1: (1, {'@': 190}), 30: (1, {'@': 190}), 64: (1, {'@': 190}), 65: (1, {'@': 190}), 66: (1, {'@': 190}), 67: (1, {'@': 190}), 15: (1, {'@': 190}), 8: (1, {'@': 190}), 68: (1, {'@': 190}), 69: (1, {'@': 190}), 2: (1, {'@': 190}), 20: (1, {'@': 190}), 21: (1, {'@': 190}), 23: (1, {'@': 190}), 24: (1, {'@': 190}), 25: (1, {'@': 190}), 70: (1, {'@': 190}), 71: (1, {'@': 190}), 26: (1, {'@': 190}), 72: (1, {'@': 190}), 0: (1, {'@': 190}), 32: (1, {'@': 190}), 28: (1, {'@': 190}), 4: (1, {'@': 190})}, 276: {55: (1, {'@': 191}), 14: (1, {'@': 191}), 56: (1, {'@': 191}), 16: (1, {'@': 191}), 57: (1, {'@': 191}), 18: (1, {'@': 191}), 58: (1, {'@': 191}), 19: (1, {'@': 191}), 59: (1, {'@': 191}), 60: (1, {'@': 191}), 22: (1, {'@': 191}), 61: (1, {'@': 191}), 62: (1, {'@': 191}), 63: (1, {'@': 191}), 27: (1, {'@': 191}), 1: (1, {'@': 191}), 30: (1, {'@': 191}), 64: (1, {'@': 191}), 65: (1, {'@': 191}), 66: (1, {'@': 191}), 67: (1, {'@': 191}), 15: (1, {'@': 191}), 8: (1, {'@': 191}), 68: (1, {'@': 191}), 69: (1, {'@': 191}), 2: (1, {'@': 191}), 20: (1, {'@': 191}), 21: (1, {'@': 191}), 23: (1, {'@': 191}), 24: (1, {'@': 191}), 25: (1, {'@': 191}), 70: (1, {'@': 191}), 71: (1, {'@': 191}), 26: (1, {'@': 191}), 72: (1, {'@': 191}), 0: (1, {'@': 191}), 32: (1, {'@': 191}), 28: (1, {'@': 191}), 4: (1, {'@': 191})}, 277: {55: (1, {'@': 192}), 14: (1, {'@': 192}), 56: (1, {'@': 192}), 16: (1, {'@': 192}), 57: (1, {'@': 192}), 18: (1, {'@': 192}), 58: (1, {'@': 192}), 19: (1, {'@': 192}), 59: (1, {'@': 192}), 60: (1, {'@': 192}), 22: (1, {'@': 192}), 61: (1, {'@': 192}), 62: (1, {'@': 192}), 63: (1, {'@': 192}), 27: (1, {'@': 192}), 1: (1, {'@': 192}), 30: (1, {'@': 192}), 64: (1, {'@': 192}), 65: (1, {'@': 192}), 66: (1, {'@': 192}), 67: (1, {'@': 192}), 15: (1, {'@': 192}), 8: (1, {'@': 192}), 68: (1, {'@': 192}), 69: (1, {'@': 192}), 2: (1, {'@': 192}), 20: (1, {'@': 192}), 21: (1, {'@': 192}), 23: (1, {'@': 192}), 24: (1, {'@': 192}), 25: (1, {'@': 192}), 70: (1, {'@': 192}), 71: (1, {'@': 192}), 26: (1, {'@': 192}), 72: (1, {'@': 192}), 0: (1, {'@': 192}), 32: (1, {'@': 192}), 28: (1, {'@': 192}), 4: (1, {'@': 192})}, 278: {55: (1, {'@': 193}), 14: (1, {'@': 193}), 56: (1, {'@': 193}), 16: (1, {'@': 193}), 57: (1, {'@': 193}), 18: (1, {'@': 193}), 58: (1, {'@': 193}), 19: (0, 279), 59: (1, {'@': 193}), 60: (1, {'@': 193}), 22: (1, {'@': 193}), 61: (1, {'@': 193}), 62: (1, {'@': 193}), 63: (1, {'@': 193}), 27: (1, {'@': 193}), 1: (1, {'@': 193}), 30: (1, {'@': 193}), 64: (1, {'@': 193}), 65: (0, 91), 66: (1, {'@': 193}), 67: (1, {'@': 193}), 15: (1, {'@': 193}), 8: (1, {'@': 193}), 68: (1, {'@': 193}), 69: (1, {'@': 193}), 2: (1, {'@': 193}), 20: (1, {'@': 193}), 21: (1, {'@': 193}), 23: (1, {'@': 193}), 24: (1, {'@': 193}), 25: (1, {'@': 193}), 70: (1, {'@': 193}), 71: (1, {'@': 193}), 26: (1, {'@': 193}), 72: (1, {'@': 193}), 0: (1, {'@': 193}), 32: (1, {'@': 193}), 28: (1, {'@': 193}), 4: (1, {'@': 193}), 78: (0, 339), 79: (0, 340)}, 279: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 153), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 280: {14: (1, {'@': 194}), 56: (0, 99), 16: (1, {'@': 194}), 57: (0, 105), 18: (1, {'@': 194}), 58: (1, {'@': 194}), 19: (1, {'@': 194}), 59: (0, 97), 60: (0, 96), 22: (0, 102), 61: (0, 98), 62: (0, 106), 63: (1, {'@': 194}), 27: (1, {'@': 194}), 1: (1, {'@': 194}), 30: (1, {'@': 194}), 64: (0, 104), 66: (0, 95), 67: (0, 109), 15: (1, {'@': 194}), 8: (1, {'@': 194}), 68: (0, 107), 69: (0, 108), 2: (1, {'@': 194}), 20: (1, {'@': 194}), 21: (1, {'@': 194}), 23: (1, {'@': 194}), 24: (1, {'@': 194}), 25: (1, {'@': 194}), 70: (0, 103), 71: (0, 101), 26: (1, {'@': 194}), 72: (1, {'@': 194}), 0: (1, {'@': 194}), 32: (1, {'@': 194}), 28: (1, {'@': 194}), 4: (1, {'@': 194}), 80: (0, 94), 81: (0, 110)}, 281: {55: (1, {'@': 195}), 14: (1, {'@': 195}), 56: (1, {'@': 195}), 16: (1, {'@': 195}), 57: (1, {'@': 195}), 18: (1, {'@': 195}), 58: (1, {'@': 195}), 19: (1, {'@': 195}), 59: (1, {'@': 195}), 60: (1, {'@': 195}), 22: (1, {'@': 195}), 61: (1, {'@': 195}), 62: (1, {'@': 195}), 63: (1, {'@': 195}), 27: (1, {'@': 195}), 1: (1, {'@': 195}), 30: (0, 114), 64: (1, {'@': 195}), 65: (1, {'@': 195}), 66: (1, {'@': 195}), 67: (1, {'@': 195}), 15: (1, {'@': 195}), 8: (1, {'@': 195}), 68: (1, {'@': 195}), 69: (1, {'@': 195}), 2: (1, {'@': 195}), 20: (1, {'@': 195}), 21: (1, {'@': 195}), 23: (1, {'@': 195}), 24: (1, {'@': 195}), 25: (1, {'@': 195}), 70: (1, {'@': 195}), 71: (1, {'@': 195}), 26: (1, {'@': 195}), 72: (1, {'@': 195}), 0: (1, {'@': 195}), 32: (1, {'@': 195}), 28: (1, {'@': 195}), 4: (1, {'@': 195})}, 282: {8: (1, {'@': 196}), 0: (1, {'@': 196}), 1: (1, {'@': 196}), 2: (1, {'@': 196}), 3: (1, {'@': 196}), 4: (1, {'@': 196})}, 283: {0: (1, {'@': 197}), 15: (1, {'@': 197}), 1: (1, {'@': 197}), 4: (1, {'@': 197})}, 284: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 331), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 12: (0, 341), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 285: {0: (1, {'@': 198}), 15: (1, {'@': 198}), 1: (1, {'@': 198}), 4: (1, {'@': 198}), 8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 336), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 286: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 337), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 287: {55: (1, {'@': 199}), 14: (1, {'@': 199}), 56: (1, {'@': 199}), 16: (1, {'@': 199}), 57: (1, {'@': 199}), 18: (1, {'@': 199}), 58: (1, {'@': 199}), 19: (1, {'@': 199}), 59: (1, {'@': 199}), 60: (1, {'@': 199}), 22: (1, {'@': 199}), 61: (1, {'@': 199}), 62: (1, {'@': 199}), 63: (1, {'@': 199}), 27: (1, {'@': 199}), 1: (1, {'@': 199}), 30: (1, {'@': 199}), 64: (1, {'@': 199}), 65: (1, {'@': 199}), 66: (1, {'@': 199}), 67: (1, {'@': 199}), 15: (1, {'@': 199}), 8: (1, {'@': 199}), 68: (1, {'@': 199}), 69: (1, {'@': 199}), 2: (1, {'@': 199}), 20: (1, {'@': 199}), 21: (1, {'@': 199}), 23: (1, {'@': 199}), 24: (1, {'@': 199}), 25: (1, {'@': 199}), 70: (1, {'@': 199}), 71: (1, {'@': 199}), 26: (1, {'@': 199}), 72: (1, {'@': 199}), 0: (1, {'@': 199}), 32: (1, {'@': 199}), 28: (1, {'@': 199}), 4: (1, {'@': 199})}, 288: {1: (0, 9), 12: (0, 342), 6: (0, 2), 4: (0, 11), 2: (0, 343), 0: (0, 8)}, 289: {1: (0, 9), 2: (0, 344), 12: (0, 345), 6: (0, 2), 87: (0, 346), 24: (0, 197), 4: (0, 11), 0: (0, 8)}, 290: {2: (0, 347)}, 291: {55: (1, {'@': 200}), 14: (1, {'@': 200}), 56: (1, {'@': 200}), 16: (1, {'@': 200}), 57: (1, {'@': 200}), 18: (1, {'@': 200}), 58: (1, {'@': 200}), 19: (1, {'@': 200}), 59: (1, {'@': 200}), 60: (1, {'@': 200}), 22: (1, {'@': 200}), 61: (1, {'@': 200}), 62: (1, {'@': 200}), 63: (1, {'@': 200}), 27: (1, {'@': 200}), 1: (1, {'@': 200}), 30: (1, {'@': 200}), 64: (1, {'@': 200}), 65: (1, {'@': 200}), 66: (1, {'@': 200}), 67: (1, {'@': 200}), 15: (1, {'@': 200}), 8: (1, {'@': 200}), 68: (1, {'@': 200}), 69: (1, {'@': 200}), 2: (1, {'@': 200}), 20: (1, {'@': 200}), 21: (1, {'@': 200}), 23: (1, {'@': 200}), 24: (1, {'@': 200}), 25: (1, {'@': 200}), 70: (1, {'@': 200}), 71: (1, {'@': 200}), 26: (1, {'@': 200}), 72: (1, {'@': 200}), 0: (1, {'@': 200}), 32: (1, {'@': 200}), 28: (1, {'@': 200}), 4: (1, {'@': 200})}, 292: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 63: (0, 348), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 293: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 349), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 294: {12: (0, 350), 17: (0, 351), 6: (0, 2), 0: (0, 8), 1: (0, 9), 4: (0, 11)}, 295: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 352), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 12: (0, 353), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 296: {17: (0, 354), 1: (0, 9), 12: (0, 355), 6: (0, 2), 4: (0, 11), 0: (0, 8)}, 297: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 356), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 12: (0, 357), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 298: {69: (0, 108), 80: (0, 94), 66: (0, 95), 63: (0, 358), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 67: (0, 109), 81: (0, 110)}, 299: {22: (1, {'@': 201}), 25: (1, {'@': 201}), 14: (1, {'@': 201}), 8: (1, {'@': 201}), 16: (1, {'@': 201}), 26: (1, {'@': 201}), 27: (1, {'@': 201}), 28: (1, {'@': 201}), 0: (0, 8), 19: (1, {'@': 201}), 1: (0, 9), 30: (1, {'@': 201}), 20: (1, {'@': 201}), 21: (1, {'@': 201}), 4: (0, 11), 6: (0, 2), 12: (0, 359)}, 300: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 63: (0, 360), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 301: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 361), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 302: {72: (0, 362), 6: (0, 2), 24: (0, 197), 60: (0, 96), 59: (0, 97), 2: (0, 363), 71: (0, 101), 87: (0, 364), 70: (0, 103), 0: (0, 8), 64: (0, 104), 4: (0, 11), 12: (0, 365), 67: (0, 109), 80: (0, 94), 66: (0, 95), 61: (0, 98), 56: (0, 99), 22: (0, 102), 1: (0, 9), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 81: (0, 110)}, 303: {55: (1, {'@': 202}), 14: (1, {'@': 202}), 56: (1, {'@': 202}), 16: (1, {'@': 202}), 57: (1, {'@': 202}), 18: (1, {'@': 202}), 58: (1, {'@': 202}), 19: (1, {'@': 202}), 59: (1, {'@': 202}), 60: (1, {'@': 202}), 22: (1, {'@': 202}), 61: (1, {'@': 202}), 62: (1, {'@': 202}), 63: (1, {'@': 202}), 27: (1, {'@': 202}), 1: (1, {'@': 202}), 30: (1, {'@': 202}), 64: (1, {'@': 202}), 65: (1, {'@': 202}), 66: (1, {'@': 202}), 67: (1, {'@': 202}), 15: (1, {'@': 202}), 8: (1, {'@': 202}), 68: (1, {'@': 202}), 69: (1, {'@': 202}), 2: (1, {'@': 202}), 20: (1, {'@': 202}), 21: (1, {'@': 202}), 23: (1, {'@': 202}), 24: (1, {'@': 202}), 25: (1, {'@': 202}), 70: (1, {'@': 202}), 71: (1, {'@': 202}), 26: (1, {'@': 202}), 72: (1, {'@': 202}), 0: (1, {'@': 202}), 32: (1, {'@': 202}), 28: (1, {'@': 202}), 4: (1, {'@': 202})}, 304: {55: (1, {'@': 203}), 14: (1, {'@': 203}), 56: (1, {'@': 203}), 16: (1, {'@': 203}), 57: (1, {'@': 203}), 18: (1, {'@': 203}), 58: (1, {'@': 203}), 19: (1, {'@': 203}), 59: (1, {'@': 203}), 60: (1, {'@': 203}), 22: (1, {'@': 203}), 61: (1, {'@': 203}), 62: (1, {'@': 203}), 63: (1, {'@': 203}), 27: (1, {'@': 203}), 1: (1, {'@': 203}), 30: (1, {'@': 203}), 64: (1, {'@': 203}), 65: (1, {'@': 203}), 66: (1, {'@': 203}), 67: (1, {'@': 203}), 15: (1, {'@': 203}), 8: (1, {'@': 203}), 68: (1, {'@': 203}), 69: (1, {'@': 203}), 2: (1, {'@': 203}), 20: (1, {'@': 203}), 21: (1, {'@': 203}), 23: (1, {'@': 203}), 24: (1, {'@': 203}), 25: (1, {'@': 203}), 70: (1, {'@': 203}), 71: (1, {'@': 203}), 26: (1, {'@': 203}), 72: (1, {'@': 203}), 0: (1, {'@': 203}), 32: (1, {'@': 203}), 28: (1, {'@': 203}), 4: (1, {'@': 203})}, 305: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 331), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 12: (0, 366), 27: (0, 51), 18: (0, 367), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 306: {18: (0, 368)}, 307: {55: (1, {'@': 204}), 14: (1, {'@': 204}), 56: (1, {'@': 204}), 16: (1, {'@': 204}), 57: (1, {'@': 204}), 18: (1, {'@': 204}), 58: (1, {'@': 204}), 19: (1, {'@': 204}), 59: (1, {'@': 204}), 60: (1, {'@': 204}), 22: (1, {'@': 204}), 61: (1, {'@': 204}), 62: (1, {'@': 204}), 63: (1, {'@': 204}), 27: (1, {'@': 204}), 1: (1, {'@': 204}), 30: (1, {'@': 204}), 64: (1, {'@': 204}), 65: (1, {'@': 204}), 66: (1, {'@': 204}), 67: (1, {'@': 204}), 15: (1, {'@': 204}), 8: (1, {'@': 204}), 68: (1, {'@': 204}), 69: (1, {'@': 204}), 2: (1, {'@': 204}), 20: (1, {'@': 204}), 21: (1, {'@': 204}), 23: (1, {'@': 204}), 24: (1, {'@': 204}), 25: (1, {'@': 204}), 70: (1, {'@': 204}), 71: (1, {'@': 204}), 26: (1, {'@': 204}), 72: (1, {'@': 204}), 0: (1, {'@': 204}), 32: (1, {'@': 204}), 28: (1, {'@': 204}), 4: (1, {'@': 204})}, 308: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 336), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 18: (0, 369), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 309: {55: (1, {'@': 205}), 14: (1, {'@': 205}), 56: (1, {'@': 205}), 16: (1, {'@': 205}), 57: (1, {'@': 205}), 18: (1, {'@': 205}), 58: (1, {'@': 205}), 19: (1, {'@': 205}), 59: (1, {'@': 205}), 60: (1, {'@': 205}), 22: (1, {'@': 205}), 61: (1, {'@': 205}), 62: (1, {'@': 205}), 63: (1, {'@': 205}), 27: (1, {'@': 205}), 1: (1, {'@': 205}), 30: (1, {'@': 205}), 64: (1, {'@': 205}), 65: (1, {'@': 205}), 66: (1, {'@': 205}), 67: (1, {'@': 205}), 15: (1, {'@': 205}), 8: (1, {'@': 205}), 68: (1, {'@': 205}), 69: (1, {'@': 205}), 2: (1, {'@': 205}), 20: (1, {'@': 205}), 21: (1, {'@': 205}), 23: (1, {'@': 205}), 24: (1, {'@': 205}), 25: (1, {'@': 205}), 70: (1, {'@': 205}), 71: (1, {'@': 205}), 26: (1, {'@': 205}), 72: (1, {'@': 205}), 0: (1, {'@': 205}), 32: (1, {'@': 205}), 28: (1, {'@': 205}), 4: (1, {'@': 205})}, 310: {55: (1, {'@': 206}), 14: (1, {'@': 206}), 56: (1, {'@': 206}), 16: (1, {'@': 206}), 57: (1, {'@': 206}), 18: (1, {'@': 206}), 58: (1, {'@': 206}), 19: (1, {'@': 206}), 59: (1, {'@': 206}), 60: (1, {'@': 206}), 22: (1, {'@': 206}), 61: (1, {'@': 206}), 62: (1, {'@': 206}), 63: (1, {'@': 206}), 27: (1, {'@': 206}), 1: (1, {'@': 206}), 30: (1, {'@': 206}), 64: (1, {'@': 206}), 65: (1, {'@': 206}), 66: (1, {'@': 206}), 67: (1, {'@': 206}), 15: (1, {'@': 206}), 8: (1, {'@': 206}), 68: (1, {'@': 206}), 69: (1, {'@': 206}), 2: (1, {'@': 206}), 20: (1, {'@': 206}), 21: (1, {'@': 206}), 23: (1, {'@': 206}), 24: (1, {'@': 206}), 25: (1, {'@': 206}), 70: (1, {'@': 206}), 71: (1, {'@': 206}), 26: (1, {'@': 206}), 72: (1, {'@': 206}), 0: (1, {'@': 206}), 32: (1, {'@': 206}), 28: (1, {'@': 206}), 4: (1, {'@': 206})}, 311: {55: (1, {'@': 207}), 14: (1, {'@': 207}), 56: (1, {'@': 207}), 16: (1, {'@': 207}), 57: (1, {'@': 207}), 18: (1, {'@': 207}), 58: (1, {'@': 207}), 19: (1, {'@': 207}), 59: (1, {'@': 207}), 60: (1, {'@': 207}), 22: (1, {'@': 207}), 61: (1, {'@': 207}), 62: (1, {'@': 207}), 63: (1, {'@': 207}), 27: (1, {'@': 207}), 1: (1, {'@': 207}), 30: (1, {'@': 207}), 64: (1, {'@': 207}), 65: (1, {'@': 207}), 66: (1, {'@': 207}), 67: (1, {'@': 207}), 15: (1, {'@': 207}), 8: (1, {'@': 207}), 68: (1, {'@': 207}), 69: (1, {'@': 207}), 2: (1, {'@': 207}), 20: (1, {'@': 207}), 21: (1, {'@': 207}), 23: (1, {'@': 207}), 24: (1, {'@': 207}), 25: (1, {'@': 207}), 70: (1, {'@': 207}), 71: (1, {'@': 207}), 26: (1, {'@': 207}), 72: (1, {'@': 207}), 0: (1, {'@': 207}), 32: (1, {'@': 207}), 28: (1, {'@': 207}), 4: (1, {'@': 207})}, 312: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 337), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 18: (0, 370), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 313: {1: (0, 9), 6: (0, 2), 24: (0, 197), 87: (0, 371), 4: (0, 11), 12: (0, 372), 0: (0, 8), 18: (0, 373)}, 314: {1: (0, 9), 6: (0, 2), 18: (0, 374), 12: (0, 375), 4: (0, 11), 0: (0, 8)}, 315: {55: (1, {'@': 208}), 14: (1, {'@': 208}), 56: (1, {'@': 208}), 16: (1, {'@': 208}), 57: (1, {'@': 208}), 18: (1, {'@': 208}), 58: (1, {'@': 208}), 19: (1, {'@': 208}), 59: (1, {'@': 208}), 60: (1, {'@': 208}), 22: (1, {'@': 208}), 61: (1, {'@': 208}), 62: (1, {'@': 208}), 63: (1, {'@': 208}), 27: (1, {'@': 208}), 1: (1, {'@': 208}), 30: (1, {'@': 208}), 64: (1, {'@': 208}), 65: (1, {'@': 208}), 66: (1, {'@': 208}), 67: (1, {'@': 208}), 15: (1, {'@': 208}), 8: (1, {'@': 208}), 68: (1, {'@': 208}), 69: (1, {'@': 208}), 2: (1, {'@': 208}), 20: (1, {'@': 208}), 21: (1, {'@': 208}), 23: (1, {'@': 208}), 24: (1, {'@': 208}), 25: (1, {'@': 208}), 70: (1, {'@': 208}), 71: (1, {'@': 208}), 26: (1, {'@': 208}), 72: (1, {'@': 208}), 0: (1, {'@': 208}), 32: (1, {'@': 208}), 28: (1, {'@': 208}), 4: (1, {'@': 208})}, 316: {18: (0, 376)}, 317: {55: (1, {'@': 209}), 14: (1, {'@': 209}), 56: (1, {'@': 209}), 16: (1, {'@': 209}), 57: (1, {'@': 209}), 18: (1, {'@': 209}), 58: (1, {'@': 209}), 19: (1, {'@': 209}), 59: (1, {'@': 209}), 60: (1, {'@': 209}), 22: (1, {'@': 209}), 61: (1, {'@': 209}), 62: (1, {'@': 209}), 63: (1, {'@': 209}), 27: (1, {'@': 209}), 1: (1, {'@': 209}), 30: (1, {'@': 209}), 64: (1, {'@': 209}), 65: (1, {'@': 209}), 66: (1, {'@': 209}), 67: (1, {'@': 209}), 15: (1, {'@': 209}), 8: (1, {'@': 209}), 68: (1, {'@': 209}), 69: (1, {'@': 209}), 2: (1, {'@': 209}), 20: (1, {'@': 209}), 21: (1, {'@': 209}), 23: (1, {'@': 209}), 24: (1, {'@': 209}), 25: (1, {'@': 209}), 70: (1, {'@': 209}), 71: (1, {'@': 209}), 26: (1, {'@': 209}), 72: (1, {'@': 209}), 0: (1, {'@': 209}), 32: (1, {'@': 209}), 28: (1, {'@': 209}), 4: (1, {'@': 209})}, 318: {18: (0, 377), 1: (0, 9), 6: (0, 2), 4: (0, 11), 12: (0, 378), 0: (0, 8)}, 319: {18: (0, 379)}, 320: {55: (1, {'@': 210}), 14: (1, {'@': 210}), 56: (1, {'@': 210}), 16: (1, {'@': 210}), 57: (1, {'@': 210}), 18: (1, {'@': 210}), 58: (1, {'@': 210}), 19: (1, {'@': 210}), 59: (1, {'@': 210}), 60: (1, {'@': 210}), 22: (1, {'@': 210}), 61: (1, {'@': 210}), 62: (1, {'@': 210}), 63: (1, {'@': 210}), 27: (1, {'@': 210}), 1: (1, {'@': 210}), 30: (1, {'@': 210}), 64: (1, {'@': 210}), 65: (1, {'@': 210}), 66: (1, {'@': 210}), 67: (1, {'@': 210}), 15: (1, {'@': 210}), 8: (1, {'@': 210}), 68: (1, {'@': 210}), 69: (1, {'@': 210}), 2: (1, {'@': 210}), 20: (1, {'@': 210}), 21: (1, {'@': 210}), 23: (1, {'@': 210}), 24: (1, {'@': 210}), 25: (1, {'@': 210}), 70: (1, {'@': 210}), 71: (1, {'@': 210}), 26: (1, {'@': 210}), 72: (1, {'@': 210}), 0: (1, {'@': 210}), 32: (1, {'@': 210}), 28: (1, {'@': 210}), 4: (1, {'@': 210})}, 321: {0: (1, {'@': 211}), 1: (1, {'@': 211}), 2: (1, {'@': 211}), 4: (1, {'@': 211}), 18: (1, {'@': 211}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 322: {55: (1, {'@': 212}), 14: (1, {'@': 212}), 56: (1, {'@': 212}), 16: (1, {'@': 212}), 57: (1, {'@': 212}), 18: (1, {'@': 212}), 58: (1, {'@': 212}), 19: (1, {'@': 212}), 59: (1, {'@': 212}), 60: (1, {'@': 212}), 22: (1, {'@': 212}), 61: (1, {'@': 212}), 62: (1, {'@': 212}), 63: (1, {'@': 212}), 27: (1, {'@': 212}), 1: (1, {'@': 212}), 30: (1, {'@': 212}), 64: (1, {'@': 212}), 65: (1, {'@': 212}), 66: (1, {'@': 212}), 67: (1, {'@': 212}), 15: (1, {'@': 212}), 8: (1, {'@': 212}), 68: (1, {'@': 212}), 69: (1, {'@': 212}), 2: (1, {'@': 212}), 20: (1, {'@': 212}), 21: (1, {'@': 212}), 23: (1, {'@': 212}), 24: (1, {'@': 212}), 25: (1, {'@': 212}), 70: (1, {'@': 212}), 71: (1, {'@': 212}), 26: (1, {'@': 212}), 72: (1, {'@': 212}), 0: (1, {'@': 212}), 32: (1, {'@': 212}), 28: (1, {'@': 212}), 4: (1, {'@': 212})}, 323: {18: (0, 380)}, 324: {55: (1, {'@': 213}), 14: (1, {'@': 213}), 56: (1, {'@': 213}), 16: (1, {'@': 213}), 57: (1, {'@': 213}), 18: (1, {'@': 213}), 58: (1, {'@': 213}), 19: (1, {'@': 213}), 59: (1, {'@': 213}), 60: (1, {'@': 213}), 22: (1, {'@': 213}), 61: (1, {'@': 213}), 62: (1, {'@': 213}), 63: (1, {'@': 213}), 27: (1, {'@': 213}), 1: (1, {'@': 213}), 30: (1, {'@': 213}), 64: (1, {'@': 213}), 65: (1, {'@': 213}), 66: (1, {'@': 213}), 67: (1, {'@': 213}), 15: (1, {'@': 213}), 8: (1, {'@': 213}), 68: (1, {'@': 213}), 69: (1, {'@': 213}), 2: (1, {'@': 213}), 20: (1, {'@': 213}), 21: (1, {'@': 213}), 23: (1, {'@': 213}), 24: (1, {'@': 213}), 25: (1, {'@': 213}), 70: (1, {'@': 213}), 71: (1, {'@': 213}), 26: (1, {'@': 213}), 72: (1, {'@': 213}), 0: (1, {'@': 213}), 32: (1, {'@': 213}), 28: (1, {'@': 213}), 4: (1, {'@': 213})}, 325: {55: (1, {'@': 214}), 14: (1, {'@': 214}), 56: (1, {'@': 214}), 16: (1, {'@': 214}), 57: (1, {'@': 214}), 18: (1, {'@': 214}), 58: (1, {'@': 214}), 19: (1, {'@': 214}), 59: (1, {'@': 214}), 60: (1, {'@': 214}), 22: (1, {'@': 214}), 61: (1, {'@': 214}), 62: (1, {'@': 214}), 63: (1, {'@': 214}), 27: (1, {'@': 214}), 1: (1, {'@': 214}), 30: (1, {'@': 214}), 64: (1, {'@': 214}), 65: (1, {'@': 214}), 66: (1, {'@': 214}), 67: (1, {'@': 214}), 15: (1, {'@': 214}), 8: (1, {'@': 214}), 68: (1, {'@': 214}), 69: (1, {'@': 214}), 2: (1, {'@': 214}), 20: (1, {'@': 214}), 21: (1, {'@': 214}), 23: (1, {'@': 214}), 24: (1, {'@': 214}), 25: (1, {'@': 214}), 70: (1, {'@': 214}), 71: (1, {'@': 214}), 26: (1, {'@': 214}), 72: (1, {'@': 214}), 0: (1, {'@': 214}), 32: (1, {'@': 214}), 28: (1, {'@': 214}), 4: (1, {'@': 214})}, 326: {55: (1, {'@': 215}), 14: (1, {'@': 215}), 56: (1, {'@': 215}), 16: (1, {'@': 215}), 57: (1, {'@': 215}), 18: (1, {'@': 215}), 58: (1, {'@': 215}), 19: (1, {'@': 215}), 59: (1, {'@': 215}), 60: (1, {'@': 215}), 22: (1, {'@': 215}), 61: (1, {'@': 215}), 62: (1, {'@': 215}), 63: (1, {'@': 215}), 27: (1, {'@': 215}), 1: (1, {'@': 215}), 30: (1, {'@': 215}), 64: (1, {'@': 215}), 65: (1, {'@': 215}), 66: (1, {'@': 215}), 67: (1, {'@': 215}), 15: (1, {'@': 215}), 8: (1, {'@': 215}), 68: (1, {'@': 215}), 69: (1, {'@': 215}), 2: (1, {'@': 215}), 20: (1, {'@': 215}), 21: (1, {'@': 215}), 23: (1, {'@': 215}), 24: (1, {'@': 215}), 25: (1, {'@': 215}), 70: (1, {'@': 215}), 71: (1, {'@': 215}), 26: (1, {'@': 215}), 72: (1, {'@': 215}), 0: (1, {'@': 215}), 32: (1, {'@': 215}), 28: (1, {'@': 215}), 4: (1, {'@': 215})}, 327: {1: (0, 9), 6: (0, 2), 12: (0, 381), 18: (0, 382), 4: (0, 11), 0: (0, 8)}, 328: {18: (0, 383)}, 329: {18: (0, 384)}, 330: {55: (1, {'@': 216}), 14: (1, {'@': 216}), 56: (1, {'@': 216}), 16: (1, {'@': 216}), 57: (1, {'@': 216}), 18: (1, {'@': 216}), 58: (1, {'@': 216}), 19: (1, {'@': 216}), 59: (1, {'@': 216}), 60: (1, {'@': 216}), 22: (1, {'@': 216}), 61: (1, {'@': 216}), 62: (1, {'@': 216}), 63: (1, {'@': 216}), 27: (1, {'@': 216}), 1: (1, {'@': 216}), 30: (1, {'@': 216}), 64: (1, {'@': 216}), 65: (1, {'@': 216}), 66: (1, {'@': 216}), 67: (1, {'@': 216}), 15: (1, {'@': 216}), 8: (1, {'@': 216}), 68: (1, {'@': 216}), 69: (1, {'@': 216}), 2: (1, {'@': 216}), 20: (1, {'@': 216}), 21: (1, {'@': 216}), 23: (1, {'@': 216}), 24: (1, {'@': 216}), 25: (1, {'@': 216}), 70: (1, {'@': 216}), 71: (1, {'@': 216}), 26: (1, {'@': 216}), 72: (1, {'@': 216}), 0: (1, {'@': 216}), 32: (1, {'@': 216}), 28: (1, {'@': 216}), 4: (1, {'@': 216})}, 331: {23: (1, {'@': 217}), 15: (1, {'@': 217}), 72: (1, {'@': 217}), 18: (1, {'@': 217}), 0: (1, {'@': 217}), 1: (1, {'@': 217}), 4: (1, {'@': 217}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 332: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 18: (0, 385), 34: (0, 41), 35: (0, 42), 36: (0, 386), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 333: {55: (1, {'@': 218}), 14: (1, {'@': 218}), 56: (1, {'@': 218}), 16: (1, {'@': 218}), 57: (1, {'@': 218}), 18: (1, {'@': 218}), 58: (1, {'@': 218}), 19: (1, {'@': 218}), 59: (1, {'@': 218}), 60: (1, {'@': 218}), 22: (1, {'@': 218}), 61: (1, {'@': 218}), 62: (1, {'@': 218}), 63: (1, {'@': 218}), 27: (1, {'@': 218}), 1: (1, {'@': 218}), 30: (1, {'@': 218}), 64: (1, {'@': 218}), 65: (1, {'@': 218}), 66: (1, {'@': 218}), 67: (1, {'@': 218}), 15: (1, {'@': 218}), 8: (1, {'@': 218}), 68: (1, {'@': 218}), 69: (1, {'@': 218}), 2: (1, {'@': 218}), 20: (1, {'@': 218}), 21: (1, {'@': 218}), 23: (1, {'@': 218}), 24: (1, {'@': 218}), 25: (1, {'@': 218}), 70: (1, {'@': 218}), 71: (1, {'@': 218}), 26: (1, {'@': 218}), 72: (1, {'@': 218}), 0: (1, {'@': 218}), 32: (1, {'@': 218}), 28: (1, {'@': 218}), 4: (1, {'@': 218})}, 334: {55: (1, {'@': 219}), 14: (1, {'@': 219}), 56: (1, {'@': 219}), 16: (1, {'@': 219}), 57: (1, {'@': 219}), 18: (1, {'@': 219}), 58: (1, {'@': 219}), 19: (1, {'@': 219}), 59: (1, {'@': 219}), 60: (1, {'@': 219}), 22: (1, {'@': 219}), 61: (1, {'@': 219}), 62: (1, {'@': 219}), 63: (1, {'@': 219}), 27: (1, {'@': 219}), 1: (1, {'@': 219}), 30: (1, {'@': 219}), 64: (1, {'@': 219}), 65: (1, {'@': 219}), 66: (1, {'@': 219}), 67: (1, {'@': 219}), 15: (1, {'@': 219}), 8: (1, {'@': 219}), 68: (1, {'@': 219}), 69: (1, {'@': 219}), 2: (1, {'@': 219}), 20: (1, {'@': 219}), 21: (1, {'@': 219}), 23: (1, {'@': 219}), 24: (1, {'@': 219}), 25: (1, {'@': 219}), 70: (1, {'@': 219}), 71: (1, {'@': 219}), 26: (1, {'@': 219}), 72: (1, {'@': 219}), 0: (1, {'@': 219}), 32: (1, {'@': 219}), 28: (1, {'@': 219}), 4: (1, {'@': 219})}, 335: {55: (1, {'@': 220}), 14: (1, {'@': 220}), 56: (1, {'@': 220}), 16: (1, {'@': 220}), 57: (1, {'@': 220}), 18: (1, {'@': 220}), 58: (1, {'@': 220}), 19: (1, {'@': 220}), 59: (1, {'@': 220}), 60: (1, {'@': 220}), 22: (1, {'@': 220}), 61: (1, {'@': 220}), 62: (1, {'@': 220}), 63: (1, {'@': 220}), 27: (1, {'@': 220}), 1: (1, {'@': 220}), 30: (1, {'@': 220}), 64: (1, {'@': 220}), 65: (1, {'@': 220}), 66: (1, {'@': 220}), 67: (1, {'@': 220}), 15: (1, {'@': 220}), 8: (1, {'@': 220}), 68: (1, {'@': 220}), 69: (1, {'@': 220}), 2: (1, {'@': 220}), 20: (1, {'@': 220}), 21: (1, {'@': 220}), 23: (1, {'@': 220}), 24: (1, {'@': 220}), 25: (1, {'@': 220}), 70: (1, {'@': 220}), 71: (1, {'@': 220}), 26: (1, {'@': 220}), 72: (1, {'@': 220}), 0: (1, {'@': 220}), 32: (1, {'@': 220}), 28: (1, {'@': 220}), 4: (1, {'@': 220})}, 336: {23: (1, {'@': 221}), 15: (1, {'@': 221}), 72: (1, {'@': 221}), 18: (1, {'@': 221}), 0: (1, {'@': 221}), 1: (1, {'@': 221}), 4: (1, {'@': 221}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 337: {23: (1, {'@': 222}), 15: (1, {'@': 222}), 72: (1, {'@': 222}), 18: (1, {'@': 222}), 0: (1, {'@': 222}), 1: (1, {'@': 222}), 4: (1, {'@': 222}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 338: {55: (1, {'@': 223}), 14: (1, {'@': 223}), 56: (1, {'@': 223}), 16: (1, {'@': 223}), 57: (1, {'@': 223}), 18: (1, {'@': 223}), 58: (1, {'@': 223}), 19: (1, {'@': 223}), 59: (1, {'@': 223}), 60: (1, {'@': 223}), 22: (1, {'@': 223}), 61: (1, {'@': 223}), 62: (1, {'@': 223}), 63: (1, {'@': 223}), 27: (1, {'@': 223}), 1: (1, {'@': 223}), 30: (1, {'@': 223}), 64: (1, {'@': 223}), 65: (1, {'@': 223}), 66: (1, {'@': 223}), 67: (1, {'@': 223}), 15: (1, {'@': 223}), 8: (1, {'@': 223}), 68: (1, {'@': 223}), 69: (1, {'@': 223}), 2: (1, {'@': 223}), 20: (1, {'@': 223}), 21: (1, {'@': 223}), 23: (1, {'@': 223}), 24: (1, {'@': 223}), 25: (1, {'@': 223}), 70: (1, {'@': 223}), 71: (1, {'@': 223}), 26: (1, {'@': 223}), 72: (1, {'@': 223}), 0: (1, {'@': 223}), 32: (1, {'@': 223}), 28: (1, {'@': 223}), 4: (1, {'@': 223})}, 339: {55: (1, {'@': 224}), 14: (1, {'@': 224}), 56: (1, {'@': 224}), 16: (1, {'@': 224}), 57: (1, {'@': 224}), 18: (1, {'@': 224}), 58: (1, {'@': 224}), 19: (1, {'@': 224}), 59: (1, {'@': 224}), 60: (1, {'@': 224}), 22: (1, {'@': 224}), 61: (1, {'@': 224}), 62: (1, {'@': 224}), 63: (1, {'@': 224}), 27: (1, {'@': 224}), 1: (1, {'@': 224}), 30: (1, {'@': 224}), 64: (1, {'@': 224}), 65: (1, {'@': 224}), 66: (1, {'@': 224}), 67: (1, {'@': 224}), 15: (1, {'@': 224}), 8: (1, {'@': 224}), 68: (1, {'@': 224}), 69: (1, {'@': 224}), 2: (1, {'@': 224}), 20: (1, {'@': 224}), 21: (1, {'@': 224}), 23: (1, {'@': 224}), 24: (1, {'@': 224}), 25: (1, {'@': 224}), 70: (1, {'@': 224}), 71: (1, {'@': 224}), 26: (1, {'@': 224}), 72: (1, {'@': 224}), 0: (1, {'@': 224}), 32: (1, {'@': 224}), 28: (1, {'@': 224}), 4: (1, {'@': 224})}, 340: {55: (1, {'@': 225}), 14: (1, {'@': 225}), 56: (1, {'@': 225}), 16: (1, {'@': 225}), 57: (1, {'@': 225}), 18: (1, {'@': 225}), 58: (1, {'@': 225}), 19: (1, {'@': 225}), 59: (1, {'@': 225}), 60: (1, {'@': 225}), 22: (1, {'@': 225}), 61: (1, {'@': 225}), 62: (1, {'@': 225}), 63: (1, {'@': 225}), 27: (1, {'@': 225}), 1: (1, {'@': 225}), 30: (1, {'@': 225}), 64: (1, {'@': 225}), 65: (1, {'@': 225}), 66: (1, {'@': 225}), 67: (1, {'@': 225}), 15: (1, {'@': 225}), 8: (1, {'@': 225}), 68: (1, {'@': 225}), 69: (1, {'@': 225}), 2: (1, {'@': 225}), 20: (1, {'@': 225}), 21: (1, {'@': 225}), 23: (1, {'@': 225}), 24: (1, {'@': 225}), 25: (1, {'@': 225}), 70: (1, {'@': 225}), 71: (1, {'@': 225}), 26: (1, {'@': 225}), 72: (1, {'@': 225}), 0: (1, {'@': 225}), 32: (1, {'@': 225}), 28: (1, {'@': 225}), 4: (1, {'@': 225})}, 341: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 386), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 342: {2: (0, 387)}, 343: {55: (1, {'@': 226}), 14: (1, {'@': 226}), 56: (1, {'@': 226}), 16: (1, {'@': 226}), 57: (1, {'@': 226}), 18: (1, {'@': 226}), 58: (1, {'@': 226}), 19: (1, {'@': 226}), 59: (1, {'@': 226}), 60: (1, {'@': 226}), 22: (1, {'@': 226}), 61: (1, {'@': 226}), 62: (1, {'@': 226}), 63: (1, {'@': 226}), 27: (1, {'@': 226}), 1: (1, {'@': 226}), 30: (1, {'@': 226}), 64: (1, {'@': 226}), 65: (1, {'@': 226}), 66: (1, {'@': 226}), 67: (1, {'@': 226}), 15: (1, {'@': 226}), 8: (1, {'@': 226}), 68: (1, {'@': 226}), 69: (1, {'@': 226}), 2: (1, {'@': 226}), 20: (1, {'@': 226}), 21: (1, {'@': 226}), 23: (1, {'@': 226}), 24: (1, {'@': 226}), 25: (1, {'@': 226}), 70: (1, {'@': 226}), 71: (1, {'@': 226}), 26: (1, {'@': 226}), 72: (1, {'@': 226}), 0: (1, {'@': 226}), 32: (1, {'@': 226}), 28: (1, {'@': 226}), 4: (1, {'@': 226})}, 344: {55: (1, {'@': 227}), 14: (1, {'@': 227}), 56: (1, {'@': 227}), 16: (1, {'@': 227}), 57: (1, {'@': 227}), 18: (1, {'@': 227}), 58: (1, {'@': 227}), 19: (1, {'@': 227}), 59: (1, {'@': 227}), 60: (1, {'@': 227}), 22: (1, {'@': 227}), 61: (1, {'@': 227}), 62: (1, {'@': 227}), 63: (1, {'@': 227}), 27: (1, {'@': 227}), 1: (1, {'@': 227}), 30: (1, {'@': 227}), 64: (1, {'@': 227}), 65: (1, {'@': 227}), 66: (1, {'@': 227}), 67: (1, {'@': 227}), 15: (1, {'@': 227}), 8: (1, {'@': 227}), 68: (1, {'@': 227}), 69: (1, {'@': 227}), 2: (1, {'@': 227}), 20: (1, {'@': 227}), 21: (1, {'@': 227}), 23: (1, {'@': 227}), 24: (1, {'@': 227}), 25: (1, {'@': 227}), 70: (1, {'@': 227}), 71: (1, {'@': 227}), 26: (1, {'@': 227}), 72: (1, {'@': 227}), 0: (1, {'@': 227}), 32: (1, {'@': 227}), 28: (1, {'@': 227}), 4: (1, {'@': 227})}, 345: {2: (0, 388)}, 346: {1: (0, 9), 2: (0, 389), 6: (0, 2), 12: (0, 390), 4: (0, 11), 0: (0, 8)}, 347: {55: (1, {'@': 228}), 14: (1, {'@': 228}), 56: (1, {'@': 228}), 16: (1, {'@': 228}), 57: (1, {'@': 228}), 18: (1, {'@': 228}), 58: (1, {'@': 228}), 19: (1, {'@': 228}), 59: (1, {'@': 228}), 60: (1, {'@': 228}), 22: (1, {'@': 228}), 61: (1, {'@': 228}), 62: (1, {'@': 228}), 63: (1, {'@': 228}), 27: (1, {'@': 228}), 1: (1, {'@': 228}), 30: (1, {'@': 228}), 64: (1, {'@': 228}), 65: (1, {'@': 228}), 66: (1, {'@': 228}), 67: (1, {'@': 228}), 15: (1, {'@': 228}), 8: (1, {'@': 228}), 68: (1, {'@': 228}), 69: (1, {'@': 228}), 2: (1, {'@': 228}), 20: (1, {'@': 228}), 21: (1, {'@': 228}), 23: (1, {'@': 228}), 24: (1, {'@': 228}), 25: (1, {'@': 228}), 70: (1, {'@': 228}), 71: (1, {'@': 228}), 26: (1, {'@': 228}), 72: (1, {'@': 228}), 0: (1, {'@': 228}), 32: (1, {'@': 228}), 28: (1, {'@': 228}), 4: (1, {'@': 228})}, 348: {22: (1, {'@': 229}), 25: (1, {'@': 229}), 14: (1, {'@': 229}), 8: (1, {'@': 229}), 16: (1, {'@': 229}), 26: (1, {'@': 229}), 27: (1, {'@': 229}), 28: (1, {'@': 229}), 0: (0, 8), 19: (1, {'@': 229}), 1: (0, 9), 30: (1, {'@': 229}), 20: (1, {'@': 229}), 21: (1, {'@': 229}), 4: (0, 11), 12: (0, 391), 6: (0, 2)}, 349: {69: (0, 108), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 63: (0, 392), 67: (0, 109), 81: (0, 110)}, 350: {17: (0, 393), 1: (0, 9), 6: (0, 2), 12: (0, 394), 4: (0, 11), 0: (0, 8)}, 351: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 395), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 12: (0, 396), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 352: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 63: (0, 397), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 353: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 36: (0, 398), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 354: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 399), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 12: (0, 400), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 355: {17: (0, 401)}, 356: {63: (0, 402), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 357: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 403), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 358: {22: (1, {'@': 230}), 25: (1, {'@': 230}), 14: (1, {'@': 230}), 8: (1, {'@': 230}), 16: (1, {'@': 230}), 26: (1, {'@': 230}), 27: (1, {'@': 230}), 28: (1, {'@': 230}), 0: (0, 8), 19: (1, {'@': 230}), 1: (0, 9), 30: (1, {'@': 230}), 20: (1, {'@': 230}), 21: (1, {'@': 230}), 4: (0, 11), 6: (0, 2), 12: (0, 404)}, 359: {22: (1, {'@': 231}), 25: (1, {'@': 231}), 14: (1, {'@': 231}), 8: (1, {'@': 231}), 16: (1, {'@': 231}), 26: (1, {'@': 231}), 27: (1, {'@': 231}), 28: (1, {'@': 231}), 0: (1, {'@': 231}), 19: (1, {'@': 231}), 1: (1, {'@': 231}), 30: (1, {'@': 231}), 20: (1, {'@': 231}), 21: (1, {'@': 231}), 4: (1, {'@': 231})}, 360: {22: (1, {'@': 232}), 25: (1, {'@': 232}), 14: (1, {'@': 232}), 8: (1, {'@': 232}), 16: (1, {'@': 232}), 26: (1, {'@': 232}), 27: (1, {'@': 232}), 28: (1, {'@': 232}), 0: (0, 8), 19: (1, {'@': 232}), 1: (0, 9), 30: (1, {'@': 232}), 20: (1, {'@': 232}), 21: (1, {'@': 232}), 4: (0, 11), 12: (0, 405), 6: (0, 2)}, 361: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 63: (0, 406), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 362: {2: (0, 407), 1: (0, 9), 6: (0, 2), 87: (0, 408), 12: (0, 409), 24: (0, 197), 4: (0, 11), 0: (0, 8)}, 363: {55: (1, {'@': 233}), 14: (1, {'@': 233}), 56: (1, {'@': 233}), 16: (1, {'@': 233}), 57: (1, {'@': 233}), 18: (1, {'@': 233}), 58: (1, {'@': 233}), 19: (1, {'@': 233}), 59: (1, {'@': 233}), 60: (1, {'@': 233}), 22: (1, {'@': 233}), 61: (1, {'@': 233}), 62: (1, {'@': 233}), 63: (1, {'@': 233}), 27: (1, {'@': 233}), 1: (1, {'@': 233}), 30: (1, {'@': 233}), 64: (1, {'@': 233}), 65: (1, {'@': 233}), 66: (1, {'@': 233}), 67: (1, {'@': 233}), 15: (1, {'@': 233}), 8: (1, {'@': 233}), 68: (1, {'@': 233}), 69: (1, {'@': 233}), 2: (1, {'@': 233}), 20: (1, {'@': 233}), 21: (1, {'@': 233}), 23: (1, {'@': 233}), 24: (1, {'@': 233}), 25: (1, {'@': 233}), 70: (1, {'@': 233}), 71: (1, {'@': 233}), 26: (1, {'@': 233}), 72: (1, {'@': 233}), 0: (1, {'@': 233}), 32: (1, {'@': 233}), 28: (1, {'@': 233}), 4: (1, {'@': 233})}, 364: {12: (0, 410), 1: (0, 9), 6: (0, 2), 2: (0, 411), 4: (0, 11), 0: (0, 8)}, 365: {2: (0, 412)}, 366: {8: (0, 33), 20: (0, 34), 19: (0, 35), 18: (0, 413), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 386), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 367: {55: (1, {'@': 234}), 14: (1, {'@': 234}), 56: (1, {'@': 234}), 16: (1, {'@': 234}), 57: (1, {'@': 234}), 18: (1, {'@': 234}), 58: (1, {'@': 234}), 19: (1, {'@': 234}), 59: (1, {'@': 234}), 60: (1, {'@': 234}), 22: (1, {'@': 234}), 61: (1, {'@': 234}), 62: (1, {'@': 234}), 63: (1, {'@': 234}), 27: (1, {'@': 234}), 1: (1, {'@': 234}), 30: (1, {'@': 234}), 64: (1, {'@': 234}), 65: (1, {'@': 234}), 66: (1, {'@': 234}), 67: (1, {'@': 234}), 15: (1, {'@': 234}), 8: (1, {'@': 234}), 68: (1, {'@': 234}), 69: (1, {'@': 234}), 2: (1, {'@': 234}), 20: (1, {'@': 234}), 21: (1, {'@': 234}), 23: (1, {'@': 234}), 24: (1, {'@': 234}), 25: (1, {'@': 234}), 70: (1, {'@': 234}), 71: (1, {'@': 234}), 26: (1, {'@': 234}), 72: (1, {'@': 234}), 0: (1, {'@': 234}), 32: (1, {'@': 234}), 28: (1, {'@': 234}), 4: (1, {'@': 234})}, 368: {55: (1, {'@': 235}), 14: (1, {'@': 235}), 56: (1, {'@': 235}), 16: (1, {'@': 235}), 57: (1, {'@': 235}), 18: (1, {'@': 235}), 58: (1, {'@': 235}), 19: (1, {'@': 235}), 59: (1, {'@': 235}), 60: (1, {'@': 235}), 22: (1, {'@': 235}), 61: (1, {'@': 235}), 62: (1, {'@': 235}), 63: (1, {'@': 235}), 27: (1, {'@': 235}), 1: (1, {'@': 235}), 30: (1, {'@': 235}), 64: (1, {'@': 235}), 65: (1, {'@': 235}), 66: (1, {'@': 235}), 67: (1, {'@': 235}), 15: (1, {'@': 235}), 8: (1, {'@': 235}), 68: (1, {'@': 235}), 69: (1, {'@': 235}), 2: (1, {'@': 235}), 20: (1, {'@': 235}), 21: (1, {'@': 235}), 23: (1, {'@': 235}), 24: (1, {'@': 235}), 25: (1, {'@': 235}), 70: (1, {'@': 235}), 71: (1, {'@': 235}), 26: (1, {'@': 235}), 72: (1, {'@': 235}), 0: (1, {'@': 235}), 32: (1, {'@': 235}), 28: (1, {'@': 235}), 4: (1, {'@': 235})}, 369: {55: (1, {'@': 236}), 14: (1, {'@': 236}), 56: (1, {'@': 236}), 16: (1, {'@': 236}), 57: (1, {'@': 236}), 18: (1, {'@': 236}), 58: (1, {'@': 236}), 19: (1, {'@': 236}), 59: (1, {'@': 236}), 60: (1, {'@': 236}), 22: (1, {'@': 236}), 61: (1, {'@': 236}), 62: (1, {'@': 236}), 63: (1, {'@': 236}), 27: (1, {'@': 236}), 1: (1, {'@': 236}), 30: (1, {'@': 236}), 64: (1, {'@': 236}), 65: (1, {'@': 236}), 66: (1, {'@': 236}), 67: (1, {'@': 236}), 15: (1, {'@': 236}), 8: (1, {'@': 236}), 68: (1, {'@': 236}), 69: (1, {'@': 236}), 2: (1, {'@': 236}), 20: (1, {'@': 236}), 21: (1, {'@': 236}), 23: (1, {'@': 236}), 24: (1, {'@': 236}), 25: (1, {'@': 236}), 70: (1, {'@': 236}), 71: (1, {'@': 236}), 26: (1, {'@': 236}), 72: (1, {'@': 236}), 0: (1, {'@': 236}), 32: (1, {'@': 236}), 28: (1, {'@': 236}), 4: (1, {'@': 236})}, 370: {55: (1, {'@': 237}), 14: (1, {'@': 237}), 56: (1, {'@': 237}), 16: (1, {'@': 237}), 57: (1, {'@': 237}), 18: (1, {'@': 237}), 58: (1, {'@': 237}), 19: (1, {'@': 237}), 59: (1, {'@': 237}), 60: (1, {'@': 237}), 22: (1, {'@': 237}), 61: (1, {'@': 237}), 62: (1, {'@': 237}), 63: (1, {'@': 237}), 27: (1, {'@': 237}), 1: (1, {'@': 237}), 30: (1, {'@': 237}), 64: (1, {'@': 237}), 65: (1, {'@': 237}), 66: (1, {'@': 237}), 67: (1, {'@': 237}), 15: (1, {'@': 237}), 8: (1, {'@': 237}), 68: (1, {'@': 237}), 69: (1, {'@': 237}), 2: (1, {'@': 237}), 20: (1, {'@': 237}), 21: (1, {'@': 237}), 23: (1, {'@': 237}), 24: (1, {'@': 237}), 25: (1, {'@': 237}), 70: (1, {'@': 237}), 71: (1, {'@': 237}), 26: (1, {'@': 237}), 72: (1, {'@': 237}), 0: (1, {'@': 237}), 32: (1, {'@': 237}), 28: (1, {'@': 237}), 4: (1, {'@': 237})}, 371: {1: (0, 9), 6: (0, 2), 4: (0, 11), 12: (0, 414), 0: (0, 8), 18: (0, 415)}, 372: {18: (0, 416)}, 373: {55: (1, {'@': 238}), 14: (1, {'@': 238}), 56: (1, {'@': 238}), 16: (1, {'@': 238}), 57: (1, {'@': 238}), 18: (1, {'@': 238}), 58: (1, {'@': 238}), 19: (1, {'@': 238}), 59: (1, {'@': 238}), 60: (1, {'@': 238}), 22: (1, {'@': 238}), 61: (1, {'@': 238}), 62: (1, {'@': 238}), 63: (1, {'@': 238}), 27: (1, {'@': 238}), 1: (1, {'@': 238}), 30: (1, {'@': 238}), 64: (1, {'@': 238}), 65: (1, {'@': 238}), 66: (1, {'@': 238}), 67: (1, {'@': 238}), 15: (1, {'@': 238}), 8: (1, {'@': 238}), 68: (1, {'@': 238}), 69: (1, {'@': 238}), 2: (1, {'@': 238}), 20: (1, {'@': 238}), 21: (1, {'@': 238}), 23: (1, {'@': 238}), 24: (1, {'@': 238}), 25: (1, {'@': 238}), 70: (1, {'@': 238}), 71: (1, {'@': 238}), 26: (1, {'@': 238}), 72: (1, {'@': 238}), 0: (1, {'@': 238}), 32: (1, {'@': 238}), 28: (1, {'@': 238}), 4: (1, {'@': 238})}, 374: {55: (1, {'@': 239}), 14: (1, {'@': 239}), 56: (1, {'@': 239}), 16: (1, {'@': 239}), 57: (1, {'@': 239}), 18: (1, {'@': 239}), 58: (1, {'@': 239}), 19: (1, {'@': 239}), 59: (1, {'@': 239}), 60: (1, {'@': 239}), 22: (1, {'@': 239}), 61: (1, {'@': 239}), 62: (1, {'@': 239}), 63: (1, {'@': 239}), 27: (1, {'@': 239}), 1: (1, {'@': 239}), 30: (1, {'@': 239}), 64: (1, {'@': 239}), 65: (1, {'@': 239}), 66: (1, {'@': 239}), 67: (1, {'@': 239}), 15: (1, {'@': 239}), 8: (1, {'@': 239}), 68: (1, {'@': 239}), 69: (1, {'@': 239}), 2: (1, {'@': 239}), 20: (1, {'@': 239}), 21: (1, {'@': 239}), 23: (1, {'@': 239}), 24: (1, {'@': 239}), 25: (1, {'@': 239}), 70: (1, {'@': 239}), 71: (1, {'@': 239}), 26: (1, {'@': 239}), 72: (1, {'@': 239}), 0: (1, {'@': 239}), 32: (1, {'@': 239}), 28: (1, {'@': 239}), 4: (1, {'@': 239})}, 375: {18: (0, 417)}, 376: {55: (1, {'@': 240}), 14: (1, {'@': 240}), 56: (1, {'@': 240}), 16: (1, {'@': 240}), 57: (1, {'@': 240}), 18: (1, {'@': 240}), 58: (1, {'@': 240}), 19: (1, {'@': 240}), 59: (1, {'@': 240}), 60: (1, {'@': 240}), 22: (1, {'@': 240}), 61: (1, {'@': 240}), 62: (1, {'@': 240}), 63: (1, {'@': 240}), 27: (1, {'@': 240}), 1: (1, {'@': 240}), 30: (1, {'@': 240}), 64: (1, {'@': 240}), 65: (1, {'@': 240}), 66: (1, {'@': 240}), 67: (1, {'@': 240}), 15: (1, {'@': 240}), 8: (1, {'@': 240}), 68: (1, {'@': 240}), 69: (1, {'@': 240}), 2: (1, {'@': 240}), 20: (1, {'@': 240}), 21: (1, {'@': 240}), 23: (1, {'@': 240}), 24: (1, {'@': 240}), 25: (1, {'@': 240}), 70: (1, {'@': 240}), 71: (1, {'@': 240}), 26: (1, {'@': 240}), 72: (1, {'@': 240}), 0: (1, {'@': 240}), 32: (1, {'@': 240}), 28: (1, {'@': 240}), 4: (1, {'@': 240})}, 377: {55: (1, {'@': 241}), 14: (1, {'@': 241}), 56: (1, {'@': 241}), 16: (1, {'@': 241}), 57: (1, {'@': 241}), 18: (1, {'@': 241}), 58: (1, {'@': 241}), 19: (1, {'@': 241}), 59: (1, {'@': 241}), 60: (1, {'@': 241}), 22: (1, {'@': 241}), 61: (1, {'@': 241}), 62: (1, {'@': 241}), 63: (1, {'@': 241}), 27: (1, {'@': 241}), 1: (1, {'@': 241}), 30: (1, {'@': 241}), 64: (1, {'@': 241}), 65: (1, {'@': 241}), 66: (1, {'@': 241}), 67: (1, {'@': 241}), 15: (1, {'@': 241}), 8: (1, {'@': 241}), 68: (1, {'@': 241}), 69: (1, {'@': 241}), 2: (1, {'@': 241}), 20: (1, {'@': 241}), 21: (1, {'@': 241}), 23: (1, {'@': 241}), 24: (1, {'@': 241}), 25: (1, {'@': 241}), 70: (1, {'@': 241}), 71: (1, {'@': 241}), 26: (1, {'@': 241}), 72: (1, {'@': 241}), 0: (1, {'@': 241}), 32: (1, {'@': 241}), 28: (1, {'@': 241}), 4: (1, {'@': 241})}, 378: {18: (0, 418)}, 379: {55: (1, {'@': 242}), 14: (1, {'@': 242}), 56: (1, {'@': 242}), 16: (1, {'@': 242}), 57: (1, {'@': 242}), 18: (1, {'@': 242}), 58: (1, {'@': 242}), 19: (1, {'@': 242}), 59: (1, {'@': 242}), 60: (1, {'@': 242}), 22: (1, {'@': 242}), 61: (1, {'@': 242}), 62: (1, {'@': 242}), 63: (1, {'@': 242}), 27: (1, {'@': 242}), 1: (1, {'@': 242}), 30: (1, {'@': 242}), 64: (1, {'@': 242}), 65: (1, {'@': 242}), 66: (1, {'@': 242}), 67: (1, {'@': 242}), 15: (1, {'@': 242}), 8: (1, {'@': 242}), 68: (1, {'@': 242}), 69: (1, {'@': 242}), 2: (1, {'@': 242}), 20: (1, {'@': 242}), 21: (1, {'@': 242}), 23: (1, {'@': 242}), 24: (1, {'@': 242}), 25: (1, {'@': 242}), 70: (1, {'@': 242}), 71: (1, {'@': 242}), 26: (1, {'@': 242}), 72: (1, {'@': 242}), 0: (1, {'@': 242}), 32: (1, {'@': 242}), 28: (1, {'@': 242}), 4: (1, {'@': 242})}, 380: {55: (1, {'@': 243}), 14: (1, {'@': 243}), 56: (1, {'@': 243}), 16: (1, {'@': 243}), 57: (1, {'@': 243}), 18: (1, {'@': 243}), 58: (1, {'@': 243}), 19: (1, {'@': 243}), 59: (1, {'@': 243}), 60: (1, {'@': 243}), 22: (1, {'@': 243}), 61: (1, {'@': 243}), 62: (1, {'@': 243}), 63: (1, {'@': 243}), 27: (1, {'@': 243}), 1: (1, {'@': 243}), 30: (1, {'@': 243}), 64: (1, {'@': 243}), 65: (1, {'@': 243}), 66: (1, {'@': 243}), 67: (1, {'@': 243}), 15: (1, {'@': 243}), 8: (1, {'@': 243}), 68: (1, {'@': 243}), 69: (1, {'@': 243}), 2: (1, {'@': 243}), 20: (1, {'@': 243}), 21: (1, {'@': 243}), 23: (1, {'@': 243}), 24: (1, {'@': 243}), 25: (1, {'@': 243}), 70: (1, {'@': 243}), 71: (1, {'@': 243}), 26: (1, {'@': 243}), 72: (1, {'@': 243}), 0: (1, {'@': 243}), 32: (1, {'@': 243}), 28: (1, {'@': 243}), 4: (1, {'@': 243})}, 381: {18: (0, 419)}, 382: {55: (1, {'@': 244}), 14: (1, {'@': 244}), 56: (1, {'@': 244}), 16: (1, {'@': 244}), 57: (1, {'@': 244}), 18: (1, {'@': 244}), 58: (1, {'@': 244}), 19: (1, {'@': 244}), 59: (1, {'@': 244}), 60: (1, {'@': 244}), 22: (1, {'@': 244}), 61: (1, {'@': 244}), 62: (1, {'@': 244}), 63: (1, {'@': 244}), 27: (1, {'@': 244}), 1: (1, {'@': 244}), 30: (1, {'@': 244}), 64: (1, {'@': 244}), 65: (1, {'@': 244}), 66: (1, {'@': 244}), 67: (1, {'@': 244}), 15: (1, {'@': 244}), 8: (1, {'@': 244}), 68: (1, {'@': 244}), 69: (1, {'@': 244}), 2: (1, {'@': 244}), 20: (1, {'@': 244}), 21: (1, {'@': 244}), 23: (1, {'@': 244}), 24: (1, {'@': 244}), 25: (1, {'@': 244}), 70: (1, {'@': 244}), 71: (1, {'@': 244}), 26: (1, {'@': 244}), 72: (1, {'@': 244}), 0: (1, {'@': 244}), 32: (1, {'@': 244}), 28: (1, {'@': 244}), 4: (1, {'@': 244})}, 383: {55: (1, {'@': 245}), 14: (1, {'@': 245}), 56: (1, {'@': 245}), 16: (1, {'@': 245}), 57: (1, {'@': 245}), 18: (1, {'@': 245}), 58: (1, {'@': 245}), 19: (1, {'@': 245}), 59: (1, {'@': 245}), 60: (1, {'@': 245}), 22: (1, {'@': 245}), 61: (1, {'@': 245}), 62: (1, {'@': 245}), 63: (1, {'@': 245}), 27: (1, {'@': 245}), 1: (1, {'@': 245}), 30: (1, {'@': 245}), 64: (1, {'@': 245}), 65: (1, {'@': 245}), 66: (1, {'@': 245}), 67: (1, {'@': 245}), 15: (1, {'@': 245}), 8: (1, {'@': 245}), 68: (1, {'@': 245}), 69: (1, {'@': 245}), 2: (1, {'@': 245}), 20: (1, {'@': 245}), 21: (1, {'@': 245}), 23: (1, {'@': 245}), 24: (1, {'@': 245}), 25: (1, {'@': 245}), 70: (1, {'@': 245}), 71: (1, {'@': 245}), 26: (1, {'@': 245}), 72: (1, {'@': 245}), 0: (1, {'@': 245}), 32: (1, {'@': 245}), 28: (1, {'@': 245}), 4: (1, {'@': 245})}, 384: {55: (1, {'@': 246}), 14: (1, {'@': 246}), 56: (1, {'@': 246}), 16: (1, {'@': 246}), 57: (1, {'@': 246}), 18: (1, {'@': 246}), 58: (1, {'@': 246}), 19: (1, {'@': 246}), 59: (1, {'@': 246}), 60: (1, {'@': 246}), 22: (1, {'@': 246}), 61: (1, {'@': 246}), 62: (1, {'@': 246}), 63: (1, {'@': 246}), 27: (1, {'@': 246}), 1: (1, {'@': 246}), 30: (1, {'@': 246}), 64: (1, {'@': 246}), 65: (1, {'@': 246}), 66: (1, {'@': 246}), 67: (1, {'@': 246}), 15: (1, {'@': 246}), 8: (1, {'@': 246}), 68: (1, {'@': 246}), 69: (1, {'@': 246}), 2: (1, {'@': 246}), 20: (1, {'@': 246}), 21: (1, {'@': 246}), 23: (1, {'@': 246}), 24: (1, {'@': 246}), 25: (1, {'@': 246}), 70: (1, {'@': 246}), 71: (1, {'@': 246}), 26: (1, {'@': 246}), 72: (1, {'@': 246}), 0: (1, {'@': 246}), 32: (1, {'@': 246}), 28: (1, {'@': 246}), 4: (1, {'@': 246})}, 385: {55: (1, {'@': 247}), 14: (1, {'@': 247}), 56: (1, {'@': 247}), 16: (1, {'@': 247}), 57: (1, {'@': 247}), 18: (1, {'@': 247}), 58: (1, {'@': 247}), 19: (1, {'@': 247}), 59: (1, {'@': 247}), 60: (1, {'@': 247}), 22: (1, {'@': 247}), 61: (1, {'@': 247}), 62: (1, {'@': 247}), 63: (1, {'@': 247}), 27: (1, {'@': 247}), 1: (1, {'@': 247}), 30: (1, {'@': 247}), 64: (1, {'@': 247}), 65: (1, {'@': 247}), 66: (1, {'@': 247}), 67: (1, {'@': 247}), 15: (1, {'@': 247}), 8: (1, {'@': 247}), 68: (1, {'@': 247}), 69: (1, {'@': 247}), 2: (1, {'@': 247}), 20: (1, {'@': 247}), 21: (1, {'@': 247}), 23: (1, {'@': 247}), 24: (1, {'@': 247}), 25: (1, {'@': 247}), 70: (1, {'@': 247}), 71: (1, {'@': 247}), 26: (1, {'@': 247}), 72: (1, {'@': 247}), 0: (1, {'@': 247}), 32: (1, {'@': 247}), 28: (1, {'@': 247}), 4: (1, {'@': 247})}, 386: {23: (1, {'@': 248}), 15: (1, {'@': 248}), 72: (1, {'@': 248}), 18: (1, {'@': 248}), 0: (1, {'@': 248}), 1: (1, {'@': 248}), 4: (1, {'@': 248}), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 387: {55: (1, {'@': 249}), 14: (1, {'@': 249}), 56: (1, {'@': 249}), 16: (1, {'@': 249}), 57: (1, {'@': 249}), 18: (1, {'@': 249}), 58: (1, {'@': 249}), 19: (1, {'@': 249}), 59: (1, {'@': 249}), 60: (1, {'@': 249}), 22: (1, {'@': 249}), 61: (1, {'@': 249}), 62: (1, {'@': 249}), 63: (1, {'@': 249}), 27: (1, {'@': 249}), 1: (1, {'@': 249}), 30: (1, {'@': 249}), 64: (1, {'@': 249}), 65: (1, {'@': 249}), 66: (1, {'@': 249}), 67: (1, {'@': 249}), 15: (1, {'@': 249}), 8: (1, {'@': 249}), 68: (1, {'@': 249}), 69: (1, {'@': 249}), 2: (1, {'@': 249}), 20: (1, {'@': 249}), 21: (1, {'@': 249}), 23: (1, {'@': 249}), 24: (1, {'@': 249}), 25: (1, {'@': 249}), 70: (1, {'@': 249}), 71: (1, {'@': 249}), 26: (1, {'@': 249}), 72: (1, {'@': 249}), 0: (1, {'@': 249}), 32: (1, {'@': 249}), 28: (1, {'@': 249}), 4: (1, {'@': 249})}, 388: {55: (1, {'@': 250}), 14: (1, {'@': 250}), 56: (1, {'@': 250}), 16: (1, {'@': 250}), 57: (1, {'@': 250}), 18: (1, {'@': 250}), 58: (1, {'@': 250}), 19: (1, {'@': 250}), 59: (1, {'@': 250}), 60: (1, {'@': 250}), 22: (1, {'@': 250}), 61: (1, {'@': 250}), 62: (1, {'@': 250}), 63: (1, {'@': 250}), 27: (1, {'@': 250}), 1: (1, {'@': 250}), 30: (1, {'@': 250}), 64: (1, {'@': 250}), 65: (1, {'@': 250}), 66: (1, {'@': 250}), 67: (1, {'@': 250}), 15: (1, {'@': 250}), 8: (1, {'@': 250}), 68: (1, {'@': 250}), 69: (1, {'@': 250}), 2: (1, {'@': 250}), 20: (1, {'@': 250}), 21: (1, {'@': 250}), 23: (1, {'@': 250}), 24: (1, {'@': 250}), 25: (1, {'@': 250}), 70: (1, {'@': 250}), 71: (1, {'@': 250}), 26: (1, {'@': 250}), 72: (1, {'@': 250}), 0: (1, {'@': 250}), 32: (1, {'@': 250}), 28: (1, {'@': 250}), 4: (1, {'@': 250})}, 389: {55: (1, {'@': 251}), 14: (1, {'@': 251}), 56: (1, {'@': 251}), 16: (1, {'@': 251}), 57: (1, {'@': 251}), 18: (1, {'@': 251}), 58: (1, {'@': 251}), 19: (1, {'@': 251}), 59: (1, {'@': 251}), 60: (1, {'@': 251}), 22: (1, {'@': 251}), 61: (1, {'@': 251}), 62: (1, {'@': 251}), 63: (1, {'@': 251}), 27: (1, {'@': 251}), 1: (1, {'@': 251}), 30: (1, {'@': 251}), 64: (1, {'@': 251}), 65: (1, {'@': 251}), 66: (1, {'@': 251}), 67: (1, {'@': 251}), 15: (1, {'@': 251}), 8: (1, {'@': 251}), 68: (1, {'@': 251}), 69: (1, {'@': 251}), 2: (1, {'@': 251}), 20: (1, {'@': 251}), 21: (1, {'@': 251}), 23: (1, {'@': 251}), 24: (1, {'@': 251}), 25: (1, {'@': 251}), 70: (1, {'@': 251}), 71: (1, {'@': 251}), 26: (1, {'@': 251}), 72: (1, {'@': 251}), 0: (1, {'@': 251}), 32: (1, {'@': 251}), 28: (1, {'@': 251}), 4: (1, {'@': 251})}, 390: {2: (0, 420)}, 391: {22: (1, {'@': 252}), 25: (1, {'@': 252}), 14: (1, {'@': 252}), 8: (1, {'@': 252}), 16: (1, {'@': 252}), 26: (1, {'@': 252}), 27: (1, {'@': 252}), 28: (1, {'@': 252}), 0: (1, {'@': 252}), 19: (1, {'@': 252}), 1: (1, {'@': 252}), 30: (1, {'@': 252}), 20: (1, {'@': 252}), 21: (1, {'@': 252}), 4: (1, {'@': 252})}, 392: {22: (1, {'@': 253}), 25: (1, {'@': 253}), 14: (1, {'@': 253}), 8: (1, {'@': 253}), 16: (1, {'@': 253}), 26: (1, {'@': 253}), 27: (1, {'@': 253}), 28: (1, {'@': 253}), 0: (0, 8), 19: (1, {'@': 253}), 1: (0, 9), 30: (1, {'@': 253}), 20: (1, {'@': 253}), 21: (1, {'@': 253}), 4: (0, 11), 6: (0, 2), 12: (0, 421)}, 393: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 12: (0, 422), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 423), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 394: {17: (0, 424)}, 395: {80: (0, 94), 66: (0, 95), 63: (0, 425), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 396: {36: (0, 426), 8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 397: {22: (1, {'@': 254}), 25: (1, {'@': 254}), 14: (1, {'@': 254}), 8: (1, {'@': 254}), 16: (1, {'@': 254}), 26: (1, {'@': 254}), 27: (1, {'@': 254}), 28: (1, {'@': 254}), 0: (0, 8), 19: (1, {'@': 254}), 1: (0, 9), 30: (1, {'@': 254}), 20: (1, {'@': 254}), 21: (1, {'@': 254}), 4: (0, 11), 6: (0, 2), 12: (0, 427)}, 398: {80: (0, 94), 63: (0, 428), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 399: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 63: (0, 429), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 400: {8: (0, 33), 20: (0, 34), 19: (0, 35), 36: (0, 430), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 401: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 12: (0, 431), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 432), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 402: {22: (1, {'@': 255}), 25: (1, {'@': 255}), 14: (1, {'@': 255}), 8: (1, {'@': 255}), 16: (1, {'@': 255}), 26: (1, {'@': 255}), 27: (1, {'@': 255}), 28: (1, {'@': 255}), 0: (0, 8), 19: (1, {'@': 255}), 1: (0, 9), 30: (1, {'@': 255}), 20: (1, {'@': 255}), 21: (1, {'@': 255}), 4: (0, 11), 12: (0, 433), 6: (0, 2)}, 403: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 63: (0, 434), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 404: {22: (1, {'@': 256}), 25: (1, {'@': 256}), 14: (1, {'@': 256}), 8: (1, {'@': 256}), 16: (1, {'@': 256}), 26: (1, {'@': 256}), 27: (1, {'@': 256}), 28: (1, {'@': 256}), 0: (1, {'@': 256}), 19: (1, {'@': 256}), 1: (1, {'@': 256}), 30: (1, {'@': 256}), 20: (1, {'@': 256}), 21: (1, {'@': 256}), 4: (1, {'@': 256})}, 405: {22: (1, {'@': 257}), 25: (1, {'@': 257}), 14: (1, {'@': 257}), 8: (1, {'@': 257}), 16: (1, {'@': 257}), 26: (1, {'@': 257}), 27: (1, {'@': 257}), 28: (1, {'@': 257}), 0: (1, {'@': 257}), 19: (1, {'@': 257}), 1: (1, {'@': 257}), 30: (1, {'@': 257}), 20: (1, {'@': 257}), 21: (1, {'@': 257}), 4: (1, {'@': 257})}, 406: {22: (1, {'@': 258}), 25: (1, {'@': 258}), 14: (1, {'@': 258}), 8: (1, {'@': 258}), 16: (1, {'@': 258}), 26: (1, {'@': 258}), 27: (1, {'@': 258}), 28: (1, {'@': 258}), 0: (0, 8), 19: (1, {'@': 258}), 1: (0, 9), 30: (1, {'@': 258}), 20: (1, {'@': 258}), 21: (1, {'@': 258}), 4: (0, 11), 6: (0, 2), 12: (0, 435)}, 407: {55: (1, {'@': 259}), 14: (1, {'@': 259}), 56: (1, {'@': 259}), 16: (1, {'@': 259}), 57: (1, {'@': 259}), 18: (1, {'@': 259}), 58: (1, {'@': 259}), 19: (1, {'@': 259}), 59: (1, {'@': 259}), 60: (1, {'@': 259}), 22: (1, {'@': 259}), 61: (1, {'@': 259}), 62: (1, {'@': 259}), 63: (1, {'@': 259}), 27: (1, {'@': 259}), 1: (1, {'@': 259}), 30: (1, {'@': 259}), 64: (1, {'@': 259}), 65: (1, {'@': 259}), 66: (1, {'@': 259}), 67: (1, {'@': 259}), 15: (1, {'@': 259}), 8: (1, {'@': 259}), 68: (1, {'@': 259}), 69: (1, {'@': 259}), 2: (1, {'@': 259}), 20: (1, {'@': 259}), 21: (1, {'@': 259}), 23: (1, {'@': 259}), 24: (1, {'@': 259}), 25: (1, {'@': 259}), 70: (1, {'@': 259}), 71: (1, {'@': 259}), 26: (1, {'@': 259}), 72: (1, {'@': 259}), 0: (1, {'@': 259}), 32: (1, {'@': 259}), 28: (1, {'@': 259}), 4: (1, {'@': 259})}, 408: {1: (0, 9), 12: (0, 436), 6: (0, 2), 2: (0, 437), 4: (0, 11), 0: (0, 8)}, 409: {2: (0, 438)}, 410: {2: (0, 439)}, 411: {55: (1, {'@': 260}), 14: (1, {'@': 260}), 56: (1, {'@': 260}), 16: (1, {'@': 260}), 57: (1, {'@': 260}), 18: (1, {'@': 260}), 58: (1, {'@': 260}), 19: (1, {'@': 260}), 59: (1, {'@': 260}), 60: (1, {'@': 260}), 22: (1, {'@': 260}), 61: (1, {'@': 260}), 62: (1, {'@': 260}), 63: (1, {'@': 260}), 27: (1, {'@': 260}), 1: (1, {'@': 260}), 30: (1, {'@': 260}), 64: (1, {'@': 260}), 65: (1, {'@': 260}), 66: (1, {'@': 260}), 67: (1, {'@': 260}), 15: (1, {'@': 260}), 8: (1, {'@': 260}), 68: (1, {'@': 260}), 69: (1, {'@': 260}), 2: (1, {'@': 260}), 20: (1, {'@': 260}), 21: (1, {'@': 260}), 23: (1, {'@': 260}), 24: (1, {'@': 260}), 25: (1, {'@': 260}), 70: (1, {'@': 260}), 71: (1, {'@': 260}), 26: (1, {'@': 260}), 72: (1, {'@': 260}), 0: (1, {'@': 260}), 32: (1, {'@': 260}), 28: (1, {'@': 260}), 4: (1, {'@': 260})}, 412: {55: (1, {'@': 261}), 14: (1, {'@': 261}), 56: (1, {'@': 261}), 16: (1, {'@': 261}), 57: (1, {'@': 261}), 18: (1, {'@': 261}), 58: (1, {'@': 261}), 19: (1, {'@': 261}), 59: (1, {'@': 261}), 60: (1, {'@': 261}), 22: (1, {'@': 261}), 61: (1, {'@': 261}), 62: (1, {'@': 261}), 63: (1, {'@': 261}), 27: (1, {'@': 261}), 1: (1, {'@': 261}), 30: (1, {'@': 261}), 64: (1, {'@': 261}), 65: (1, {'@': 261}), 66: (1, {'@': 261}), 67: (1, {'@': 261}), 15: (1, {'@': 261}), 8: (1, {'@': 261}), 68: (1, {'@': 261}), 69: (1, {'@': 261}), 2: (1, {'@': 261}), 20: (1, {'@': 261}), 21: (1, {'@': 261}), 23: (1, {'@': 261}), 24: (1, {'@': 261}), 25: (1, {'@': 261}), 70: (1, {'@': 261}), 71: (1, {'@': 261}), 26: (1, {'@': 261}), 72: (1, {'@': 261}), 0: (1, {'@': 261}), 32: (1, {'@': 261}), 28: (1, {'@': 261}), 4: (1, {'@': 261})}, 413: {55: (1, {'@': 262}), 14: (1, {'@': 262}), 56: (1, {'@': 262}), 16: (1, {'@': 262}), 57: (1, {'@': 262}), 18: (1, {'@': 262}), 58: (1, {'@': 262}), 19: (1, {'@': 262}), 59: (1, {'@': 262}), 60: (1, {'@': 262}), 22: (1, {'@': 262}), 61: (1, {'@': 262}), 62: (1, {'@': 262}), 63: (1, {'@': 262}), 27: (1, {'@': 262}), 1: (1, {'@': 262}), 30: (1, {'@': 262}), 64: (1, {'@': 262}), 65: (1, {'@': 262}), 66: (1, {'@': 262}), 67: (1, {'@': 262}), 15: (1, {'@': 262}), 8: (1, {'@': 262}), 68: (1, {'@': 262}), 69: (1, {'@': 262}), 2: (1, {'@': 262}), 20: (1, {'@': 262}), 21: (1, {'@': 262}), 23: (1, {'@': 262}), 24: (1, {'@': 262}), 25: (1, {'@': 262}), 70: (1, {'@': 262}), 71: (1, {'@': 262}), 26: (1, {'@': 262}), 72: (1, {'@': 262}), 0: (1, {'@': 262}), 32: (1, {'@': 262}), 28: (1, {'@': 262}), 4: (1, {'@': 262})}, 414: {18: (0, 440)}, 415: {55: (1, {'@': 263}), 14: (1, {'@': 263}), 56: (1, {'@': 263}), 16: (1, {'@': 263}), 57: (1, {'@': 263}), 18: (1, {'@': 263}), 58: (1, {'@': 263}), 19: (1, {'@': 263}), 59: (1, {'@': 263}), 60: (1, {'@': 263}), 22: (1, {'@': 263}), 61: (1, {'@': 263}), 62: (1, {'@': 263}), 63: (1, {'@': 263}), 27: (1, {'@': 263}), 1: (1, {'@': 263}), 30: (1, {'@': 263}), 64: (1, {'@': 263}), 65: (1, {'@': 263}), 66: (1, {'@': 263}), 67: (1, {'@': 263}), 15: (1, {'@': 263}), 8: (1, {'@': 263}), 68: (1, {'@': 263}), 69: (1, {'@': 263}), 2: (1, {'@': 263}), 20: (1, {'@': 263}), 21: (1, {'@': 263}), 23: (1, {'@': 263}), 24: (1, {'@': 263}), 25: (1, {'@': 263}), 70: (1, {'@': 263}), 71: (1, {'@': 263}), 26: (1, {'@': 263}), 72: (1, {'@': 263}), 0: (1, {'@': 263}), 32: (1, {'@': 263}), 28: (1, {'@': 263}), 4: (1, {'@': 263})}, 416: {55: (1, {'@': 264}), 14: (1, {'@': 264}), 56: (1, {'@': 264}), 16: (1, {'@': 264}), 57: (1, {'@': 264}), 18: (1, {'@': 264}), 58: (1, {'@': 264}), 19: (1, {'@': 264}), 59: (1, {'@': 264}), 60: (1, {'@': 264}), 22: (1, {'@': 264}), 61: (1, {'@': 264}), 62: (1, {'@': 264}), 63: (1, {'@': 264}), 27: (1, {'@': 264}), 1: (1, {'@': 264}), 30: (1, {'@': 264}), 64: (1, {'@': 264}), 65: (1, {'@': 264}), 66: (1, {'@': 264}), 67: (1, {'@': 264}), 15: (1, {'@': 264}), 8: (1, {'@': 264}), 68: (1, {'@': 264}), 69: (1, {'@': 264}), 2: (1, {'@': 264}), 20: (1, {'@': 264}), 21: (1, {'@': 264}), 23: (1, {'@': 264}), 24: (1, {'@': 264}), 25: (1, {'@': 264}), 70: (1, {'@': 264}), 71: (1, {'@': 264}), 26: (1, {'@': 264}), 72: (1, {'@': 264}), 0: (1, {'@': 264}), 32: (1, {'@': 264}), 28: (1, {'@': 264}), 4: (1, {'@': 264})}, 417: {55: (1, {'@': 265}), 14: (1, {'@': 265}), 56: (1, {'@': 265}), 16: (1, {'@': 265}), 57: (1, {'@': 265}), 18: (1, {'@': 265}), 58: (1, {'@': 265}), 19: (1, {'@': 265}), 59: (1, {'@': 265}), 60: (1, {'@': 265}), 22: (1, {'@': 265}), 61: (1, {'@': 265}), 62: (1, {'@': 265}), 63: (1, {'@': 265}), 27: (1, {'@': 265}), 1: (1, {'@': 265}), 30: (1, {'@': 265}), 64: (1, {'@': 265}), 65: (1, {'@': 265}), 66: (1, {'@': 265}), 67: (1, {'@': 265}), 15: (1, {'@': 265}), 8: (1, {'@': 265}), 68: (1, {'@': 265}), 69: (1, {'@': 265}), 2: (1, {'@': 265}), 20: (1, {'@': 265}), 21: (1, {'@': 265}), 23: (1, {'@': 265}), 24: (1, {'@': 265}), 25: (1, {'@': 265}), 70: (1, {'@': 265}), 71: (1, {'@': 265}), 26: (1, {'@': 265}), 72: (1, {'@': 265}), 0: (1, {'@': 265}), 32: (1, {'@': 265}), 28: (1, {'@': 265}), 4: (1, {'@': 265})}, 418: {55: (1, {'@': 266}), 14: (1, {'@': 266}), 56: (1, {'@': 266}), 16: (1, {'@': 266}), 57: (1, {'@': 266}), 18: (1, {'@': 266}), 58: (1, {'@': 266}), 19: (1, {'@': 266}), 59: (1, {'@': 266}), 60: (1, {'@': 266}), 22: (1, {'@': 266}), 61: (1, {'@': 266}), 62: (1, {'@': 266}), 63: (1, {'@': 266}), 27: (1, {'@': 266}), 1: (1, {'@': 266}), 30: (1, {'@': 266}), 64: (1, {'@': 266}), 65: (1, {'@': 266}), 66: (1, {'@': 266}), 67: (1, {'@': 266}), 15: (1, {'@': 266}), 8: (1, {'@': 266}), 68: (1, {'@': 266}), 69: (1, {'@': 266}), 2: (1, {'@': 266}), 20: (1, {'@': 266}), 21: (1, {'@': 266}), 23: (1, {'@': 266}), 24: (1, {'@': 266}), 25: (1, {'@': 266}), 70: (1, {'@': 266}), 71: (1, {'@': 266}), 26: (1, {'@': 266}), 72: (1, {'@': 266}), 0: (1, {'@': 266}), 32: (1, {'@': 266}), 28: (1, {'@': 266}), 4: (1, {'@': 266})}, 419: {55: (1, {'@': 267}), 14: (1, {'@': 267}), 56: (1, {'@': 267}), 16: (1, {'@': 267}), 57: (1, {'@': 267}), 18: (1, {'@': 267}), 58: (1, {'@': 267}), 19: (1, {'@': 267}), 59: (1, {'@': 267}), 60: (1, {'@': 267}), 22: (1, {'@': 267}), 61: (1, {'@': 267}), 62: (1, {'@': 267}), 63: (1, {'@': 267}), 27: (1, {'@': 267}), 1: (1, {'@': 267}), 30: (1, {'@': 267}), 64: (1, {'@': 267}), 65: (1, {'@': 267}), 66: (1, {'@': 267}), 67: (1, {'@': 267}), 15: (1, {'@': 267}), 8: (1, {'@': 267}), 68: (1, {'@': 267}), 69: (1, {'@': 267}), 2: (1, {'@': 267}), 20: (1, {'@': 267}), 21: (1, {'@': 267}), 23: (1, {'@': 267}), 24: (1, {'@': 267}), 25: (1, {'@': 267}), 70: (1, {'@': 267}), 71: (1, {'@': 267}), 26: (1, {'@': 267}), 72: (1, {'@': 267}), 0: (1, {'@': 267}), 32: (1, {'@': 267}), 28: (1, {'@': 267}), 4: (1, {'@': 267})}, 420: {55: (1, {'@': 268}), 14: (1, {'@': 268}), 56: (1, {'@': 268}), 16: (1, {'@': 268}), 57: (1, {'@': 268}), 18: (1, {'@': 268}), 58: (1, {'@': 268}), 19: (1, {'@': 268}), 59: (1, {'@': 268}), 60: (1, {'@': 268}), 22: (1, {'@': 268}), 61: (1, {'@': 268}), 62: (1, {'@': 268}), 63: (1, {'@': 268}), 27: (1, {'@': 268}), 1: (1, {'@': 268}), 30: (1, {'@': 268}), 64: (1, {'@': 268}), 65: (1, {'@': 268}), 66: (1, {'@': 268}), 67: (1, {'@': 268}), 15: (1, {'@': 268}), 8: (1, {'@': 268}), 68: (1, {'@': 268}), 69: (1, {'@': 268}), 2: (1, {'@': 268}), 20: (1, {'@': 268}), 21: (1, {'@': 268}), 23: (1, {'@': 268}), 24: (1, {'@': 268}), 25: (1, {'@': 268}), 70: (1, {'@': 268}), 71: (1, {'@': 268}), 26: (1, {'@': 268}), 72: (1, {'@': 268}), 0: (1, {'@': 268}), 32: (1, {'@': 268}), 28: (1, {'@': 268}), 4: (1, {'@': 268})}, 421: {22: (1, {'@': 269}), 25: (1, {'@': 269}), 14: (1, {'@': 269}), 8: (1, {'@': 269}), 16: (1, {'@': 269}), 26: (1, {'@': 269}), 27: (1, {'@': 269}), 28: (1, {'@': 269}), 0: (1, {'@': 269}), 19: (1, {'@': 269}), 1: (1, {'@': 269}), 30: (1, {'@': 269}), 20: (1, {'@': 269}), 21: (1, {'@': 269}), 4: (1, {'@': 269})}, 422: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 441), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 423: {63: (0, 442), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 424: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 6: (0, 2), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 34: (0, 41), 35: (0, 42), 36: (0, 443), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 12: (0, 444), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 1: (0, 9), 0: (0, 8), 4: (0, 11), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 425: {22: (1, {'@': 270}), 25: (1, {'@': 270}), 14: (1, {'@': 270}), 8: (1, {'@': 270}), 16: (1, {'@': 270}), 26: (1, {'@': 270}), 27: (1, {'@': 270}), 28: (1, {'@': 270}), 0: (0, 8), 19: (1, {'@': 270}), 1: (0, 9), 30: (1, {'@': 270}), 20: (1, {'@': 270}), 21: (1, {'@': 270}), 4: (0, 11), 6: (0, 2), 12: (0, 445)}, 426: {63: (0, 446), 80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 427: {22: (1, {'@': 271}), 25: (1, {'@': 271}), 14: (1, {'@': 271}), 8: (1, {'@': 271}), 16: (1, {'@': 271}), 26: (1, {'@': 271}), 27: (1, {'@': 271}), 28: (1, {'@': 271}), 0: (1, {'@': 271}), 19: (1, {'@': 271}), 1: (1, {'@': 271}), 30: (1, {'@': 271}), 20: (1, {'@': 271}), 21: (1, {'@': 271}), 4: (1, {'@': 271})}, 428: {22: (1, {'@': 272}), 25: (1, {'@': 272}), 14: (1, {'@': 272}), 8: (1, {'@': 272}), 16: (1, {'@': 272}), 26: (1, {'@': 272}), 27: (1, {'@': 272}), 28: (1, {'@': 272}), 0: (0, 8), 19: (1, {'@': 272}), 1: (0, 9), 30: (1, {'@': 272}), 20: (1, {'@': 272}), 21: (1, {'@': 272}), 4: (0, 11), 12: (0, 447), 6: (0, 2)}, 429: {22: (1, {'@': 273}), 25: (1, {'@': 273}), 14: (1, {'@': 273}), 8: (1, {'@': 273}), 16: (1, {'@': 273}), 26: (1, {'@': 273}), 27: (1, {'@': 273}), 28: (1, {'@': 273}), 0: (0, 8), 19: (1, {'@': 273}), 1: (0, 9), 30: (1, {'@': 273}), 20: (1, {'@': 273}), 21: (1, {'@': 273}), 4: (0, 11), 12: (0, 448), 6: (0, 2)}, 430: {80: (0, 94), 66: (0, 95), 60: (0, 96), 63: (0, 449), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 431: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 450), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 432: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 63: (0, 451), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 433: {22: (1, {'@': 274}), 25: (1, {'@': 274}), 14: (1, {'@': 274}), 8: (1, {'@': 274}), 16: (1, {'@': 274}), 26: (1, {'@': 274}), 27: (1, {'@': 274}), 28: (1, {'@': 274}), 0: (1, {'@': 274}), 19: (1, {'@': 274}), 1: (1, {'@': 274}), 30: (1, {'@': 274}), 20: (1, {'@': 274}), 21: (1, {'@': 274}), 4: (1, {'@': 274})}, 434: {22: (1, {'@': 275}), 25: (1, {'@': 275}), 14: (1, {'@': 275}), 8: (1, {'@': 275}), 16: (1, {'@': 275}), 26: (1, {'@': 275}), 27: (1, {'@': 275}), 28: (1, {'@': 275}), 0: (0, 8), 19: (1, {'@': 275}), 1: (0, 9), 30: (1, {'@': 275}), 20: (1, {'@': 275}), 21: (1, {'@': 275}), 4: (0, 11), 12: (0, 452), 6: (0, 2)}, 435: {22: (1, {'@': 276}), 25: (1, {'@': 276}), 14: (1, {'@': 276}), 8: (1, {'@': 276}), 16: (1, {'@': 276}), 26: (1, {'@': 276}), 27: (1, {'@': 276}), 28: (1, {'@': 276}), 0: (1, {'@': 276}), 19: (1, {'@': 276}), 1: (1, {'@': 276}), 30: (1, {'@': 276}), 20: (1, {'@': 276}), 21: (1, {'@': 276}), 4: (1, {'@': 276})}, 436: {2: (0, 453)}, 437: {55: (1, {'@': 277}), 14: (1, {'@': 277}), 56: (1, {'@': 277}), 16: (1, {'@': 277}), 57: (1, {'@': 277}), 18: (1, {'@': 277}), 58: (1, {'@': 277}), 19: (1, {'@': 277}), 59: (1, {'@': 277}), 60: (1, {'@': 277}), 22: (1, {'@': 277}), 61: (1, {'@': 277}), 62: (1, {'@': 277}), 63: (1, {'@': 277}), 27: (1, {'@': 277}), 1: (1, {'@': 277}), 30: (1, {'@': 277}), 64: (1, {'@': 277}), 65: (1, {'@': 277}), 66: (1, {'@': 277}), 67: (1, {'@': 277}), 15: (1, {'@': 277}), 8: (1, {'@': 277}), 68: (1, {'@': 277}), 69: (1, {'@': 277}), 2: (1, {'@': 277}), 20: (1, {'@': 277}), 21: (1, {'@': 277}), 23: (1, {'@': 277}), 24: (1, {'@': 277}), 25: (1, {'@': 277}), 70: (1, {'@': 277}), 71: (1, {'@': 277}), 26: (1, {'@': 277}), 72: (1, {'@': 277}), 0: (1, {'@': 277}), 32: (1, {'@': 277}), 28: (1, {'@': 277}), 4: (1, {'@': 277})}, 438: {55: (1, {'@': 278}), 14: (1, {'@': 278}), 56: (1, {'@': 278}), 16: (1, {'@': 278}), 57: (1, {'@': 278}), 18: (1, {'@': 278}), 58: (1, {'@': 278}), 19: (1, {'@': 278}), 59: (1, {'@': 278}), 60: (1, {'@': 278}), 22: (1, {'@': 278}), 61: (1, {'@': 278}), 62: (1, {'@': 278}), 63: (1, {'@': 278}), 27: (1, {'@': 278}), 1: (1, {'@': 278}), 30: (1, {'@': 278}), 64: (1, {'@': 278}), 65: (1, {'@': 278}), 66: (1, {'@': 278}), 67: (1, {'@': 278}), 15: (1, {'@': 278}), 8: (1, {'@': 278}), 68: (1, {'@': 278}), 69: (1, {'@': 278}), 2: (1, {'@': 278}), 20: (1, {'@': 278}), 21: (1, {'@': 278}), 23: (1, {'@': 278}), 24: (1, {'@': 278}), 25: (1, {'@': 278}), 70: (1, {'@': 278}), 71: (1, {'@': 278}), 26: (1, {'@': 278}), 72: (1, {'@': 278}), 0: (1, {'@': 278}), 32: (1, {'@': 278}), 28: (1, {'@': 278}), 4: (1, {'@': 278})}, 439: {55: (1, {'@': 279}), 14: (1, {'@': 279}), 56: (1, {'@': 279}), 16: (1, {'@': 279}), 57: (1, {'@': 279}), 18: (1, {'@': 279}), 58: (1, {'@': 279}), 19: (1, {'@': 279}), 59: (1, {'@': 279}), 60: (1, {'@': 279}), 22: (1, {'@': 279}), 61: (1, {'@': 279}), 62: (1, {'@': 279}), 63: (1, {'@': 279}), 27: (1, {'@': 279}), 1: (1, {'@': 279}), 30: (1, {'@': 279}), 64: (1, {'@': 279}), 65: (1, {'@': 279}), 66: (1, {'@': 279}), 67: (1, {'@': 279}), 15: (1, {'@': 279}), 8: (1, {'@': 279}), 68: (1, {'@': 279}), 69: (1, {'@': 279}), 2: (1, {'@': 279}), 20: (1, {'@': 279}), 21: (1, {'@': 279}), 23: (1, {'@': 279}), 24: (1, {'@': 279}), 25: (1, {'@': 279}), 70: (1, {'@': 279}), 71: (1, {'@': 279}), 26: (1, {'@': 279}), 72: (1, {'@': 279}), 0: (1, {'@': 279}), 32: (1, {'@': 279}), 28: (1, {'@': 279}), 4: (1, {'@': 279})}, 440: {55: (1, {'@': 280}), 14: (1, {'@': 280}), 56: (1, {'@': 280}), 16: (1, {'@': 280}), 57: (1, {'@': 280}), 18: (1, {'@': 280}), 58: (1, {'@': 280}), 19: (1, {'@': 280}), 59: (1, {'@': 280}), 60: (1, {'@': 280}), 22: (1, {'@': 280}), 61: (1, {'@': 280}), 62: (1, {'@': 280}), 63: (1, {'@': 280}), 27: (1, {'@': 280}), 1: (1, {'@': 280}), 30: (1, {'@': 280}), 64: (1, {'@': 280}), 65: (1, {'@': 280}), 66: (1, {'@': 280}), 67: (1, {'@': 280}), 15: (1, {'@': 280}), 8: (1, {'@': 280}), 68: (1, {'@': 280}), 69: (1, {'@': 280}), 2: (1, {'@': 280}), 20: (1, {'@': 280}), 21: (1, {'@': 280}), 23: (1, {'@': 280}), 24: (1, {'@': 280}), 25: (1, {'@': 280}), 70: (1, {'@': 280}), 71: (1, {'@': 280}), 26: (1, {'@': 280}), 72: (1, {'@': 280}), 0: (1, {'@': 280}), 32: (1, {'@': 280}), 28: (1, {'@': 280}), 4: (1, {'@': 280})}, 441: {80: (0, 94), 63: (0, 454), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 442: {22: (1, {'@': 281}), 25: (1, {'@': 281}), 14: (1, {'@': 281}), 8: (1, {'@': 281}), 16: (1, {'@': 281}), 26: (1, {'@': 281}), 27: (1, {'@': 281}), 28: (1, {'@': 281}), 0: (0, 8), 19: (1, {'@': 281}), 1: (0, 9), 30: (1, {'@': 281}), 20: (1, {'@': 281}), 21: (1, {'@': 281}), 4: (0, 11), 12: (0, 455), 6: (0, 2)}, 443: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 63: (0, 456), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 444: {8: (0, 33), 20: (0, 34), 19: (0, 35), 30: (0, 36), 33: (0, 37), 16: (0, 38), 28: (0, 39), 22: (0, 40), 36: (0, 457), 34: (0, 41), 35: (0, 42), 37: (0, 44), 38: (0, 45), 39: (0, 46), 40: (0, 47), 41: (0, 48), 42: (0, 49), 25: (0, 50), 27: (0, 51), 43: (0, 52), 44: (0, 53), 21: (0, 54), 45: (0, 55), 46: (0, 56), 47: (0, 57), 48: (0, 58), 26: (0, 59), 49: (0, 60), 14: (0, 61), 50: (0, 62), 51: (0, 63), 52: (0, 64), 53: (0, 65), 54: (0, 66)}, 445: {22: (1, {'@': 282}), 25: (1, {'@': 282}), 14: (1, {'@': 282}), 8: (1, {'@': 282}), 16: (1, {'@': 282}), 26: (1, {'@': 282}), 27: (1, {'@': 282}), 28: (1, {'@': 282}), 0: (1, {'@': 282}), 19: (1, {'@': 282}), 1: (1, {'@': 282}), 30: (1, {'@': 282}), 20: (1, {'@': 282}), 21: (1, {'@': 282}), 4: (1, {'@': 282})}, 446: {22: (1, {'@': 283}), 25: (1, {'@': 283}), 14: (1, {'@': 283}), 8: (1, {'@': 283}), 16: (1, {'@': 283}), 26: (1, {'@': 283}), 27: (1, {'@': 283}), 28: (1, {'@': 283}), 0: (0, 8), 19: (1, {'@': 283}), 1: (0, 9), 30: (1, {'@': 283}), 20: (1, {'@': 283}), 21: (1, {'@': 283}), 4: (0, 11), 12: (0, 458), 6: (0, 2)}, 447: {22: (1, {'@': 284}), 25: (1, {'@': 284}), 14: (1, {'@': 284}), 8: (1, {'@': 284}), 16: (1, {'@': 284}), 26: (1, {'@': 284}), 27: (1, {'@': 284}), 28: (1, {'@': 284}), 0: (1, {'@': 284}), 19: (1, {'@': 284}), 1: (1, {'@': 284}), 30: (1, {'@': 284}), 20: (1, {'@': 284}), 21: (1, {'@': 284}), 4: (1, {'@': 284})}, 448: {22: (1, {'@': 285}), 25: (1, {'@': 285}), 14: (1, {'@': 285}), 8: (1, {'@': 285}), 16: (1, {'@': 285}), 26: (1, {'@': 285}), 27: (1, {'@': 285}), 28: (1, {'@': 285}), 0: (1, {'@': 285}), 19: (1, {'@': 285}), 1: (1, {'@': 285}), 30: (1, {'@': 285}), 20: (1, {'@': 285}), 21: (1, {'@': 285}), 4: (1, {'@': 285})}, 449: {22: (1, {'@': 286}), 25: (1, {'@': 286}), 14: (1, {'@': 286}), 8: (1, {'@': 286}), 16: (1, {'@': 286}), 26: (1, {'@': 286}), 27: (1, {'@': 286}), 28: (1, {'@': 286}), 0: (0, 8), 19: (1, {'@': 286}), 1: (0, 9), 30: (1, {'@': 286}), 20: (1, {'@': 286}), 21: (1, {'@': 286}), 4: (0, 11), 6: (0, 2), 12: (0, 459)}, 450: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 64: (0, 104), 63: (0, 460), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 451: {22: (1, {'@': 287}), 25: (1, {'@': 287}), 14: (1, {'@': 287}), 8: (1, {'@': 287}), 16: (1, {'@': 287}), 26: (1, {'@': 287}), 27: (1, {'@': 287}), 28: (1, {'@': 287}), 0: (0, 8), 19: (1, {'@': 287}), 1: (0, 9), 30: (1, {'@': 287}), 20: (1, {'@': 287}), 21: (1, {'@': 287}), 4: (0, 11), 6: (0, 2), 12: (0, 461)}, 452: {22: (1, {'@': 288}), 25: (1, {'@': 288}), 14: (1, {'@': 288}), 8: (1, {'@': 288}), 16: (1, {'@': 288}), 26: (1, {'@': 288}), 27: (1, {'@': 288}), 28: (1, {'@': 288}), 0: (1, {'@': 288}), 19: (1, {'@': 288}), 1: (1, {'@': 288}), 30: (1, {'@': 288}), 20: (1, {'@': 288}), 21: (1, {'@': 288}), 4: (1, {'@': 288})}, 453: {55: (1, {'@': 289}), 14: (1, {'@': 289}), 56: (1, {'@': 289}), 16: (1, {'@': 289}), 57: (1, {'@': 289}), 18: (1, {'@': 289}), 58: (1, {'@': 289}), 19: (1, {'@': 289}), 59: (1, {'@': 289}), 60: (1, {'@': 289}), 22: (1, {'@': 289}), 61: (1, {'@': 289}), 62: (1, {'@': 289}), 63: (1, {'@': 289}), 27: (1, {'@': 289}), 1: (1, {'@': 289}), 30: (1, {'@': 289}), 64: (1, {'@': 289}), 65: (1, {'@': 289}), 66: (1, {'@': 289}), 67: (1, {'@': 289}), 15: (1, {'@': 289}), 8: (1, {'@': 289}), 68: (1, {'@': 289}), 69: (1, {'@': 289}), 2: (1, {'@': 289}), 20: (1, {'@': 289}), 21: (1, {'@': 289}), 23: (1, {'@': 289}), 24: (1, {'@': 289}), 25: (1, {'@': 289}), 70: (1, {'@': 289}), 71: (1, {'@': 289}), 26: (1, {'@': 289}), 72: (1, {'@': 289}), 0: (1, {'@': 289}), 32: (1, {'@': 289}), 28: (1, {'@': 289}), 4: (1, {'@': 289})}, 454: {22: (1, {'@': 290}), 25: (1, {'@': 290}), 14: (1, {'@': 290}), 8: (1, {'@': 290}), 16: (1, {'@': 290}), 26: (1, {'@': 290}), 27: (1, {'@': 290}), 28: (1, {'@': 290}), 0: (0, 8), 19: (1, {'@': 290}), 1: (0, 9), 30: (1, {'@': 290}), 20: (1, {'@': 290}), 21: (1, {'@': 290}), 4: (0, 11), 12: (0, 462), 6: (0, 2)}, 455: {22: (1, {'@': 291}), 25: (1, {'@': 291}), 14: (1, {'@': 291}), 8: (1, {'@': 291}), 16: (1, {'@': 291}), 26: (1, {'@': 291}), 27: (1, {'@': 291}), 28: (1, {'@': 291}), 0: (1, {'@': 291}), 19: (1, {'@': 291}), 1: (1, {'@': 291}), 30: (1, {'@': 291}), 20: (1, {'@': 291}), 21: (1, {'@': 291}), 4: (1, {'@': 291})}, 456: {22: (1, {'@': 292}), 25: (1, {'@': 292}), 14: (1, {'@': 292}), 8: (1, {'@': 292}), 16: (1, {'@': 292}), 26: (1, {'@': 292}), 27: (1, {'@': 292}), 28: (1, {'@': 292}), 0: (0, 8), 19: (1, {'@': 292}), 1: (0, 9), 30: (1, {'@': 292}), 20: (1, {'@': 292}), 21: (1, {'@': 292}), 4: (0, 11), 6: (0, 2), 12: (0, 463)}, 457: {80: (0, 94), 66: (0, 95), 60: (0, 96), 59: (0, 97), 61: (0, 98), 56: (0, 99), 71: (0, 101), 22: (0, 102), 70: (0, 103), 63: (0, 464), 64: (0, 104), 57: (0, 105), 62: (0, 106), 68: (0, 107), 69: (0, 108), 67: (0, 109), 81: (0, 110)}, 458: {22: (1, {'@': 293}), 25: (1, {'@': 293}), 14: (1, {'@': 293}), 8: (1, {'@': 293}), 16: (1, {'@': 293}), 26: (1, {'@': 293}), 27: (1, {'@': 293}), 28: (1, {'@': 293}), 0: (1, {'@': 293}), 19: (1, {'@': 293}), 1: (1, {'@': 293}), 30: (1, {'@': 293}), 20: (1, {'@': 293}), 21: (1, {'@': 293}), 4: (1, {'@': 293})}, 459: {22: (1, {'@': 294}), 25: (1, {'@': 294}), 14: (1, {'@': 294}), 8: (1, {'@': 294}), 16: (1, {'@': 294}), 26: (1, {'@': 294}), 27: (1, {'@': 294}), 28: (1, {'@': 294}), 0: (1, {'@': 294}), 19: (1, {'@': 294}), 1: (1, {'@': 294}), 30: (1, {'@': 294}), 20: (1, {'@': 294}), 21: (1, {'@': 294}), 4: (1, {'@': 294})}, 460: {22: (1, {'@': 295}), 25: (1, {'@': 295}), 14: (1, {'@': 295}), 8: (1, {'@': 295}), 16: (1, {'@': 295}), 26: (1, {'@': 295}), 27: (1, {'@': 295}), 28: (1, {'@': 295}), 0: (0, 8), 19: (1, {'@': 295}), 1: (0, 9), 30: (1, {'@': 295}), 20: (1, {'@': 295}), 21: (1, {'@': 295}), 4: (0, 11), 6: (0, 2), 12: (0, 465)}, 461: {22: (1, {'@': 296}), 25: (1, {'@': 296}), 14: (1, {'@': 296}), 8: (1, {'@': 296}), 16: (1, {'@': 296}), 26: (1, {'@': 296}), 27: (1, {'@': 296}), 28: (1, {'@': 296}), 0: (1, {'@': 296}), 19: (1, {'@': 296}), 1: (1, {'@': 296}), 30: (1, {'@': 296}), 20: (1, {'@': 296}), 21: (1, {'@': 296}), 4: (1, {'@': 296})}, 462: {22: (1, {'@': 297}), 25: (1, {'@': 297}), 14: (1, {'@': 297}), 8: (1, {'@': 297}), 16: (1, {'@': 297}), 26: (1, {'@': 297}), 27: (1, {'@': 297}), 28: (1, {'@': 297}), 0: (1, {'@': 297}), 19: (1, {'@': 297}), 1: (1, {'@': 297}), 30: (1, {'@': 297}), 20: (1, {'@': 297}), 21: (1, {'@': 297}), 4: (1, {'@': 297})}, 463: {22: (1, {'@': 298}), 25: (1, {'@': 298}), 14: (1, {'@': 298}), 8: (1, {'@': 298}), 16: (1, {'@': 298}), 26: (1, {'@': 298}), 27: (1, {'@': 298}), 28: (1, {'@': 298}), 0: (1, {'@': 298}), 19: (1, {'@': 298}), 1: (1, {'@': 298}), 30: (1, {'@': 298}), 20: (1, {'@': 298}), 21: (1, {'@': 298}), 4: (1, {'@': 298})}, 464: {22: (1, {'@': 299}), 25: (1, {'@': 299}), 14: (1, {'@': 299}), 8: (1, {'@': 299}), 16: (1, {'@': 299}), 26: (1, {'@': 299}), 27: (1, {'@': 299}), 28: (1, {'@': 299}), 0: (0, 8), 19: (1, {'@': 299}), 1: (0, 9), 30: (1, {'@': 299}), 20: (1, {'@': 299}), 21: (1, {'@': 299}), 4: (0, 11), 6: (0, 2), 12: (0, 466)}, 465: {22: (1, {'@': 300}), 25: (1, {'@': 300}), 14: (1, {'@': 300}), 8: (1, {'@': 300}), 16: (1, {'@': 300}), 26: (1, {'@': 300}), 27: (1, {'@': 300}), 28: (1, {'@': 300}), 0: (1, {'@': 300}), 19: (1, {'@': 300}), 1: (1, {'@': 300}), 30: (1, {'@': 300}), 20: (1, {'@': 300}), 21: (1, {'@': 300}), 4: (1, {'@': 300})}, 466: {22: (1, {'@': 301}), 25: (1, {'@': 301}), 14: (1, {'@': 301}), 8: (1, {'@': 301}), 16: (1, {'@': 301}), 26: (1, {'@': 301}), 27: (1, {'@': 301}), 28: (1, {'@': 301}), 0: (1, {'@': 301}), 19: (1, {'@': 301}), 1: (1, {'@': 301}), 30: (1, {'@': 301}), 20: (1, {'@': 301}), 21: (1, {'@': 301}), 4: (1, {'@': 301})}}, 'start_states': {'start': 0}, 'end_states': {'start': 24}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 94}, {'@': 63}, {'@': 62}, {'@': 49}, {'@': 47}, {'@': 44}, {'@': 110}, {'@': 161}, {'@': 138}, {'@': 196}, {'@': 121}, {'@': 162}, {'@': 95}, {'@': 126}, {'@': 127}, {'@': 151}, {'@': 46}, {'@': 68}, {'@': 74}, {'@': 73}, {'@': 194}, {'@': 77}, {'@': 90}, {'@': 103}, {'@': 119}, {'@': 104}, {'@': 108}, {'@': 107}, {'@': 106}, {'@': 105}, {'@': 117}, {'@': 111}, {'@': 112}, {'@': 116}, {'@': 113}, {'@': 114}, {'@': 115}, {'@': 109}, {'@': 118}, {'@': 134}, {'@': 135}, {'@': 92}, {'@': 91}, {'@': 76}, {'@': 84}, {'@': 82}, {'@': 88}, {'@': 86}, {'@': 93}, {'@': 72}, {'@': 75}, {'@': 85}, {'@': 66}, {'@': 81}, {'@': 78}, {'@': 83}, {'@': 71}, {'@': 89}, {'@': 79}, {'@': 80}, {'@': 69}, {'@': 87}, {'@': 195}, {'@': 136}, {'@': 137}, {'@': 262}, {'@': 234}, {'@': 235}, {'@': 204}, {'@': 236}, {'@': 205}, {'@': 176}, {'@': 237}, {'@': 207}, {'@': 206}, {'@': 177}, {'@': 203}, {'@': 175}, {'@': 152}, {'@': 247}, {'@': 218}, {'@': 219}, {'@': 185}, {'@': 220}, {'@': 187}, {'@': 156}, {'@': 223}, {'@': 189}, {'@': 190}, {'@': 157}, {'@': 184}, {'@': 154}, {'@': 130}, {'@': 129}, {'@': 97}, {'@': 202}, {'@': 172}, {'@': 171}, {'@': 146}, {'@': 173}, {'@': 148}, {'@': 150}, {'@': 128}, {'@': 96}, {'@': 145}, {'@': 124}, {'@': 147}, {'@': 125}, {'@': 70}, {'@': 199}, {'@': 168}, {'@': 169}, {'@': 143}, {'@': 170}, {'@': 144}, {'@': 123}, {'@': 198}, {'@': 166}, {'@': 197}, {'@': 164}, {'@': 165}, {'@': 140}, {'@': 163}, {'@': 139}, {'@': 167}, {'@': 142}, {'@': 141}, {'@': 122}, {'@': 102}, {'@': 101}, {'@': 99}, {'@': 100}, {'@': 160}, {'@': 133}, {'@': 131}, {'@': 98}, {'@': 193}, {'@': 159}, {'@': 280}, {'@': 263}, {'@': 264}, {'@': 238}, {'@': 265}, {'@': 239}, {'@': 208}, {'@': 266}, {'@': 241}, {'@': 242}, {'@': 210}, {'@': 240}, {'@': 209}, {'@': 178}, {'@': 267}, {'@': 244}, {'@': 245}, {'@': 215}, {'@': 246}, {'@': 216}, {'@': 182}, {'@': 243}, {'@': 212}, {'@': 213}, {'@': 180}, {'@': 214}, {'@': 181}, {'@': 153}, {'@': 289}, {'@': 277}, {'@': 278}, {'@': 259}, {'@': 279}, {'@': 260}, {'@': 261}, {'@': 233}, {'@': 268}, {'@': 251}, {'@': 250}, {'@': 227}, {'@': 249}, {'@': 226}, {'@': 228}, {'@': 200}, {'@': 301}, {'@': 299}, {'@': 298}, {'@': 292}, {'@': 297}, {'@': 290}, {'@': 291}, {'@': 281}, {'@': 293}, {'@': 283}, {'@': 282}, {'@': 270}, {'@': 284}, {'@': 272}, {'@': 271}, {'@': 254}, {'@': 269}, {'@': 253}, {'@': 252}, {'@': 229}, {'@': 300}, {'@': 295}, {'@': 296}, {'@': 287}, {'@': 294}, {'@': 286}, {'@': 285}, {'@': 273}, {'@': 288}, {'@': 275}, {'@': 274}, {'@': 255}, {'@': 276}, {'@': 258}, {'@': 257}, {'@': 232}, {'@': 256}, {'@': 230}, {'@': 231}, {'@': 201}, {'@': 211}, {'@': 179}, {'@': 48}, {'@': 53}, {'@': 45}, {'@': 59}, {'@': 58}, {'@': 57}, {'@': 61}, {'@': 60}, {'@': 65}, {'@': 64}, {'@': 51}, {'@': 50}, {'@': 52}, {'@': 56}, {'@': 55}, {'@': 54}, {'@': 67}, {'@': 120}, {'@': 222}, {'@': 188}, {'@': 183}, {'@': 155}, {'@': 248}, {'@': 217}, {'@': 221}, {'@': 186}, {'@': 149}, {'@': 174}, {'@': 132}, {'@': 158}, {'@': 192}, {'@': 191}, {'@': 224}, {'@': 225}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'IDENTIFIER', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_3', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_4', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_5', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_6', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_7', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_8', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_9', 'pattern': {'value': '<<(?P<name>[a-zA-Z][a-zA-Z0-9-._]+)\n(?:.|\n)+?\n+\\s*(?P=name)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_10', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_11', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_12', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 45: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 46: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 63: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 68: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 121: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 133: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 150: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 156: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 159: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 184: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 187: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 189: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 192: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 193: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 218: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 222: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 223: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 225: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 226: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_10', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

